/*
// ----------------------------------------
// [modal]
// ----------------------------------------
*  封装预模态框
* 
*/

//相册选择
var $photoPicker  = {
	
	show : function(callback){
		
		var modal = '';
		modal += '<div class="modal-bg"></div>';
		modal += '<div class="modal-container">';
		modal += '<div class="modal-item" data-id="0"><span>拍照</span></div>';
		modal += '<div class="modal-item" data-id="1"><span>相册</span></div>';
		modal += '<div class="modal-cancel"><span>取消</span></div>';
		modal += '</div>';
		
		$("body").append(modal);
		$(".modal-bg").show();
		$(".modal-container").addClass("slideUp");
		
		$(".modal-item").on('tap',function(){
			var typeValue = $(this).attr("data-id");
			callback(typeValue);
		});
		
		$(".modal-cancel").on('tap',function(){
			$photoPicker.hide();
		});
		
		$(".modal-bg").on('tap',function(){
			$photoPicker.hide();
		});
	},
	
	hide : function(){
		
		$(".modal-container").removeClass("slideUp");
		$(".modal-container").remove();
		$(".modal-bg").remove();
		
	}
}

//性别选择
var $genderSelect = {
	
	show : function(callback){
		
		var modal = '';
		modal += '<div class="modal-bg"></div>';
		modal += '<div class="modal-container">';
		modal += '<div class="modal-item" data-id="0"><span>男</span></div>';
		modal += '<div class="modal-item" data-id="1"><span>女</span></div>';
		modal += '<div class="modal-cancel"><span>取消</span></div>';
		modal += '</div>';
		
		$("body").append(modal);
		$(".modal-bg").show();
		$(".modal-container").addClass("slideUp");
		
		$(".modal-item").on('tap',function(){
			var typeValue = $(this).attr("data-id");
			callback(typeValue);
		});
		
		$(".modal-cancel").on('tap',function(){
			$genderSelect.hide();
		});
		
		$(".modal-bg").on('tap',function(){
			$genderSelect.hide();
		});
	},
	
	hide : function(){
		
		$(".modal-container").removeClass("slideUp");
		$(".modal-container").remove();
		$(".modal-bg").remove();
		
	}
	
}

//删除确认
var $deleteConfirm = {
	
	show : function(deleteId,callback){
		
		var modal = '';
		modal += '<div class="modal-bg"></div>';
		modal += '<div class="modal-container">';
		modal += '<p>确认要删除吗？</p>';
		modal += '<div class="modal-item" data-id="0"><div>确定</div></div>';
		modal += '<div class="modal-cancel"><span>取消</span></div>';
		modal += '</div>';
		
		$("body").append(modal);
		$(".modal-bg").show();
		$(".modal-container").addClass("slideUp");
		
		$(".modal-item").on('tap',function(){
			callback(deleteId);
		});
		
		$(".modal-cancel").on('tap',function(){
			$deleteConfirm.hide();
		});
		
		$(".modal-bg").on('tap',function(){
			$deleteConfirm.hide();
		});
	},
	
	hide : function(){
		
		$(".modal-bg").hide();
		$(".modal-container").removeClass("slideUp");
		$(".modal-container").remove();
		$(".modal-bg").remove();
		
	}
	
	
}
