//MineApprovePreApp
// 1. 获取module
// 1. 获取module
var app = angular.module("app",[]).run(function()
{
	FastClick.attach(document.body);
});

angularDirective.ngRepeatFinis(app);

// 2. 调用Controller
app.controller('ctrl',function($scope)
{
	mnWebMain.cbBridgeInited = function()
	{
		MineApprovePreController.init($scope);
	};
	mnWebMain.cbViewWillAppear = function()
	{
		MineApprovePreController.init($scope);
	};
	mnWebMain.cbNavRightClicked = function()
	{
		//跳转到修改页面
		var headObj = {};
		mnWebMain.openWebViewController(URL_EDIT_MY_APPROVE, "我的认证", headObj);
	};
});
MineApprovePreController = 
{
	//全局变量
	scope : null,
	legallyPhotosArr : [],
	legallyFullPhotosArr : [],
	guideKeywordArr : [],
	selfEvaluationArr : [],
	init : function($scope)
	{
		this.scope = $scope;
		this.getMyApproveInfo();
		this.onClickFunction();
	},
	onClickFunction : function()
	{
		this.scope.previewImage = function(index)
		{
			mnWebMain.browserPics(index, JSON.stringify(MineApprovePreController.legallyFullPhotosArr));
		};
	},
	getMyApproveInfo : function()
	{
		var userId = getUserId();
		var userIds = [];
		userIds.push(userId);
		var params = {};
		params.userIds = JSON.stringify(userIds);
		var path = API_GET_USEROBJ_WITH_USERIDS;
		mnWebMain.httpRequest(path, params, function(result)
		{
			var resultJob = JSON.parse(result);
			var error = resultJob.error;
			if(error == 0)
			{
				var userInfoJob = resultJob.data.userObjArr[userId];
				MineApprovePreController.saveData(userInfoJob);
			}
			else
			{
				mnWebMain.toastInfo(resultJob.errMsg);
			}
		});
	},
	saveData : function(userInfoJob)
	{
		//昵称
		this.scope.nickName = userInfoJob.nickName;
		//真实姓名
		this.scope.realName = userInfoJob.realName;
		//所在地
		this.scope.location = userInfoJob.location;
		//性别
		var gender = userInfoJob.gender;
		if(gender == "0")
		{
			this.scope.gender = "男";
		}
		else if(gender == "1")
		{
			this.scope.gender = "女";
		}
		//出生年月
		if (userInfoJob.birthday) {
			this.scope.birthday = userInfoJob.birthday.substring(0, 10);
		}
		//导游证件
		var legallyNumber = userInfoJob.legallyNumber;
		//如果有证件
		if(legallyNumber)
		{
			this.scope.isLegallShow = "showImportant";
			this.scope.hasLegall = "有";
			this.scope.isLegallShow = "";
			//导游证编号
			this.scope.legallyNumber = legallyNumber;
			//导游证语种
			var legallyLanguages = userInfoJob.legallyLanguages;
			this.getExpertLanguage(legallyLanguages);
			//导游证颁发时间
			this.scope.legallyTime = userInfoJob.legallyTime;
			//导游认证照片
			var legallyPhotos = userInfoJob.legallyPhotos;
			try{
				this.legallyFullPhotosArr = JSON.parse(legallyPhotos);
				this.legallyPhotosArr =[];
				for(var i = 0; i < this.legallyFullPhotosArr.length; i++)
				{
					var smallPhoto = this.legallyFullPhotosArr[i] + IMG_CUT_WH;
					this.legallyPhotosArr.push(smallPhoto) ;
				}
			}catch(e){
				this.legallyPhotosArr = [];
				this.legallyFullPhotosArr =[];
			}
			this.scope.legallyPhotosArr = this.legallyPhotosArr;
		}
		else
		{
			this.scope.isLegallShow = "hiddenImportant";
			this.scope.hasLegall = "没有";
		}
		//带团时间
		var tourTime = userInfoJob.tourTime;
		if (tourTime == "1")
		{
			this.scope.tourTime = "3年以内";
		} 
		else if (tourTime == "2")
		{
			this.scope.tourTime = "3-6年";
		} 
		else if (tourTime == "3")
		{
			this.scope.tourTime = "6年以上";
		}
		//是否有驾照
		var canDriver = userInfoJob.canDriver;
		if (canDriver == "0") 
		{
			this.scope.canDriver = "没有";
		}
		else if (canDriver == "1")
		{
			this.scope.canDriver = "有";
		}
		//是否愿意回答问题
		if (userInfoJob.canAnswer == "1") 
		{
			//愿意
			this.scope.isAnswerShow = "showImportant";
			this.scope.canAnswer = "checked";
		} 
		else if (userInfoJob.canAnswer == "0")
		{
			//不愿意
			this.scope.isAnswerShow = "hiddenImportant";
//			this.scope.canAnswer = "unchecked";
		}

		//是否愿意帮助用户定制旅游路线
		if (userInfoJob.canProvideLine == "1") 
		{
			//愿意
			this.scope.isProvideLineShow = "showImportant";
			this.scope.canProvideLine = "checked";
		} 
		else if (userInfoJob.canProvideLine == "0")
		{
			//不愿意
			this.scope.isProvideLineShow = "hiddenImportant";
//			this.scope.canProvideLine = "unchecked";
		}
		//熟悉的城市
		this.scope.familiarPlace = userInfoJob.familiarPlace;
		//我的标签
		var guideKeyword = userInfoJob.guideKeyword;
		if(guideKeyword)
		{
			this.guideKeywordArr = guideKeyword.split("、");
		}
		else
		{
			this.guideKeywordArr = [];
		}
		this.scope.guideKeywordArr = this.guideKeywordArr;
		//自我评价
		var selfEvaluation = userInfoJob.selfEvaluation;
		if(selfEvaluation)
		{
			this.selfEvaluationArr = selfEvaluation.split("、");
		}
		else
		{
			this.selfEvaluationArr = [];
		}
		this.scope.selfEvaluationArr = this.selfEvaluationArr;
		//空闲时间
		var freeTime = userInfoJob.freeTime;
		if("1" == freeTime)
		{
			this.scope.freeTime = "全天";
		}
		else if("2" == freeTime)
		{
			this.scope.freeTime = "双休";
		}
		else if("3" == freeTime)
		{
			this.scope.freeTime = "周日";
		}
		//人生格言
		var lifeMotto = userInfoJob.lifeMotto;
		if(lifeMotto) 
		{
			this.scope.lifeMotto = lifeMotto;
		}
		else
		{
			this.scope.lifeMotto = "暂无";
		}
		
		this.scope.$apply();
	},
	//获取语种列表
	getExpertLanguage :	function (ids) {
		var params = {};
		params.ids = ids;
		var path = API_GET_LANGUAGE_WITHIDS;
		mnWebMain.httpRequest(path, params, function(result) {
			var res = JSON.parse(result);
			if (res.error == 0) {
				var dataInfo = res.data;
				var data = dataInfo.languages;
				var languageStr = "";
				for (var i in data) {
					languageStr += data[i].languageName;
					languageStr += "、";
				}
				if (languageStr == "") {
					MineApprovePreController.scope.legallyLanguages = "无";
				} else {
					MineApprovePreController.scope.legallyLanguages = languageStr.substring(0, languageStr.length - 1);
				}
				MineApprovePreController.scope.$apply();
			} else {
			}
		});
	},
};
