/*
 * ==============================
 *  我的积分
 * ==============================
 */

// 1. 获取module
var app = angular.module("app",[]).run(function()
{
	FastClick.attach(document.body);
});

angularDirective.ngRepeatFinis(app);

// 2. 调用Controller
app.controller('ctrl',function($scope)
{
	mnWebMain.cbBridgeInited = function()
	{
		MineIntegralController.init($scope);
	};
});
var MineIntegralController = 
{
	scope : null,
	init : function($scope)
	{
		this.scope = $scope;
		var userType = getUserType();
		this.setStyleByType(userType);
		this.getUserInfo(userType);
	},
	setStyleByType : function(userType)
	{
		if(USER_GUIDE == userType)
		{
			$("#level").show();
			$("#space").show();
			$("#progress").show();
			$("#info").show();
		}
		else if(USER_TOURIST == userType)
		{
			
		}
		else
		{
			mnWebMain.toastInfo("用户身份不确定！");
		}
	},
	getUserInfo : function(userType)
	{
		var self = this;
		var userId = getUserId();
		var idArray = [];
		idArray.push(parseInt(userId));

		var params = {};
		params.userIds = JSON.stringify(idArray);
		var path = API_GET_USEROBJ_WITH_USERIDS;
		mnWebMain.httpRequest(path, params, function(result)
		{
			var resultJob = JSON.parse(result);
			if (resultJob.error == 0)
			{
				var dataJob = resultJob.data;
				var userObjArr = dataJob.userObjArr;
				var userObj = userObjArr[userId];
				
				//积分
				var integral = userObj.integral;
				self.scope.integral = integral;
				self.scope.$apply();
				//如果是游客只显示积分,其他数据无需设置
				if (userType == USER_TOURIST) {
					return;
				}
				//等级
				var lv = userObj.lv;
				self.scope.level = "Lv" + lv;
				
				var lvjf = 0;
				var nowjf = integral;
				//桔子等级
				var lvArr = [0, 100, 300, 800, 1500, 2500, 4000, 5500, 7000, 8500, 10000, 20000, 30000, 40000, 50000];

				//当累计积分超过数组中的数字时升级
				for (var i = 0; i < lvArr.length; i++) {
					if (lv == i) {
						lvjf = lvArr[i];
					}
				}
				
				var yetjf = (lvjf - nowjf).toFixed(2);
				self.scope.yetJf = "距离下一级还有" + yetjf + "积分";
				self.scope.nowJf = nowjf;
				self.scope.lvJf = lvjf;

				//进度条
				var pre = parseFloat(nowjf / lvjf);
				var pre1 = 100 * pre + "%";
//				var pre2 = (100 - 100 * pre) + "%";
				self.scope.lvProgress = pre1;
				self.scope.$apply();
			} else {
			}
		});
	},
};
