/**
 * 选择自我评价
 */
// 1. 获取module
var app = angular.module("app",[]).run(function()
{
	FastClick.attach(document.body);
});

angularDirective.ngRepeatFinis(app);

// 2. 调用Controller
app.controller('ctrl',function($scope)
{
	mnWebMain.cbBridgeInited = function()
	{
		SelectAssessController.init($scope);
	};
	mnWebMain.cbNavRightClicked = function()
	{
		var arr = [];
		var langStr = "";
		for(var i = 0; i < SelectAssessController.labelsArr.length; i++)
		{
			if(SelectAssessController.labelsArr[i].checked)
			{
				arr.push(i);
				langStr += SelectAssessController.labelsArr[i].labelName + "、";
			}
		}
		
		if(arr.length == 0){
			var arr = ["确定"];
			mnWebMain.showDialog(0, "提示", "请选择标签！", arr);
			return;
		}
		
		var params = {};
		params.txt = langStr.substr(0, langStr.length-1);
		mnWebMain.transferData(JSON.stringify(params));//页面传值
		mnWebMain.closeSelfViewController(0);//关闭当前页面
	};
});
var SelectAssessController = 
{
	scope : null,
	labelsArr : [],
	init : function($scope)
	{
		this.scope = $scope;
		$Loading.start();
		this.getAllLabel();
		this.onClickFunction();
	},
	getAllLabel : function()
	{
		var self = this;
		var params = {};
		var path = API_GET_ALL_LABLE;
		mnWebMain.httpRequest(path, params, function(result)
		{
			$Loading.end();
			var resultJob = JSON.parse(result);
			if(resultJob.error == 0)
			{
				var dataJob = resultJob.data;
				var labels = dataJob.labels;
				for(var i in labels)
				{
					var item = labels[i];
					item.checked = "";
					self.labelsArr.push(item);
				}
				self.scope.labelsArr = self.labelsArr;
				self.scope.$apply();
			}else{
			}
		});
	},
	onClickFunction : function()
	{
		var self = this;
		this.scope.itemClick = function($index, checked)
		{
			//已经被选中
			if(checked)
			{
				self.labelsArr[$index].checked = "";
			}
			else
			{
				self.labelsArr[$index].checked = "active";
			}
			self.scope.labelsArr = self.labelsArr;
			self.scope.$apply();
		};
	}
};
