/*
 * ==============================
 *  评价详情
 * ==============================
 */

// 1. 获取module
var app = angular.module("app", []).run(function()
{
	FastClick.attach(document.body);
});

angularDirective.ngRepeatFinis(app);

// 2. 调用Controller
app.controller('ctrl', function($scope)
{
	mnWebMain.cbBridgeInited = function()
	{
		OrangeEvaGoController.showIconUserId = _utility.getQueryString("showIconUserId");
		OrangeEvaGoController.groupId = _utility.getQueryString("groupId");
		OrangeEvaGoController.myUserId = getUserId();
		OrangeEvaGoController.init($scope);
	};
});
var OrangeEvaGoController = 
{
	showIconUserId : null,
	scope : null,
	myUserId : null,
	groupId : null,
	server1Arr : [],
	server1Count : 0,
	server2Arr : [],
	server2Count : 0,
	ability1Arr : [],
	ability1Count : 0,
	ability2Arr : [],
	ability2Count : 0,
	ability3Arr : [],
	ability3Count : 0,
	evaScoreArr : [],
	evaScoreCount : 0,
	init : function($scope)
	{
		this.scope = $scope;
		this.showUserIcon();
		this.refreshUi();
		this.onClickFunction();
	},
	showUserIcon : function()
	{
		var self = this;
		var arr = [];
		arr.push(self.showIconUserId);
		var params = {};
		params.userIds = JSON.stringify(arr);
		mnWebMain.httpRequest(API_GET_USEROBJ_WITH_USERIDS, params, function(result)
		{
			var resultJob = JSON.parse(result);
			if(resultJob.error == 0)
			{
				var dataJob = resultJob.data;
				var userObj = dataJob.userObjArr[self.showIconUserId];
				//头像	
				if(!userObj.icon || userObj.icon == null)
				{
					var orange_icon = DefaultGudiesIcon;
				} else {
					var icon = JSON.parse(userObj.icon);
					var orange_icon = icon.url + IMG_CUT_WH;
				}
				self.scope.groupIcon = orange_icon;
				self.scope.$apply();
			}
		});
	},
	refreshUi : function()
	{
		var self = this;
		for(var i = 0; i < 5; i++)
		{
			self.server1Arr.push("star-gray");
		}
		for(var i = 0; i < 5; i++)
		{
			self.server2Arr.push("star-gray");
		}
		for(var i = 0; i < 5; i++)
		{
			self.ability1Arr.push("star-gray");
		}
		for(var i = 0; i < 5; i++)
		{
			self.ability2Arr.push("star-gray");
		}
		for(var i = 0; i < 5; i++)
		{
			self.ability3Arr.push("star-gray");
		}
		for(var i = 0; i < 5; i++)
		{
			self.evaScoreArr.push("star-gray");
		}
		self.scope.server1Arr = self.server1Arr;
		self.scope.server2Arr = self.server2Arr;
		self.scope.ability1Arr = self.ability1Arr;
		self.scope.ability2Arr = self.ability2Arr;
		self.scope.ability3Arr = self.ability3Arr;
		
		self.scope.evaScoreArr = self.evaScoreArr;
		self.scope.$apply();
	},
	onClickFunction : function()
	{
		var self = this;
		this.scope.server1Click = function($index)
		{
			for(var i = 0; i < self.server1Arr.length; i++)
			{
				if(i <= $index)
				{
					self.server1Arr[i] = "star-light";
				}
				else
				{
					self.server1Arr[i] = "star-gray";
				}
			}
			self.server1Count = $index + 1;
			self.scope.server1Arr = self.server1Arr;
			self.scope.$apply();
		},
		this.scope.server2Click = function($index)
		{
			for(var i = 0; i < self.server2Arr.length; i++)
			{
				if(i <= $index)
				{
					self.server2Arr[i] = "star-light";
				}
				else
				{
					self.server2Arr[i] = "star-gray";
				}
			}
			self.server2Count = $index + 1;
			self.scope.server2Arr = self.server2Arr;
			self.scope.$apply();
		},
		this.scope.ability1Click = function($index)
		{
			for(var i = 0; i < self.ability1Arr.length; i++)
			{
				if(i <= $index)
				{
					self.ability1Arr[i] = "star-light";
				}
				else
				{
					self.ability1Arr[i] = "star-gray";
				}
			}
			self.ability1Count = $index + 1;
			self.scope.ability1Arr = self.ability1Arr;
			self.scope.$apply();
		},
		this.scope.ability2Click = function($index)
		{
			for(var i = 0; i < self.ability2Arr.length; i++)
			{
				if(i <= $index)
				{
					self.ability2Arr[i] = "star-light";
				}
				else
				{
					self.ability2Arr[i] = "star-gray";
				}
			}
			self.ability2Count = $index + 1;
			self.scope.ability2Arr = self.ability2Arr;
			self.scope.$apply();
		},
		this.scope.ability3Click = function($index)
		{
			for(var i = 0; i < self.ability3Arr.length; i++)
			{
				if(i <= $index)
				{
					self.ability3Arr[i] = "star-light";
				}
				else
				{
					self.ability3Arr[i] = "star-gray";
				}
			}
			self.ability3Count = $index + 1;
			self.scope.ability3Arr = self.ability3Arr;
			self.scope.$apply();
		},
		this.scope.evaScoreClick = function($index)
		{
			for(var i = 0; i < self.evaScoreArr.length; i++)
			{
				if(i <= $index)
				{
					self.evaScoreArr[i] = "star-light";
				}
				else
				{
					self.evaScoreArr[i] = "star-gray";
				}
			}
			self.evaScoreCount = $index + 1;
			self.scope.evaScoreArr = self.evaScoreArr;
			self.scope.$apply();
		},
		
		this.scope.submitEva = function()
		{
			self.submitEva();
		};
	},
	submitEva : function()
	{
		var self = this;
		var server1 = self.server1Count;
		var server2 = self.server2Count;
        var ability1 = self.ability1Count;
        var ability2 = self.ability2Count;
        var ability3 = self.ability3Count;
        var evaScore = self.evaScoreCount;
        var evaContent1 = self.scope.evaContent;
		if(server1==0&&server2==0&&ability1==0&&ability2==0&&ability3==0&&evaScore==0)
		{
		        var arr = ["确定"];
                mnWebMain.showDialog(0, "提示", "请将评价填写完整！", arr);
                return;
		}

		mnWebMain.showProgressDialog("请稍候");
		var params = {};
		params.server1 = self.server1Count;
		params.server2 = self.server2Count;
		params.ability1 = self.ability1Count;
		params.ability2 = self.ability2Count;
		params.ability3 = self.ability3Count;
		params.evaScore = self.evaScoreCount;
		var evaContent = self.scope.evaContent;
		if(evaContent)
		{
			params.evaContent = evaContent;
		}
		else
		{
			params.evaContent = "";
		}
		params.groupId = self.groupId;
		var path = "evaluation/publishEvaluation";
		mnWebMain.httpRequest(path, params, function(result) {
			mnWebMain.dismissProgressDialog();
			var resultJob = JSON.parse(result);
			if(resultJob.error == 0)
			{
				saveLocalString(EVALUATION_NEW, "1");
				var arr = ["确定"];
				mnWebMain.showDialog(0, "提示", "提交成功！", arr, function()
				{
					mnWebMain.closeSelfViewController(0);
				});
			} 
			else
			{
				var arr = ["确定"];
				mnWebMain.showDialog(0, "提示", resultJob.errMsg, arr, function() 
				{
					mnWebMain.closeSelfViewController(0);
				});
			}
		});
	},
};

