/*---------------公共配置&基础方法-------------*/
//const BASE_PATH = "http://192.168.1.102:9001/orange/";
const BASE_PATH = "file:///android_asset/orange/";//android
//const BASE_PATH = "";//ios

//const BASE_PATH = "http://mc.meeno.net/orange/";
//临时添加的页面名字
const URL_GROUP_CREATE = BASE_PATH + "ui-group-create.html";//创建团
const URL_GROUP_TEMPLATE = BASE_PATH + "ui-group-template.html";//团模版列表
const URL_PUBLISH_QUES = BASE_PATH + "ui-question-publish.html";//发布问题
const URL_GROUP_DETAILS = BASE_PATH + "ui-group-details.html";//团详情页面
//用户类型
const USER_TOURIST = 1;//游客
const USER_GUIDE = 2;//导游
const USER_GUIDE_LIMIT = 1000000;//大于的是导游
//数据初始化，
const INIT = 0;
//下拉刷新，和初始化的区别在于刷新需要关闭刷新效果
const REFRESH = 1;
//上拉加载更多
const LOAD_MORE = 2;
//刷新成功
const REFRESH_SUCCESS = 0;
//刷新失败
const REFRESH_FAILED = 1;
const PAGE_NUM = '10';//分页获取的10条数据
const ALL_NUM = '999';//不分页获取数据
const INDEX_NUM = '5';
const IMG_CUT_WH = '?imageView2/1/w/150/h/150';//七牛裁剪-正方形
const IMG_CUT_WH2 = '?imageView2/1/w/165/h/121';//七牛裁剪-长方形
const IMG_CUT_WH3 = '?imageView2/1/w/1240/h/600'
//创建团
const RESORTS_1 = "RESORTS_1";//创建团页面
const RESORTS_2 = "RESORTS_2";//选择地区页面id
const RESORTS_3 = "RESORTS_3";//选择景区 页面id

//地点中中国的id
const ID_CHINA = "297ebe0e4f8c0997014f8cdae1c50007";
//携带物品须知类型
const GOOD_CHINA = 2;//国内
const GOOD_HM = 3;//港澳
const GOOD_TAIWAN = 5//台湾
const GOOD_FOREIN = 4;//国际

const HONGKONG = "297ebe0e4f8c0997014f8d29d3be00de";
const MEKAO = "297ebe0e4f8c0997014f8d298e4d00dd";
const TAIWAN = "297ebe0e4f8c0997014f8d2a134200df";

//筛选
const RESORTS_4 = "RESORTS_4";//选择地区前一个页面的id
const RESORTS_5 = "RESORTS_5";//选择地区页面id
const RESORTS_6 = "RESORTS_6";//选择城市 页面id

//创建行程
const RESORTS_7 = "RESORTS_7";//创建行程页面
const RESORTS_8 = "RESORTS_8";//创建行程完成页面


//本地存储键值
const USERINFO = "userInfo";//存储个人信息
const LS_READ_PERMISSIONS = "LS_READ_PERMISSIONS";//阅读权限列表存储
const SIGHTNAME = "SIGHTNAME";//景点key
const MYPRAISE = "MYPRAISE";//存储是否已点过赞（足迹）
const REPLY_PRAISE = "REPLY_PRAISE";//存储是否已点过赞（问题回复）
const FILTER_PARAMS = "FILTER_PARAMS";//存储筛选的参数值
const FILTER_CITY = "FILTER_CITY";//筛选二级城市
const CREATE_GROUP = "CREATE_GROUP";//创建团数据
const CREATE_STROKE = "CREATE_STROKE";//创建团数据
const IS_VOTE = "IS_VOTE";//存储是否投过票
const DESTIANTION_INFO = "DESTIANTION_INFO";//目的地须知
const SAFETY_INFO = "SAFETY_INFO";//安全须知
const SIGHT_DETAIL_INFO = "SIGHT_DETAIL_INFO";//景点详细信息
const GOODS_INFO = "GOODS_INFO";
const EVALUATION_NEW = "EVALUATION_NEW";//有新的评论

const DESTIANTION_INFO_PRE = "DESTIANTION_INFO_PRE";//目的地须知预览
const SAFETY_INFO_PRE = "SAFETY_INFO_PRE";//安全须知预览
const GOODS_INFO_PRE = "GOODS_INFO_PRE";//物品携带须知
const GOODS_INFO_UNPRE = "GOODS_INFO_UNPRE";//团预览的携带物品须知

const GROUP_EVALUATE = "GROUP_EVALUATE";//评价

const MEMBERS_SELECTED = "MEMBERS_SELECTED";//已选中的群成员

const NOTICE_MODEL = "NOTICE_MODEL";//通知提醒的模版数据传递

//获取等级图标
function getGradeIcon(grade){
	//等级
	if(grade <= 4){
		var gradeIcon = "icon/orange1-4.png";
	}else if(grade > 4 && grade <= 9){
		var gradeIcon = "icon/orange5-9.png";
	}else{
		var gradeIcon = "icon/orange10.png";
	}
	
	return gradeIcon;
}
//获取等级图标2
function getGradeIcon2(grade){
	//等级
	var mylv = parseInt(grade);
	if(mylv > 4 && mylv <= 9){
		var orange_lv = "orange2";
	}else if(mylv >= 10){
		var orange_lv = "orange3";
	}else{
		var orange_lv = "orange1";
	}
	
	return orange_lv;
}

//去除左右空格;
function trim(s){
    return s.replace(/(^\s*)|(\s*$)/g, "");
}

//获取时间--xx天、小时、分、秒前
function getDaysBefore(timeStr){
	var myDate = new Date();
	var nowTime = myDate.getTime(); 
	
	var newTimeStr = timeStr.replace(/-/g, "/");
	var publishTime = new Date(newTimeStr).getTime(); 

	var endTime = parseInt((nowTime - publishTime) / 1000 );
	var m =	parseInt(endTime / 60);
	var h = parseInt(endTime / 3600);
	var d = parseInt(endTime/3600/24)
	if(m < 60){
		return m + "分钟前";
	}else if(h < 24){
		return h + "小时前";
	}else if(d >= 1){
		return d + "天前";
	}
}

//获取年/月/日
function getLongDateString(str){
	var datastr = new Date( parseInt(str) );
	var y = datastr.getFullYear() + "年";
	var m = (parseInt(datastr.getMonth()) + 1) + "月";
	var d = datastr.getDate() + "日";
	return y + m + d;
}

//获取月/日
function getDateString(str){
	var datastr = new Date( parseInt(str) );
	var m = (parseInt(datastr.getMonth()) + 1) + "月";
	var d = datastr.getDate() + "日";
	return m + d;
}

//比较两个时间先后
function compareTime(time2, time1){
	var s_time = time1.replace(/-/g, "/");
	var startTime = new Date(s_time).getTime();
	
	var e_time = time2.replace(/-/g, "/");
	var endTime = new Date(e_time).getTime();
	
	var resultTime = accSubtr(parseInt(endTime), parseInt(startTime));
	return resultTime;//大于0  endtime晚
}

//获取行程总天数
function getTotalDays(time1, time2){
	//格式2016-03-15 17:00
	var time_str1 = time1.replace(/-/g, "/");
	var new_time1 = new Date(time_str1).getTime(); 
	
	var time_str2 = time2.replace(/-/g, "/");
	var new_time2 = new Date(time_str2).getTime(); 
	var alongTimeStamp = (new_time2 - new_time1) / 86400000;
	try{
		alongTimeStamp = parseInt(alongTimeStamp);
	}catch(e){
		alongTimeStamp = 0;
	}
	return alongTimeStamp + 1;
//	var endTime = parseFloat((new_time2 - new_time1) / 1000 );
//	var d = parseFloat(endTime/3600/24).toFixed(2);
//	var d1 = d.split(".")[0];
//	if(d > d1){
//		return parseInt(d1) + 1;
//	}else{
//		return parseInt(d1);//返回前后间隔天数
//	}
}

//获取url参数
function GetQueryString(name)
{
    var reg = new RegExp("(^|&)"+ name +"=([^&]*)(&|$)");
    var r = window.location.search.substr(1).match(reg);
    if(r!=null){
	    return  unescape(r[2]); 
    }
    return null;
}

//判断对象是否为空
function objectIsEmpty(obj){
	for(var i in obj){
		return false;
	}
	return true;
}

//判断数组中是否含有某个值
function array_has_value(data, value){  
	for(var i = 0; i < data.length; i++){  
		if(data[i] == value){
			return true;  
		}
	}
	return false;  
} 

//获取对象的长度
function getObjSize(obj){
	var len = 0;
	for(var i in obj){
		len += 1;
	}
	return len;
}



