//index2_create_group.html 创建团
function createGroup(params, modelGroupId){
	var path = "group/createGroup";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		var data = res.data;
		if( res.error == 0 ){
			var code = data.identificationCode;
			var groupId = data.groupId;
			
			var days = getTotalDays(params.startTime, params.endTime);
			var startday = params.startTime;
			var time_str1 = startday.replace(/-/g, "/");
			var new_time1 = new Date(time_str1).getTime();

//			var headObj = {};
//			headObj.leftTitle = "预览";
//			headObj.rightTitle = "完成";
//			headObj.pageId = RESORTS_7;
//			var page_url = BASE_PATH + "group_stroke.html?day=" + days + "&startday=" + new_time1 + 
//				"&groupid="+ groupId + "&code=" + code + "&name=" + encodeURI(params.groupName);

			mnWebMain.dismissProgressDialog();
//  		mnWebMain.openWebViewController(page_url, "创建行程", headObj);
			mnWebMain.setLocalStorage('groupRefresh', '1');//本地维护一个数据，用来通知其他页面有新的团被创建
			if(modelGroupId)
			{
	    		mnWebMain.jumpToCreateTripActivity(days, new_time1, groupId, code, encodeURI(params.groupName), modelGroupId, 0);
			}
			else
			{
				mnWebMain.jumpToCreateTripActivity(days, new_time1, groupId, code, encodeURI(params.groupName), '', 1);
			}
				
		}else{
			mnWebMain.dismissProgressDialog();
		}
	});
}




//group_stroke.html 获取交通工具
function getVehicle(num, day){
	var params = {};
	var path = "common/getVehicle";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataInfo = res.data;
			var data = dataInfo.vehicles;
			var stext = '';
			for(var i = 0; i < data.length; i++){
				stext += '<div class="filter_radio" data-id='+ data[i].id +'>';
				stext += '<label>'+ data[i].vehicleName +'</label>';
				stext += '<input class="radio_not" value="'+ data[i].vehicleIcon +'" type="radio">';
				stext += '</div>';
			}
			stext += '<p class="traffic_num" data-name="num"><input placeholder="请输入火车/航班/车牌号" /></p>';
			stext += '<p class="traffic_input settime" data-name="startTime"><span>起始时间：</span><input placeholder="请选择出发时间" readonly="readonly" /></p>';
			stext += '<p class="traffic_input settime" data-name="endTime"><span>结束时间：</span><input placeholder="请选择结束时间" readonly="readonly" /></p>';
			stext += '<p class="traffic_input setaddr" data-name="startLocation"><span>出发地：</span><input placeholder="请选择出发地" readonly="readonly" /></p>';
			stext += '<p class="traffic_input setaddr" data-name="endLocation"><span>目的地：</span><input placeholder="请选择目的地" readonly="readonly" /></p>';
			
			$(".addtools").append(stext);
			var pageHtml = $("#groupStroke1").html();
			
			for(var i = 2; i <= day; i++){
				var list = '<section class="groupStroke" id="groupStroke'+ i +'" style="display:none;">' + pageHtml + '</section>';
				$("#allStroke").append(list);
			}
			
			getAllDayDataInfo();//获取所有天数的行程数据
			refreshEvent();//重置点击事件
		}else{
		}
	});
}



//stroke_preview.html stroke_detail.html 获取景点信息
function getSightsInfo(sightsId, onResult){
	var params = {};
	params.sightsId = sightsId;
	var path = "common/getSightsInfo";
	mnWebMain.httpRequest(path, params, onResult);
}


//group_stroke.html 创建行程
function createTravel(params){
	var path = "travel/createTravel";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		var data = res.data;
		if( res.error == 0 ){
			createOkArray.push(1);
    		//mnWebMain.openWebViewController(page_url, "创建行程", headObj);
		}else{
			clearInterval(timeInter);
			mnWebMain.dismissProgressDialog();
		}
	});
}


//导游首页 我的团列表
function getGroupList(type){
	var params = {};
	params.type = type;
	params.startIndex = 0;
	params.num = INDEX_NUM;
	var path = "group/getGroups";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		var data = res.data;
		var groups = data.groups;
		if( res.error == 0 ){

			var list = '';
			if( objectIsEmpty(groups) ){
				list = '<div class="no_group_data">暂无团！</div>';
			}else{

				for(var i in groups){
					if(groups[i].groupIcon){
						var groupIcon = JSON.parse( groups[i].groupIcon );
						var groupIcon_url = groupIcon.url + IMG_CUT_WH2;
					}else{
						var groupIcon_url = 'images/group_img.png';
					}
					var s_time = groups[i].startTime;
					var startTime = s_time.split(" ")[0];
					
					var member_num = 0;
					if(groups[i].members){
						var members = JSON.parse( groups[i].members );
						member_num = members.length + 1;
					}
					var rightDom = '<div class="ub-f1 group_right" data-id="'+ groups[i].id +'" data-name="'+ groups[i].groupName +'"><img src="icon/icon-chat.png"/></div>';
					list += '<div class="ub group_item" data-id="'+ groups[i].id +'" data-name="'+ groups[i].groupName +'">';
		    		list += '<div class="ub-f1 group_left img-w"><img src="'+ groupIcon_url +'" /></div>';
		    		list += '<div class="ub-f1 group_center">';
					list += '<h4>'+ groups[i].groupName +'</h4>';
					list += '<div><i></i><span>'+ startTime +'</span></div>';
					list += '<p><span>成员数量：</span>'+ member_num +'</p>';
		    		list += '</div>';
		    		list += ''+rightDom+'';
		        	list += '</div>';
				}
			}
			
			if(type == 2){
				$("#groupList0").html(list);
			}else if(type == 1){
				$("#groupList1").html(list);
			}else if(type == 3){
				
				$("#groupList2").html(list);
			}
			
			//查看团详情
			$(".group_item").off("tap").on("tap", function(){
				var groupId = $(this).attr("data-id");
				var name = $(this).attr("data-name");
				var page_url = BASE_PATH + "ui-group-details.html?id=" + groupId;
        		mnWebMain.openWebViewController(page_url, "团队详情");
			});
			
			//查看团详情
			$(".group_right").off("tap").on("tap", function(e){
				e.stopPropagation();
				var groupId = $(this).attr("data-id");
				var name = $(this).attr("data-name");
				mnWebMain.chat(2, groupId, name);
			});
			
			swiperGroup.update();
		}else{
		}
	});
}


//行程页面 团列表
function getGroupList2(type, startIndex, userType){
	var params = {};
	params.type = type;
	params.startIndex = startIndex;
	params.num = ALL_NUM;
	var path = "group/getGroups";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		var data = res.data;
		var groups = data.groups;
		if( res.error == 0 ){
			var list = '';
			if( objectIsEmpty(groups) ){
				list = '<div class="no_group_data">暂无团！</div>';
			}else{
				for(var i in groups){
					if(groups[i].groupIcon){
						var groupIcon = JSON.parse( groups[i].groupIcon );
						var groupIcon_url = groupIcon.url + IMG_CUT_WH2;
					}else{
						var groupIcon_url = 'assets/images/default/group_img.png';
					}
					var s_time = groups[i].startTime;
					var startTime = s_time.split(" ")[0];
					
					var member_num = 0;
					if(groups[i].members){
						var members = JSON.parse( groups[i].members );
						member_num = members.length + 1;
					}
					var rightDom = '';
					var isEvaluation = groups[i].isEvaluation;
					if('1' == userType && type == 3 && isEvaluation)
					{
						rightDom = '<div class="ub-f1 group_other"><img src="icon/icon-chat.png" class="group_icon_chat" data-id="'+ groups[i].id +'" data-name="'+ groups[i].groupName +'"/><img src="icon/icon_comment.png" class="group_icon_com" data-id="'+ groups[i].id +'" data-owner="'+groups[i].groupOwner+'"/ ></div>';
					}
					else{
						rightDom = '<div class="ub-f1 group_right" data-id="'+ groups[i].id +'" data-name="'+ groups[i].groupName +'"><img src="icon/icon-chat.png"/></div>';
					}
					list += '<div class="ub group_item" data-id="'+ groups[i].id +'" data-name="'+ groups[i].groupName +'">';
		    		list += '<div class="ub-f1 group_left img-w"><img src="'+ groupIcon_url +'" /></div>';
		    		list += '<div class="ub-f1 group_center">';
					list += '<h4>'+ groups[i].groupName +'</h4>';
					list += '<div><i></i><span>'+ startTime +'</span></div>';
					list += '<p><span>成员数量：</span>'+ member_num +'</p>';
		    		list += '</div>';
					list += ''+rightDom+'';
					list += '</div>';
				}
			}
			
			if(type == 2){
				$("#groupList0").empty();
				$("#groupList0").append(list);
			}else if(type == 1){
				$("#groupList1").empty();
				$("#groupList1").append(list);
			}else if(type == 3){
				$("#groupList2").empty();
				$("#groupList2").append(list);
			}

			//查看团详情
			$(".group_item").off("tap").on("tap", function(){
				var groupId = $(this).attr("data-id");
				var name = $(this).attr("data-name");
				var page_url = BASE_PATH + "ui-group-details.html?id=" + groupId;
        		mnWebMain.openWebViewController(page_url, "团队详情");
			});
			
			//查看团详情
			$(".group_right").off("tap").on("tap", function(e){
				e.stopPropagation();
				var groupId = $(this).attr("data-id");
				var name = $(this).attr("data-name");
				mnWebMain.chat(2, groupId, name);
			});
			
			//聊天
			$(".group_icon_chat").off("tap").on("tap", function(e){
				e.stopPropagation();
				var groupId = $(this).attr("data-id");
				var name = $(this).attr("data-name");
				mnWebMain.chat(2, groupId, name);
			});
			//评论
			$(".group_icon_com").off("tap").on("tap", function(e){
				e.stopPropagation();
				var groupId = $(this).attr("data-id");
				var groupOwner = $(this).attr("data-owner");
				var headObj = {};
			    var page_url = BASE_PATH + "ui-evaluate-go.html?groupId=" + groupId + "&showIconUserId=" + groupOwner;
		    	mnWebMain.openWebViewController(page_url, "评价桔子", headObj);
//				mnWebMain.chat(2, groupId, name);
			});
		}else{
		}
	});
}


//行程页面calendar.html 获取每个月的团
function getGroupsWithMonth(month){
	var params = {};
	params.month = month;
	var path = "group/getGroupsWithMonth";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		var data = res.data;
		var groups = data.groups;
		if( res.error == 0 ){
			var list = '';
			if(groups.length == 0){
				list = '<div class="no_group_data">当前月份没有旅游团！</div>';
			}else{
				for(var i in groups){
					var startTime = groups[i].startTime;
					if(startTime)
					{
						startTime = startTime.substring(0, 10);
					}
					else
					{
						startTime = '';
					}
					list += '<li data-id="'+ groups[i].id +'" data-name="'+ groups[i].groupName +'"><div class="ub event_body">';
					// list += '<div class="ub-f1 event_left"><img src="icon/icon-time.png" /></div>';
					list += '<div class="ub-f1 event_content">';
					list += '<div><img src="icon/icon-trip.png" />'+ groups[i].groupName +'</div><p><img src="icon/icon-time.png" />'+ startTime +'</p>';
					list += '</div></div></li>';
				}
			}
			
			$("#date_event").html(list);
			
			
			//查看团详情
			$("#date_event li").off("tap").on("tap", function(){
				var groupId = $(this).attr("data-id");
				var name = $(this).attr("data-name");
				var groupOwner = $(this).attr("data-gowner")
				var page_url = BASE_PATH + "ui-group-details.html?id=" + groupId;
        		mnWebMain.openWebViewController(page_url, "团队详情");
			});
		}else{
		}
	});
}


//团详情
function getGroupDetail(groupId, onResult){
	var idsArr = [];
	idsArr.push(groupId);
	var params = {};
	params.ids = JSON.stringify( idsArr );
	var path = "group/getGroupObjWithIds";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		var data = res.data;
		var groups = data.groups;
		if( res.error == 0 ){
			if( objectIsEmpty(groups) ){
			}else{
				for(var i in groups){
					if(groups[i].groupIcon){
						var groupIcon = JSON.parse( groups[i].groupIcon );
						var groupIcon_url = groupIcon.url + IMG_CUT_WH2;
					}else{
						var groupIcon_url = 'images/group_img.png';
					}
//					var s_time = groups[i].startTime;
//					var startTime = s_time.split(" ")[0];
					
					$("#groupName").text(groups[i].groupName);//团名称
					$("#groupIcon").attr("src", groupIcon_url);//团头像
					$("#groupCode").text(groups[i].identificationCode);//团识别码
					$("#meetingTime").text(groups[i].meetingTime);//集合时间
					$("#meetingPlace").text(groups[i].startLocation);//集合地点
					if(groups[i].startTime && groups[i].startTime.length >= 10)
					{
						$("#tripTimeStart").text(groups[i].startTime.substr(0, 10));//团出发时间
					}
					if(groups[i].endTime && groups[i].endTime.length >= 10)
					{
						var sTimeStamp = new Date(groups[i].startTime.replace(/-/g, "/")).getTime();//出发时间戳
						var eTimeStamp = new Date(groups[i].endTime.replace(/-/g, "/")).getTime();//结束时间戳
						var alongTimeStamp = (eTimeStamp - sTimeStamp) / 86400000;
		  				try{
			  				alongTimeStamp = parseInt(alongTimeStamp);
		  				}catch(e){
		  					alongTimeStamp = 0;
		  				}
						$("#tripTimeEnd").text(groups[i].endTime.substr(0, 10)  + "  (共" + (alongTimeStamp + 1) + "日)");//团结束时间
					}
					
					//目的地
					try{
						var endLocationArr = JSON.parse(groups[i].endLocation);//目的地
						if(endLocationArr.lengh == 0)
						{
							$("#destinationOne").text("无");
							$("#destinationOne").next().remove();
						}
						else if(endLocationArr.length == 1)
						{
							$("#destinationOne").text(endLocationArr[0]);
							$("#destinationOne").next().remove();
						}
						else
						{
							for(var indexEndLocation = 0; indexEndLocation < endLocationArr.length; indexEndLocation++)
							{
								if(indexEndLocation == 0)
								{
									$("#destinationOne").text(endLocationArr[0]);
								}
								else
								{
									var list = '<div class="ub approve-phone p_top">';
									list += '<div class="ub-f1 phone-center">' + endLocationArr[indexEndLocation] + '</div>';
					  				list += '<div class="ub-f1 phone-right"></div>';
					  				list += '</div>';
									$("#destinationOthers").append(list);
								}
							}
							toggleDestination();
						}
					}catch(e){
						//TODO handle the exception
					}
					//紧急联系人
					try{
						var contactsArr = JSON.parse(groups[i].contacts);
						if(contactsArr.length == 0){
							$("#contactsOne").text("无");
							$("#contactsOne").next().remove();
						}else if(contactsArr.length == 1){
							$("#contactsOne").text(contactsArr[0].contact_name + "-" + contactsArr[0].contact_phone);
							$("#contactsOne").next().remove();
						}else{
							for(var j = 0; j < contactsArr.length; j++){
								if(j == 0){
									$("#contactsOne").text(contactsArr[j].contact_name + "-" + contactsArr[j].contact_phone);
								}else{
									var list = '<div class="ub approve-phone p_top">';
					  				list += '<div class="ub-f1 phone-center">'+ contactsArr[j].contact_name + "-" + contactsArr[j].contact_phone +'</div>';
					  				list += '<div class="ub-f1 phone-right"></div></div>';
					  				$("#urgentPhone").append(list);
								}
							}
							toggleUrgent();
						}
					}catch(e){}
					//当地导游
					try{
						var guidesArr = JSON.parse( groups[i].guides );
						if(guidesArr.length == 0){
							$("#guidesOne").text("无");
							$("#guidesOne").next().remove();
						}else if(guidesArr.length == 1){
							$("#guidesOne").text(guidesArr[0].guide_name + "-" + guidesArr[0].guide_phone);
							$("#guidesOne").next().remove();
						}else{
							for(var k = 0; k < guidesArr.length; k++){
								if(k == 0){
									$("#guidesOne").text(guidesArr[k].guide_name + "-" + guidesArr[k].guide_phone);
								}else{
									var list = '<div class="ub approve-phone p_top">';
					  				list += '<div class="ub-f1 phone-center">'+ guidesArr[k].guide_name + "-" + guidesArr[k].guide_phone +'</div>';
					  				list += '<div class="ub-f1 phone-right"></div></div>';
					  				$("#localPhone").append(list);
								}
							}
							toggleLocal();
						}
					}catch(e){
					}
					
//					$("#noticeDetail").text(groups[i].destinationInfo);
//					$("#safetyDetail").text(groups[i].safetyInfo);
					//查看行程
					var days = getTotalDays(groups[i].startTime, groups[i].endTime);
					var startday = groups[i].startTime;
					var time_str1 = startday.replace(/-/g, "/");
					var new_time1 = new Date(time_str1).getTime();
					//判断团是否结束
					var endday = groups[i].endTime;
					var time_str2 = endday.replace(/-/g, "/");
					var new_time2 = new Date(time_str2).getTime();
					var nowday = new Date().getTime();
					//获得该团的导游
					var groupOwner = groups[i].groupOwner;
					//判断点击该团时该团是否完成notend = 0表示已完成
					var notend = 0;
					if(nowday < new_time2){
						notend = 1;
					}
			        $("#lookStroke").off("tap").on("tap", function(){
			        	var headObj = {};
			        	headObj.rightImage = "icon_edit";
			        	var page_url = BASE_PATH + "stroke_detail.html?id=" + groupId + "&day=" + days + "&startday=" + new_time1 + "&notend=" + notend + "&groupOwner=" + groupOwner;
//			        	var page_url = BASE_PATH + "stroke_detail.html?id=" + groupId + "&day=" + days + "&startday=" + new_time1 + "&notend=" + notend;
						mnWebMain.openWebViewController(page_url, "行程详情", headObj);
			        });
					onResult(groups[i].destinationInfo, groups[i].safetyInfo, groups[i].carryInfo);
					
					break;//因为详情只有一条数据，所以只取第一条的数据就可以了
				}
			}
		}else{
		}
	});
}





