!function(){
	//请求数据
    function httpRequest(path, params, onResult){
    	var data = {
			"method" : "httpRequest",
			"data" : {
				"path" : path,
				"params" : params,
			}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data), onResult);
    }
    
//  //demo在js里面
//  function httpRequest(path, params, onResult, onResult1 ){
//  	....
//  	yibu
//  	var data;
//  	var data1;
//  	onResult(data);
//  	onResult1(data1)
//  }
//  //在h5里面
//  var provinceData;
//  var coutryData;
//	httpRequest(path, params, function(data)
//	{
//		provinceData = data
//	}, function(data1)
//	{
//		coutryData = data1;
//	});
//	a.on("tap")
//	{
//		if(provinceData)
//		{
//			....
//		}
//	}
//	b.on()...
	
	//打开新页面，可设置页面头信息
	function openWebViewController(url, title, headObj){
		if(!headObj || headObj == undefined){
			var headObj = {};
		}
		
		if(headObj.leftTitle == undefined){
	    	if(headObj.leftImage == undefined){
	    		var leftImage = "navbar_back";
	    	}else{
				var leftImage = headObj.leftImage;
			}
    	}
    	
		var data = {
			"method" : "openWebViewController",
			"data" : {
				"url" : url,
				"title" : title,
				"leftImage": leftImage,
				"leftTitle" : headObj.leftTitle,
				"rightImage" : headObj.rightImage,
				"rightTitle" : headObj.rightTitle,
				"naviBgColor" : headObj.naviBgColor,
				"pageId" : headObj.pageId
			}
		}
		WebViewJavascriptBridge.send(JSON.stringify(data));
	}
    
    //在A页面打开B页面，B页面更新A页面数据
    function openWebViewControllerWithDataTransfer(url, title, headObj, onResult){
    	if(!headObj || headObj == undefined){
			var headObj = {};
		}
		
		if(headObj.leftTitle == undefined){
	    	if(headObj.leftImage == undefined){
	    		var leftImage = "navbar_back";
	    	}else{
				var leftImage = headObj.leftImage;
			}
    	}
    	
    	var data = {
			"method" : "openWebViewControllerWithDataTransfer",
			"data" : {
				"url" : url,
				"title" : title,
				"leftImage": leftImage,
				"leftTitle" : headObj.leftTitle,
				"rightImage" : headObj.rightImage,
				"rightTitle" : headObj.rightTitle,
				"naviBgColor" : headObj.naviBgColor,
				"pageId" : headObj.pageId
			}
		}
		WebViewJavascriptBridge.send(JSON.stringify(data), onResult);
    }
    
    //返回原来页面前、存储当前页面输入的值
    function transferData(params){
		var data = {
			"method" : "transferData",
			"data" : {
				"params" : params, 
			}
		}
		WebViewJavascriptBridge.send(JSON.stringify(data));
	}
    
    //关闭当前页面
	function closeSelfViewController(noAnim){
		var animInt = 0;
		if (noAnim){
			animInt = 0;//有动画
		}else{
			animInt = 1;//无动画
		}

		var data = {
			"method" : "closeSelfViewController",
			"data" : {
				"anim" : animInt
			}
		}
		WebViewJavascriptBridge.send(JSON.stringify(data));
	}
	
	//关闭多个页面
	function closeMoreViewController(arrId){
		var data = {
			"method" : "closeMoreViewController",
			"data" : {
				"ids": arrId
			}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data));
	}
	
	//打开原生页面
    function openViewController(vcId){
    	var data = {
			"method" : "openViewController",
			"data" : {
				"VCId":vcId
			}
		}
		WebViewJavascriptBridge.send(JSON.stringify(data));
    }
    
    //打开原生页面 &带回调
    function openViewControllerWithDataTransfer(VCId, title, defaultLocation, onResult){
    	var data = {
				"method" : "openViewControllerWithDataTransfer",
				"data" : {
					"VCId" : VCId,
					"defaultLocation" : defaultLocation,
					"title" : title
				}
			}
    	
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data), onResult);
    }
    
    //设置导航中间标题
    function setViewControllerTitle(title){
    	var data = {
			"method" : "setViewControllerTitle",
			"data" : {
				"title" : title
			}
		}
		WebViewJavascriptBridge.send(JSON.stringify(data));
    }
    //设置导航右标题
    function setNavRightTitle(navRightTitle){
    	var data = {
			"method" : "setNavRightTitle",
			"data" : {
				"navRightTitle" : navRightTitle
			}
		}
		WebViewJavascriptBridge.send(JSON.stringify(data));
    }
    //设置导航右图片
    function setNavRightBtnWithDate(imageName){
    	var data = {
			"method" : "setNavRightBtnWithDate",
			"data" : {
				"imageName" : imageName
			}
		}
		WebViewJavascriptBridge.send(JSON.stringify(data));
    }
    
	//设置本地存储
	function setLocalStorage(key, value){
		var data = {
			"method" : "setLocalStorage",
			"data" : {
				"key" : key,
				"value" : value,
			}
		}
		WebViewJavascriptBridge.send(JSON.stringify(data));
	}
	
	//获取本地存储
	function getLocalStorage(key, onResult){
		var data = {
			"method" : "getLocalStorage",
			"data" : {
				"key" : key,
			}
		}
		WebViewJavascriptBridge.send(JSON.stringify(data), onResult);
	}

	//wp 获得当前用户的电话和姓名
    	function getCurrentUserNameAndTel(onResult) {
    	    var data = {
                "method" : "getCurrentUserNameAndTel",
                "data" : {}
            }
            WebViewJavascriptBridge.send(JSON.stringify(data), onResult);
    	}

    //wp 保存真实姓名(导游创建团填写紧急联系人)
    function saveCurrentRealName(realName) {
        var data = {
            "method" : "saveCurrentRealName",
            "data" : {
                "realName" : realName,
            }
        }
        WebViewJavascriptBridge.send(JSON.stringify(data));
    }

	
	//删除本地存储
	function removeLocalStorage(key){
		var data = {
			"method" : "removeLocalStorage",
			"data" : {
				"key" : key,
			}
		}
		WebViewJavascriptBridge.send(JSON.stringify(data));
	}
    
	//重新加载webview
	function reloadWebView(){
		var data = {
			"method" : "reloadWebView",
			"data" : {}
		}
		WebViewJavascriptBridge.send(JSON.stringify(data));
	}
    
    //设置页面可反弹
	function enableDrag(){
		var data = {
			"method" : "enableDrag",
			"data" : {}
		}
		WebViewJavascriptBridge.send(JSON.stringify(data));
	}
    
    //禁止页面反弹
	function disableDrag(){
		var data = {
			"method" : "disableDrag",
			"data" : {}
		}
		WebViewJavascriptBridge.send(JSON.stringify(data));
	}

	//设置上下拉有加载效果
	function refresh(refreshType){
		//refreshType 0:上拉 1:下拉 2:两者都有
		var data = {
			"method" : "refresh",
			"data" : {
				"refreshType": refreshType
			}
		}
		WebViewJavascriptBridge.send(JSON.stringify(data));
	}
	
	//关闭上下拉效果
	function refreshFinish(result){
		//result: 0 提示成功 1提示失败
		var data = {
			"method" : "refreshFinish",
			"data" : {
				"result": result
			}
		}
		WebViewJavascriptBridge.send(JSON.stringify(data));
	}
    
    //是否隐藏页面头部
    function isHideNavigationBarData(isHide){
    	//isHide 0显示 1隐藏
    	var data ={
			"method" : "isHideNavigationBarData",
			"data" : {
				"isHide" : isHide, 
			}
		}
		WebViewJavascriptBridge.send(JSON.stringify(data));
    }
    
    //判断是否登录
    function isLogin(onResult){
    	var data = {
			"method" : "isLogin",
			"data" : {}
		}
		WebViewJavascriptBridge.send(JSON.stringify(data), onResult);
    }
    //点击底部tabBar事件
    function setTabbarSelectedIndex(index){
    	var data = {
			"method" : "setTabbarSelectedIndex",
			"data" : {
				"index" : index
			}
		}
		WebViewJavascriptBridge.send(JSON.stringify(data));
    }
    //相册和拍照
    function photoPicker(isCut, photoType, maxCount, onResult){
    	//isCut: 0表示截图  1表示不截图
	   	//photoType: 0：调用照相机 1：相册  2:多图
	   	//maxCount: 最大图片数量
	   	//返回值 imageURLs:["图片地址1","图片地址2","图片地址3".....] 
    	var data = {
			"method" : "photoPicker",
			"data" : {
				"isCut" : isCut,
				"photoType" : photoType,
				"maxCount" : maxCount
			}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data), onResult);
    }
    
    //弹框
    function showDialog(type, title, content, arr, onResult){
    	//参数  type: 0表示提示框 1表示输入框 2表示底部列表框
		//title: 标题内容（0、1  title必填）
		//content: 提示信息（1 content必填）
		//arr: 底部列表数据（3 arr必填） 
		
		//返回值 提示框（index:0或者1）
		//输入框（index:0或者1、inputContent:输入的内容） 
		//底部列表（index: 0、1、2...）
		
		if(!onResult || onResult == undefined){
			onResult = "";
		}
		
    	var data = {
			"method" : "showDialog",
			"data" : {
				"type" : type,
				"title" : title,
				"content" : content,
				"arr" : arr
			}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data), onResult);
    }
    
    //弹框多行（IOS）
    function showMutilLineImput(type, title, content, arr, onResult){
    	//参数  type: 0表示提示框 1表示输入框 2表示底部列表框
		//title: 标题内容（0、1  title必填）
		//content: 提示信息（1 content必填）
		//arr: 底部列表数据（3 arr必填） 
		
		//返回值 提示框（index:0或者1）
		//输入框（index:0或者1、inputContent:输入的内容） 
		//底部列表（index: 0、1、2...）
		
		if(!onResult || onResult == undefined){
			onResult = "";
		}
		
    	var data = {
			"method" : "showMutilLineImput",
			"data" : {
				"type" : type,
				"title" : title,
				"content" : content,
				"arr" : arr
			}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data), onResult);
    }
    
    //显示加载对话框
    function showProgressDialog(content){
    	
    	var data = {
			"method" : "showProgressDialog",
			"data" : {
				"content" : content
			}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data));
    }
    
    //隐藏加载对话框
    function dismissProgressDialog(){
    	var data = {
			"method" : "dismissProgressDialog",
			"data" : {}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data));
    }
    
    //浏览图片
    function browserPics(index, urls){
    	//index 需要查看的图片index值
    	//urls 图片数组
    	var data = {
			"method" : "browserPics",
			"data" : {
				"index" : index,
				"urls" : urls
			}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data));
    }
    
    //显示和隐藏原生键盘
    function showOrDismissBottomInput(type, onResult){
    	//type: 0表示显示，1表示隐藏
    	var data = {
			"method" : "showOrDismissBottomInput",
			"data" : {
				"type" : type,
			}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data), onResult);
    }
    
	//打开聊天页面
    function chat(chatType, userId, nickName){
    	//chatType:聊天类型（1、单聊；2、群聊）
		//userId:	对方的id或者群id
		//nickName: 昵称或者群名称
    	var data = {
			"method" : "chat",
			"data" : {
				"chatType" : chatType,
				"userId" : userId,
				"nickName" : nickName
			}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data));
    }
    
    //选择时间  格式2016-03-15 16:00
    /**
     * 
     * @param {Object} onResult
     * @param {Object} type  0：当前时间  1：出发时间  1：结束时间
     */
    function chooseDate(onResult, type){
    	if(type)
    	{
    		var dataType = type;
    	}
    	else
    	{
    		var dataType = 0;
    	}
    	var data = {
			"method" : "chooseDate",
			"data" : {
				"type" : dataType 
			}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data), onResult);
    }
    //选择时间  0时选择日期 1时选择时间
    function chooseDateType(type, onResult, isBirthday){
    	if(isBirthday)
    	{
    		var b = isBirthday;
    	}
    	else
    	{
    		var b = "0";
    	}
    	var data = {
			"method" : "chooseDateType",
			"data" : {
				"type" : type,
				"isBirthday" : b
			}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data), onResult);
    }
    
    //打开定位
    function jumpToGroupLocation(groupId){
    	var data = {
			"method" : "jumpToGroupLocation",
			"data" : {
				"groupId" : groupId
			}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data));
    }

	//打开通讯录
    function chooseContacts(groupId){
    	var data = {
			"method" : "chooseContacts",
			"data" : {
				"groupId" : groupId
			}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data));
    }
    
 	//电话
    function phoneCall(number){
    	var data = {
			"method" : "phoneCall",
			"data" : {
				"number":number
			}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data));
    }
    
    //登出
    function logout(onResult){
    	var data = {
			"method" : "logout",
			"data" : {}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data), onResult);
    }
    
	//获取国家列表
	function getCountrys(onResult){
    	var data = {
			"method" : "getCountrys",
			"data" : {}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data), onResult);
    }
	
	//根据国家id 获取省列表
	function getProvinces(countryId, onResult){
    	var data = {
			"method" : "getProvinces",
			"data" : {
				"countryId" : countryId
			}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data), onResult);
    }
	
	//根据省id 获取市列表
	function getCitys(provinceId, onResult){
    	var data = {
			"method" : "getCitys",
			"data" : {
				"provinceId" : provinceId
			}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data), onResult);
    }
	
	//根据市id 获取景点列表
	function getSights(cityId, onResult){
    	var data = {
			"method" : "getSights",
			"data" : {
				"cityId" : cityId
			}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data), onResult);
    }
	//app分享
    function shareFriend(){
    	var data = {
			"method" : "shareFriend",
			"data" : {}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data));
    }
    //团分享
    function shareGroup(code, groupId, name){
    	var data = {
			"method" : "shareGroup",
			"data" : {
				"code" : code,
				"groupId" : groupId,
				"name" : name
			}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data));
    }
    /**
     * 打开二维码页面
     * @param {Object} code
     */
    function showQWDialog(code){
    	var data = {
			"method" : "showQWDialog",
			"data" : {
				"code" : code
			}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data));
    }
    //保存二维码到本地
    function saveQRToLocal(code, groupId, name){
    	var data = {
			"method" : "saveQRToLocal",
			"data" : {
				"code" : code,
				"groupId" : groupId,
				"name" : name
			}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data));
    }
    /**
     * 打开签到对话框
     */
    function openMySignDialog(){
    	var data = {
			"method" : "openMySignDialog",
			"data" : {}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data));
    }
    /**
     * 打开联系人页面（我的）
     */
    function openContactController(){
    	var data = {
			"method" : "openContactController",
			"data" : {}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data));
    }
    //获取客服电话号
    function getServicePhone(onResult){
    	var data = {
			"method" : "getServicePhone",
			"data" : {}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data), onResult);
    }
    /**
     * 清理图片缓存
     */
    function removeImageCache(){
    	var data = {
			"method" : "removeImageCache",
			"data" : {}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data));
    }
   	/**
   	 * 跳转到创建团页面
   	 * @param {Object} day
   	 * @param {Object} startday
   	 * @param {Object} groupId
   	 * @param {Object} code
   	 * @param {Object} groupName
   	 * @param {Object} isModify  是否是修改 ： 0表示是修改（模版模式默认为需要修改），1表示不是修改，是正常创建团
   	 */
    function jumpToCreateTripActivity(day, startday, groupId, code, groupName, modelGroupId, isModify){
    	var data = {
			"method" : "jumpToCreateTripActivity",
			"data" : {
				"day" : day,
				"startday" : startday,
				"groupId" : groupId,
				"code" : code,
				"groupName" : groupName,
				"modelGroupId" : modelGroupId,
				"isModify" : isModify
				
			}
		}
		WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data));
    }
    /**
     * 选择出行时间
     * @param {Object} startDate  开始日期
     * @param {Object} endDate    结束日期
     * @param {Object} onResult
     */
    function chooseTripDate(onResult)
    {
    	var data = {
			"method" : "chooseTripDate",
			"data" : {
			}
		}
    	WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data), onResult);
    }
    /**
     * 弹出提示信息，显示一小段时间
     * @param {Object} content，提示信息
     */
    function toastInfo(content)
    {
    	var data = {
			"method" : "toastInfo",
			"data" : {
				"content" : content
			}
		}
    	WebViewJavascriptBridge.callHandler('mnHandler', JSON.stringify(data));
    }

	window.mnWebMain = {
		//原生调用html5方法
		cbBridgeInited: undefined,	//原生和html建立连接
		cbNavRightClicked: undefined,	//点击顶部右按钮
		cbNavLeftClicked: undefined,	//点击顶部左按钮
		cbAppWillEnterForground: undefined,
		cbAppDidEnterBackground: undefined,
		cbViewWillAppear: undefined,	//页面显示时触发
		cbViewWillDisappear: undefined,	//页面隐藏时触发



		//我的方法
		cbLoginSuccessUpdate : undefined,	//登录成功更新数据
		cbUpLoadData : undefined,	//上拉加载
		cbDownRefreshData : undefined,	//下拉刷新
		cbSearchWords: undefined,	//search_*.html搜索
		cbScanCode: undefined,	//join_group.html扫描成功回调
		cbAroundPlace: undefined,	//定位回调
		cbSearchQa: undefined,	//搜索问答
		cbSearchOrange: undefined,	//搜索桔子
		cbSearchAll: undefined, //搜索全部(桔子和问答)

		//hideBtnSend: undefined,//点击个人详情隐藏发消息按钮
		
		//html5调用原生方法
		httpRequest : httpRequest,	//请求数据
		openWebViewController : openWebViewController,	//打开新页面
		openWebViewControllerWithDataTransfer : openWebViewControllerWithDataTransfer,//在A页面打开B页面，B页面更新A页面数据
		closeSelfViewController : closeSelfViewController,	//关闭当前页面
		closeMoreViewController : closeMoreViewController, //关闭多级页面
		openViewController : openViewController,	//打开原生页面1
		openViewControllerWithDataTransfer : openViewControllerWithDataTransfer,	//打开原生页面2
		setLocalStorage : setLocalStorage,	//设置本地存储
		getLocalStorage : getLocalStorage,	//获取本地存储
		getCurrentUserNameAndTel : getCurrentUserNameAndTel, //wp
		saveCurrentRealName : saveCurrentRealName, //wp
		removeLocalStorage : removeLocalStorage,	//删除本地存储
		reloadWebView : reloadWebView,	//重新加载webview
		enableDrag : enableDrag,	//设置反弹
		disableDrag : disableDrag,	//禁止反弹
		refresh: refresh,	//设置上下拉有加载效果
		transferData : transferData,	//返回原来页面前、存储当前开页面输入的值
		isHideNavigationBarData : isHideNavigationBarData,	//是否隐藏页面头部
		setViewControllerTitle : setViewControllerTitle,	//设置导航中间标题
		setNavRightTitle : setNavRightTitle,	//设置右导航标题
		setNavRightBtnWithDate : setNavRightBtnWithDate, //设置右导航图标
		setTabbarSelectedIndex: setTabbarSelectedIndex,		//点击底部tabBar事件
		isLogin : isLogin,		//判断是否登录
		photoPicker : photoPicker,	//相册和拍照
		showDialog : showDialog, //原生弹框
		browserPics : browserPics, //浏览图片
		showOrDismissBottomInput : showOrDismissBottomInput, //显示和隐藏原生键盘
		logout : logout, //登出
		refreshFinish : refreshFinish,	//关闭上下拉的刷新效果（回弹）
		chat : chat,	//打开聊天页面
		chooseDate : chooseDate,	//选择时间
		chooseDateType : chooseDateType,	//选择时间
		showProgressDialog : showProgressDialog,	//显示加载对话框
		dismissProgressDialog : dismissProgressDialog,	//隐藏加载对话框
		jumpToGroupLocation : jumpToGroupLocation,	//打开定位
		chooseContacts : chooseContacts, 	//打开通讯录
		phoneCall : phoneCall,	//拨打电话
		getCountrys : getCountrys,	//获取国家列表
		getProvinces : getProvinces,	//获取省列表
		getCitys : getCitys,	//获取市列表
		getSights : getSights,	//获取景点列表
		shareFriend : shareFriend,//我的页面邀请好友
		shareGroup : shareGroup,//创建团成功后的团分享
		saveQRToLocal : saveQRToLocal,//保存二维码到本地
		openContactController : openContactController, //跳转到通讯录页面
		openMySignDialog : openMySignDialog,//打开签到页面
		getServicePhone : getServicePhone,//获取客服电话
		showQWDialog : showQWDialog,//显示二维码
		removeImageCache : removeImageCache,//清理图片缓存
		jumpToCreateTripActivity : jumpToCreateTripActivity, //创建行程页面
		chooseTripDate : chooseTripDate, //选择出行时间
		toastInfo : toastInfo,
		showMutilLineImput : showMutilLineImput
	}

	// Connect bridge
	function connectWebViewJavascriptBridge(callback) {
		if (window.WebViewJavascriptBridge) {
			callback(WebViewJavascriptBridge)
		}else {
			document.addEventListener('WebViewJavascriptBridgeReady', function() {
				callback(WebViewJavascriptBridge)
			}, false)
		}
	}

	// 连接Bridge
	connectWebViewJavascriptBridge(function(bridge){
		if (mnWebMain.cbBridgeInited != undefined){
			mnWebMain.cbBridgeInited();
		}
	
		bridge.init(function(message, responseCallback) 
		{
			if (message.method != undefined)
			{
				switch( message.method ){
					case "tapNavRightBtn" :
						if (mnWebMain.cbNavRightClicked != undefined){
							mnWebMain.cbNavRightClicked();
						}
						break;
					case "tapNavLeftBtn" :
						if (mnWebMain.cbNavLeftClicked != undefined){
							mnWebMain.cbNavLeftClicked();
						}
						break;
					case "appWillEnterForground" :
						if (mnWebMain.cbAppWillEnterForground != undefined){
							mnWebMain.cbAppWillEnterForground();
						}
						break;
					case "appDidEnterBackground" :
						if (mnWebMain.cbAppDidEnterBackground != undefined){
							mnWebMain.cbAppDidEnterBackground();
						}
						break;
					case "viewWillAppear" :
						if (mnWebMain.cbViewWillAppear != undefined){	//页面显示时触发
							mnWebMain.cbViewWillAppear();
						}
						break;
					case "viewWillDisappear" :
						if (mnWebMain.cbViewWillDisappear != undefined){	//页面显示时触发
							mnWebMain.cbViewWillDisappear();
						}
						break;
					case "cbLoginSuccessUpdate" :
						if (mnWebMain.cbLoginSuccessUpdate != undefined){	//登录成功更新数据
							mnWebMain.cbLoginSuccessUpdate(message.data);
						}
						break;
					case "cbUpLoadData" :
						if (mnWebMain.cbUpLoadData != undefined){	//上拉加载
							mnWebMain.cbUpLoadData();
						}
						break;
					case "cbDownRefreshData" :
						if (mnWebMain.cbDownRefreshData != undefined){	//下拉刷新
							mnWebMain.cbDownRefreshData();
						}
						break;
					case "cbSearchWords" :
						if (mnWebMain.cbSearchWords != undefined){	//搜素
							mnWebMain.cbSearchWords(message.data);
						}
						break;
					case "cbScanCode" :
						if (mnWebMain.cbScanCode != undefined){	//扫描成功回调
							mnWebMain.cbScanCode(message.data);
						}
						break;
					case "cbAroundPlace" :
						if (mnWebMain.cbAroundPlace != undefined){	//定位回调
							mnWebMain.cbAroundPlace(message.data);
						}
						break;
					case "cbSearchQa" :
						if (mnWebMain.cbSearchQa != undefined){	//搜索问答
							mnWebMain.cbSearchQa(message.data);
						}
						break;
					case "cbSearchOrange" :
						if (mnWebMain.cbSearchOrange != undefined){	//搜索桔子
							mnWebMain.cbSearchOrange(message.data);
						}
						break;
					case "cbSearchAll" :
						if (mnWebMain.cbSearchAll != undefined){	//搜索桔子
							mnWebMain.cbSearchAll(message.data);
						}
						break;

//					case "hideBtnSend" :
//                        if (mnWebMain.hideBtnSend != undefined){	//隐藏发消息按钮
//                        	mnWebMain.hideBtnSend();
//                        }
//                        break;
				}
			}
			responseCallback("");
		});
	});
}();

//顶部左按钮默认点击事件
mnWebMain.cbNavLeftClicked = function(){
	mnWebMain.closeSelfViewController(0);
}
