/*! 銘诺网络科技有限公司 | (c) 2016 , Inc. | Licensed  | 2016-09-24 */
/* ==========================================================================
 *
 * utility function
 * 工具类方法以 "_" 开始
 * 
 ============================================================================ */

var _utility = {
	
	//解析时间戳
	formatDate : function(timestamp, onlyDate)
	{
		var date = new Date(timestamp * 1000);
		var year = date.getFullYear();
		var month = date.getMonth() + 1;
		var day = date.getDate();
		var hour = date.getHours();
		var minute = date.getMinutes();
		var second = date.getSeconds();

		if (onlyDate)
		{
			return this.numberPrefix(4, year) + "-" + this.numberPrefix(2, month) + "-" + this.numberPrefix(2, day);
		}

		return this.numberPrefix(4, year) + "-" + this.numberPrefix(2, month) + "-" + this.numberPrefix(2, day) + " "
			+ this.numberPrefix(2, hour) + ":" + this.numberPrefix(2, minute);
	},
	
	numberPrefix : function (size, num)
	{
		var sLen = ('' + num).length;
		if (sLen >= size) 
		{
			return '' + num;
		}
		var preZero = (new Array(size)).join('0');

		return preZero.substring(0, size - sLen) + num;
	},
	
	//解析URL传参
	getQueryString : function(name)
	{
	    var reg = new RegExp("(^|&)"+ name +"=([^&]*)(&|$)");
	    var r = window.location.search.substr(1).match(reg);
	    if(r != null)
	    {
	     	return  unescape(r[2]);
	    }
	    else
	    {
	     	return null;
	    }
	},
	
	//判断是否为空
    isEmpty : function(strVal){
		/// <summary>判断一个字符串是否为空</summary>     
	   /// <param name="strVal" type="String">需要判断的字符串</param>        
		var isEmpty = false;
		try{
			if(strVal == "" || strVal == "''" || strVal == '' || strVal == "null" || strVal == "{}"
			|| strVal == "[]" || strVal == null || strVal == "'[]'" || strVal == "<null>" || strVal == undefined || strVal == 0 || strVal == "0")
			{
				isEmpty = true;
			}
			else
			{
				isEmpty = false;
			}
		}catch(e){
			isEmpty = true;
		}
		
		return isEmpty;
	},
	
}


