/*
 * ==============================
 *  团预览
 * ==============================
 */


// 1. 获取module
var app = angular.module("app",[]).run(function()
{
	FastClick.attach(document.body);
});

// 2. 调用Controller
app.controller('ctrl',function($scope)
{
	mnWebMain.cbBridgeInited = function()
	{
		GroupPreviewController.params = JSON.parse(getLocalString(CREATE_GROUP));
		GroupPreviewController.init($scope);
	};
	
});
var GroupPreviewController = 
{
	params : {},
	scope : null,
	init : function($scope)
	{
		this.scope = $scope;
		this.refreshUi();
		this.onClickFunction();
	},
	refreshUi : function()
	{
		this.scope.groupName = this.params.groupName;
		if(this.params.groupIcon)
		{
			var groupIcon = JSON.parse( this.params.groupIcon );
			var groupIcon_url = groupIcon.url + IMG_CUT_WH2;
		}else{
			var groupIcon_url = 'assets/images/default/group_img.png';
		}
		this.scope.groupIcon = groupIcon_url;
		
		//集合时间
		this.scope.meetingTime = this.params.meetingTime;
		//集合地点
		this.scope.startLocation = this.params.startLocation;
		
		this.scope.startTime = this.params.startTime;
		this.scope.endTime = this.params.endTime;
		
		this.scope.groupDestinationData = JSON.parse(this.params.endLocation);
		
		this.scope.contactsArr = JSON.parse(this.params.contacts);
		this.scope.guidesArr = JSON.parse(this.params.guides);
		
		this.scope.$apply();
	},
	onClickFunction : function()
	{
		var self = this;
		this.scope.destinationClick = function()
		{
			//目的地须知
			saveLocalString(DESTIANTION_INFO_PRE, self.params.destinationInfo);
			mnWebMain.openWebViewController(URL_GROUP_LOCA_NOTICE, "目的地须知", {});
		};
		this.scope.safetyClick = function()
		{
			//安全提醒
			saveLocalString(SAFETY_INFO, self.params.safetyInfo);
			mnWebMain.openWebViewController(URL_GROUP_SAFE_NOTICE, "安全须知", {});
		};
		this.scope.goodsClick = function()
		{
			
			var headObj = {};
			var jumpUrl  = URL_GROUP_GOODS_NOTICE + "?type=3";
			mnWebMain.openWebViewController(jumpUrl, "携带物品须知", headObj);
		};
	}
};
