/*
 * ==============================
 *  创建团
 * ==============================
 */


// 1. 获取module
var app = angular.module("app",[]).run(function()
{
	FastClick.attach(document.body);
});

// 2. 调用Controller
app.controller('ctrl',function($scope)
{
	
	mnWebMain.cbBridgeInited = function()
	{
		GroupTemplateController.init($scope);
	};
    
});
var GroupTemplateController = 
{
	scope : null,
	groupsArr : [],
	init : function($scope)
	{
		$Loading.start();
		this.scope = $scope;
		this.getGroupList();
		this.onClickFunction();
	},
	getGroupList : function()
	{
		var self = this;
		var params = {};
		params.type = '0';
		params.startIndex = '0';
		params.num = '20';
		mnWebMain.httpRequest(API_GET_GROUPS, params, function(result)
		{
			$Loading.end();
			var resultJob = JSON.parse(result);
			var dataJob = resultJob.data;
			var groups = dataJob.groups;
			if(resultJob.error == 0)
			{
				if(groups.length == 0)
				{
					$(".un-data").show();
				}
				else
				{
					$(".un-data").hide();
				}
				for(var i in groups)
				{
					var itemObj = {};
					//id
					itemObj.id = groups[i].id;
					//名称
					itemObj.groupName = groups[i].groupName;
					//团头像
					if(groups[i].groupIcon)
					{
						var groupIcon = JSON.parse(groups[i].groupIcon);
						var groupIcon_url = groupIcon.url + IMG_CUT_WH2;
					}
					else
					{
						var groupIcon_url = 'assets/images/default/group_img.png';
					}
					itemObj.groupIcon = groupIcon_url;
					//时间
					var s_time = groups[i].startTime;
					var startTime = s_time.split(" ")[0];
					itemObj.startTime = startTime;
					//团成员
					var member_num = 0;
					if(groups[i].members)
					{
						var members = JSON.parse(groups[i].members);
						member_num = members.length;
					}
					itemObj.member_num = member_num + 1;
					self.groupsArr.push(itemObj);
				}
				self.scope.groupsArr = self.groupsArr;
				self.scope.$apply();
			}
			else
			{
				var arr = ['确定'];
				mnWebMain.showDialog(0, '提示', '获取团列表失败！', arr);
			}
		});
	},
	onClickFunction : function()
	{
		this.scope.itemClick = function(id)
		{
    		var headObj = {};
			headObj.leftTitle = "取消";
			headObj.rightTitle = "预览";
			headObj.pageId = RESORTS_1;
    		mnWebMain.closeSelfViewController(0);
			mnWebMain.openWebViewController(URL_GROUP_CREATE + "?groupId=" + id, "创建团", headObj);
		};
	},
};
