/*
 * ==============================
 *  我的-信息反馈
 * ==============================
 */

// 1. 获取module
var app = angular.module("app",[]).run(function()
{
	FastClick.attach(document.body);
});

angularDirective.ngRepeatFinis(app);

// 2. 调用Controller
app.controller('ctrl',function($scope)
{
	mnWebMain.cbBridgeInited = function()
	{
		MineFeedbackController.init($scope);
	};
});
var MineFeedbackController = 
{
	scope : null,
	init : function($scope)
	{
		this.scope = $scope;
		this.onClickFunction();
	},
	onClickFunction : function()
	{
		var self = this;
		this.scope.submit = function()
		{
			var content = $("#feedbackInput").val();
			self.feedback(content);
		};
	},
	feedback : function(content)
	{
		if(!content)
		{
			var arr = ['确认'];
			mnWebMain.showDialog(0, '提示', '请填写反馈内容！', arr, function(result)
			{
			});
			return;
		}
		var path = 'client/feedback';
		var params = {};
		params.feedback = content;
		mnWebMain.httpRequest(path, params, function(result)
		{
			var res = JSON.parse(result);
			var data = res.data;
			if( res.error == 0 )
			{
				var arr = ['确认'];
				mnWebMain.showDialog(0, '反馈信息', '感谢您的反馈！', arr, function(result)
				{
					mnWebMain.closeSelfViewController(0);
				});
			}
		});
	},
};
