/**
 * 我的评价
 */
// 1. 获取module
var app = angular.module("app",[]).run(function()
{
	FastClick.attach(document.body);
});

angularDirective.ngRepeatFinis(app);

// 2. 调用Controller
app.controller('ctrl',function($scope)
{
	mnWebMain.cbBridgeInited = function()
	{
		MineModInfoController.init($scope);
	};
	mnWebMain.cbNavRightClicked = function()
	{
		//昵称
		var nickName = $("#modify_name").val();
		//性别
		var gender = MineModInfoController.genderType;
		if(!nickName){
			var arr = ["确定"];
			mnWebMain.showDialog(0, "提示", "昵称不能为空！", arr);
			return;
		}
		MineModInfoController.modifyPersonalInfo(nickName, gender);
	};
});
var MineModInfoController = 
{
	userId : null,
	userType : null,
	userObjArr : [],
	genderType : 0,
	scope : null,
	init : function($scope)
	{
		this.scope = $scope;
		var userObjs = getLocalString(USER_INFO);
		this.userId = getUserId();
		this.userType = getUserType();
		if(userObjs)
		{
			try
			{
				this.userObjArr = JSON.parse(userObjs).userObjArr;
				var userObj = this.userObjArr[this.userId];
				var nickName = userObj.nickName;
				$("#modify_name").val(nickName);
				
				var gender = userObj.gender;//0：男   1：女
				if(!gender)
				{
					gender = "0";
				}
				if(gender == 0 || gender == "0"){
					this.scope.gender = "男";
					this.genderType = 0;
				}else if(gender == 1 || gender == "1"){
					this.scope.gender = "女";
					this.genderType = 1;
				}
				this.scope.$apply();
			}catch(e){
			}
		}
		this.onClickFunction();
	},
	onClickFunction : function()
	{
		var self = this;
		this.scope.genderClick = function()
		{
			var arr = ["男", "女", "取消"];
			mnWebMain.showDialog(2, "", "", arr, function(result){
				var res = JSON.parse(result);
				var data = res.data;
				if(data.index == 0){
					self.scope.gender = "男";
					self.genderType = 0;
				}else if(data.index == 1){
					self.scope.gender = "女";
					self.genderType = 1;
				}
				self.scope.$apply();
			});
		};
	},
	//修改个人信息
	modifyPersonalInfo : function(nickName, gender)
	{
		var self = this;
		var params = {};
		params.userId = this.userId;
		var modifyObj = {};
		modifyObj.nickName = nickName;
		modifyObj.gender = gender;
		params.modData = JSON.stringify(modifyObj);
		if(this.userType == USER_GUIDE)
		{
			var path = API_GUIDE_MOD_GUIDEOBJ;
		}
		else
		{
			var path = API_VISITOR_MOD_VISITOROBJ;
		}
		mnWebMain.httpRequest(path, params, function(result)
		{
			var res = JSON.parse(result);
			if( res.error == 0 )
			{
				//更新本地数据
				try{
					self.userObjArr[self.userId].nickName = nickName;
					self.userObjArr[self.userId].gender = gender;
				}catch(e){
				}
				var newObj = {};
				newObj.userObjArr = self.userObjArr;
				saveLocalString(USER_INFO, JSON.stringify(newObj));
				var arr = ["确定"];
				mnWebMain.showDialog(0, "提示", "修改成功！", arr, function(result)
				{
					mnWebMain.closeSelfViewController(0);
				});
			}
			else
			{
				var arr = ["确定"];
				mnWebMain.showDialog(0, "提示", "修改用户信息失败！", arr, function(result)
				{
					mnWebMain.closeSelfViewController(0);
				});
			}
		});
	},
};
