/*
 * ==============================
 *  我的认证-编辑-选择我的标签
 * ==============================
 */

// 1. 获取module
var app = angular.module("app",[]).run(function()
{
	FastClick.attach(document.body);
});

angularDirective.ngRepeatFinis(app);

// 2. 调用Controller
app.controller('ctrl',function($scope)
{
	mnWebMain.cbBridgeInited = function()
	{
		SelectLabelController.init($scope);
	};
	mnWebMain.cbNavRightClicked = function()
	{
		var returnTxt = "";
		for(var i = 0; i < SelectLabelController.addedKeyowrdArr.length; i++)
		{
			returnTxt += SelectLabelController.addedKeyowrdArr[i].keyword;
			if(i != SelectLabelController.addedKeyowrdArr.length - 1)
			{
				returnTxt += "、";
			}
		}
		mnWebMain.transferData(returnTxt);
		mnWebMain.closeSelfViewController(0);
		
	};
});
var SelectLabelController = 
{
	scope : null,
	allKeywordArr : [],//所有关键字
	addedKeyowrdArr : [],//所添加关键字
	init : function($scope)
	{
		this.scope = $scope;
		this.getAllKeyword();
		this.onClickFunction();
	},
	getAllKeyword : function()
	{
		var self = this;
		var params = {};
		var path = API_GET_ALL_KEYWORD;
		mnWebMain.httpRequest(path, params, function(result)
		{
			var allKeywordArr = JSON.parse(result).data.allKeyword;
			for(var i in allKeywordArr)
			{
				var item = {};
				item.keyword = allKeywordArr[i].keyword;
				item.type = "color-" + (parseInt(i) % 4 + 1);
				self.allKeywordArr.push(item);
			}
			self.scope.allKeywordArr = self.allKeywordArr;
			self.scope.$apply();
			
		});
	},
	onClickFunction : function()
	{
		var self = this;
		this.scope.customizeAdd = function()
		{
			var arr = ["取消","确定"];
			mnWebMain.showDialog(1, "自定义标签", "", arr, function(result)
			{
				var resultJob = JSON.parse(result);
				var error = resultJob.error;
				if(error == 0)
				{
					var index = resultJob.data.index;
					if(index == "1")
					{
						var inputContent = resultJob.data.inputContent;
						var isAdd = self.isContainItem(inputContent);
						if(isAdd)
						{
							var item = {};
							item.keyword = inputContent;
							item.type = "color-1";
							self.addedKeyowrdArr.push(item);
							self.scope.addedKeyowrdArr = self.addedKeyowrdArr;
							self.scope.$apply();
						}
						else
						{
							var arr = ["确定"];
							mnWebMain.showDialog(0, "提示", "改标签已经选择！", arr);
						}
					}
				}
			});
		};
		this.scope.addItem = function(type, keyowrd)
		{
			
			var isAdd = self.isContainItem(keyowrd);
			if(isAdd)
			{
				var item = {};
				item.keyword = keyowrd;
				item.type = type;
				self.addedKeyowrdArr.push(item);
				self.scope.addedKeyowrdArr = self.addedKeyowrdArr;
				self.scope.$apply();
			}
			else
			{
				var arr = ["确定"];
				mnWebMain.showDialog(0, "提示", "改标签已经选择！", arr);
			}
		};
		this.scope.minusClick = function($index)
		{
			self.addedKeyowrdArr.splice($index, 1);
			self.scope.addedKeyowrdArr = self.addedKeyowrdArr;
			self.scope.$apply();
		};
		
	},
	/**
	 * 所添加的列表中是否包含该关键字
	 * @param {Object} keyowrd
	 */
	isContainItem : function(keyowrd)
	{
		var isAdd = true;
		for(var i = 0; i < this.addedKeyowrdArr.length; i++)
		{
			if(keyowrd == this.addedKeyowrdArr[i].keyword)
			{
				isAdd = false;
				break;
			}
		}
		return isAdd;
	},
};
