/*
 * ==============================
 *  导游发布足迹-权限
 * ==============================
 */

// 1. 获取module
var app = angular.module("app",[]).run(function()
{
	FastClick.attach(document.body);
});

angularDirective.ngRepeatFinis(app);

// 2. 调用Controller
app.controller('ctrl',function($scope)
{
	mnWebMain.cbBridgeInited = function()
	{
		FPPermissionController.selectedId = _utility.getQueryString("id");
		FPPermissionController.init($scope);
	};
});
var FPPermissionController = 
{
	scope : null,
	selectedId : null,
	permissionsArr : [],
	init : function($scope)
	{
		this.scope = $scope;
		$Loading.start();
		this.getReadPermissions();
		this.onClickFunction();
	},
	//获取阅读权限列表
	getReadPermissions : function(){
		var params = {};
		var path = API_GET_READ_PERMISSIONS;
		var self = this;
		mnWebMain.httpRequest(path, params, function(result){
			$Loading.end();
			var resultJob = JSON.parse(result);
			if( resultJob.error == 0 ){
				var dataJob = resultJob.data;
				var permissions = dataJob.permissions;
				if(permissions.length == 0){
					mnWebMain.toastInfo("后台暂未配置阅读权限！");
				}else{
					
					for(var i = 0; i < permissions.length; i++)
					{
						var item = permissions[i];
						if(i == parseInt(self.selectedId - 1))
						{
							item.isActive = "active";
						}
						else
						{
							item.isActive = "";
						}
						self.permissionsArr.push(item);
					}
					self.scope.permissionsArr = self.permissionsArr;
					self.scope.$apply();
				}
			}else{
				mnWebMain.toastInfo(resultJob.errMsg);
			}
		});
	},
	onClickFunction : function()
	{
		var self = this;
		this.scope.itemClick = function(id, name, index)
		{
			var params = {};
			params.id = id;
			params.text = name;
			mnWebMain.transferData(JSON.stringify(params));//页面传值
			mnWebMain.closeSelfViewController(0);
		}
	},
};
