/*
* 导游--调用方法
* guide.js
*/
//index2.html获取首页最近的一个我的提问
function getGuideOneQuestion(){
	var params = {};
	params.type = 0;
	params.startIndex = 0;
	params.num = 1;
	var path = "question/getQuestionsWithType";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataInfo = res.data;
			var data = dataInfo.questionObjArr;
			
			if(data.length == 0){
				$("#willAnswer").html('<div class="no_data">您还没有任何的提问！</div>');
			}else{
				var question_str = '<div>'+ data[0].questionContent +'</div>'+
				'<div class="question_bottom">'+
					'<p>'+ data[0].replyNum +'回答</p>';
					if(data[0].replyNum != 0)
					{
						question_str += '</div>';
					}
					else
					{
						question_str += '<i>将在24小时内回复</i></div>';
					}
				$("#willAnswer").html(question_str);
			}
			$("#willAnswer").off("tap").on("tap", function(){
				var id = data[0].id;
				var page_url = BASE_PATH + "question_detail.html?id=" + id;
				mnWebMain.openWebViewController(page_url, "问题详情");
			});
		}else{
		}
	});
}
//index2_question.html获取待回答问题列表
function getWillAnswerList(startIndex, refreshType){
	var params = {};
	params.startIndex = startIndex;
	params.num = PAGE_NUM;
	var path = "guide/getNoReplyQuestions";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataInfo = res.data;
			var data = dataInfo.questionObjArr;
			
			if(data.length == 0 && startIndex == 0){
				$("#load_gif").hide();
				$("#questionList").html('<li id="no_question">还没有人来提问！</li>');
				if(refreshType == 1 || refreshType == 2){
					mnWebMain.refreshFinish(0);
				}
			}else{
				var list = '';
				for(var i in data){
					var replyNum = data[i].replyNum;
					if( replyNum > 999 ){
						var len = replyNum.length;
						replyNum = replyNum.substring(0, len - 3) + "k";
					}
					
					var question_time = data[i].questionTime.split(" ")[0];
					
					list += '<li data-id="'+ data[i].id +'" data-isAccept="'+ data[i].isAccept +'">';
					list += '<p>'+ data[i].questionContent +'</p>';
					
					var questionLabels = JSON.parse(data[i].questionLabels);
					var question_str = '';
					if(questionLabels.length != 0){
						question_str += '<label class="lableText">';
						for(var j = 0; j < questionLabels.length; j++){
							question_str += '<span>'+ questionLabels[j] +'</span>';
						}
						question_str += '</label>';
					}
					list += question_str + '<div><span>'+ replyNum +'回答</span>';
					list += '<i>'+ question_time +'</i></div></li>';
				}
				
				$("#load_gif").hide();
				
				if(refreshType == 1){
					$("#questionList").html(list);
					mnWebMain.refreshFinish(0);
				}else if(refreshType == 2){
					$("#questionList").append(list);
					mnWebMain.refreshFinish(0);
				}else{
					$("#questionList").html(list);
				}
				
				$("#questionList li").off("tap").on("tap", function(){
					var qid = $(this).attr("data-id");
					var isAccept = $(this).attr("data-isAccept");
					var page_url = BASE_PATH + "question_detail.html?id=" + qid + "&isAccept=" + isAccept;
					mnWebMain.openWebViewControllerWithDataTransfer(page_url, "问题详情", "", function(result){
						$("#questionList").empty();
						getWillAnswerList(0);
					});
				})
			}
		}else{
			if(refreshType == 1 || refreshType == 2){
				mnWebMain.refreshFinish(1);
			}
		}
	});
}

//index2_answer_list.html获取我的最近的一个回答
function getOneAnswer(){
	var params = {};
	params.type = 0;
	params.startIndex = 0;
	params.num = 1;
	var path = "guide/getMyResponse";
	
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataInfo = res.data;
			var data = dataInfo.questionReply;
			if(data.length == 0){
				$("#myAnswer").html('<div class="no_data">您还没有回答的问题！</div>');
			}else{
				var praiseNum = data[0].praiseNum;
				if( praiseNum > 999 ){
					var len = praiseNum.length;
					praiseNum = praiseNum.substring(0, len - 3) + "k";
				}
				
				var criticismNum = data[0].criticismNum;
				if( criticismNum > 999 ){
					var len = criticismNum.length;
					criticismNum = criticismNum.substring(0, len - 3) + "k";
				}
				
				var question_str = '<div>'+ data[0].question +'</div>'+
				'<div class="ub index2_answer">'+
					'<p class="ub-f1"><img src="icon/comment_up1.png" /><span>'+ praiseNum +'</span>赞</p>'+
					'<p class="ub-f1"><img class="img_t1" src="icon/comment_down1.png" /><span>'+ criticismNum +'</span>踩</p>'+
				'</div>';
				
				$("#myAnswer").html(question_str);
				$("#myAnswer").off("tap").on("tap", function(){
					var id = data[0].questionId;
					var page_url = BASE_PATH + "question_detail.html?id=" + id;
					mnWebMain.openWebViewController(page_url, "问题详情");
				});
			}
		}else{
		}
	});
}

//index2_answer_list.html获取我的回答问题列表
function getAnsweredList(type, startIndex, refreshType){
	var params = {};
	params.type = type;
	params.startIndex = startIndex;
	params.num = PAGE_NUM;
	var path = "guide/getMyResponse";
	
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataInfo = res.data;
			var data = dataInfo.questionReply;
			
			if(data.length == 0 && startIndex == 0){
				$("#load_gif").hide();
				$("#lookQuestion").html('<p id="no_question">您还没有回复任何问题！</p>');
				if(refreshType == 1 || refreshType == 2){
					mnWebMain.refreshFinish(0);
				}
			}else{
				var list = '';
				for(var i in data){
					//回复数
					var replyNum = data[i].replyNum;
					if( replyNum > 999 ){
						var len = replyNum.length;
						replyNum = replyNum.substring(0, len - 3) + "k";
					}
					//赞的数量
					var praiseNum = data[i].praiseNum;
					if( praiseNum > 999 ){
						var len = praiseNum.length;
						praiseNum = praiseNum.substring(0, len - 3) + "k";
					}
					//踩的数量
					var criticismNum = data[i].criticismNum;
					if( criticismNum > 999 ){
						var len = criticismNum.length;
						criticismNum = criticismNum.substring(0, len - 3) + "k";
					}
					
					var replyTime = data[i].replyTime.split(" ")[0];
					
					var questionAccepted = '';
					if(data[i].questionAccepted != 0){
						questionAccepted = '<span>已采纳</span>';
					}
					
					list += '<li data-id="'+ data[i].questionId +'" data-isAccept="'+ data[i].isAccept +'">'+
						'<h4>'+ data[i].question +'</h4>'+
						'<p class="answer_time"><i>'+ replyTime +'</i>'+ questionAccepted +'</p>'+
						'<label>'+ data[i].replyContent +'</label>'+
						'<div class="ub answer_btm">'+
							'<p class="ub-f1"><img class="aw-z" src="icon/comment_up1.png" /><span>'+ praiseNum +'</span>赞</p>'+
							'<p class="ub-f1"><img src="icon/comment_down1.png" /><span>'+ criticismNum +'</span>踩</p>'+
							'<p class="ub-f1"><img src="icon/comment.png" /><span>'+ replyNum +'</span>回答</p>'+
						'</div>'+
					'</li>';
					
				}
				$("#load_gif").hide();
				if(refreshType == 1){
					$("#lookQuestion").html(list);
					mnWebMain.refreshFinish(0);
				}else if(refreshType == 2){
					$("#lookQuestion").append(list);
					mnWebMain.refreshFinish(0);
				}else{
					$("#lookQuestion").html(list);
				}
				
				$("#lookQuestion li").off("tap").on("tap", function(){
					var qid = $(this).attr("data-id");
					var isAccept = $(this).attr("data-isAccept");
					var page_url = BASE_PATH + "question_detail.html?id=" + qid + "&isAccept=" + isAccept;
					mnWebMain.openWebViewController(page_url, "问题详情");
				});
			}
		}else{
			if(refreshType == 1 || refreshType == 2){
				mnWebMain.refreshFinish(1);
			}
		}
	});
}
//index2_answer.html我要回答 --获取问题详情
function getWillAnswerQuestionDetail(idArray){
	var len = idArray.length;
	if( len != 0 ){
		var params = {};
		params.questionIds = JSON.stringify(idArray);
		var path = "question/getQuestionObjWithIds";
		mnWebMain.httpRequest(path, params, function(result){
			var res = JSON.parse(result);
			if( res.error == 0 ){
				var dataInfo = res.data;
				var data = dataInfo.questionObjArr;
				
				var replyNum = data[0].replyNum;
				if( replyNum > 999 ){
					var len = replyNum.length;
					replyNum = replyNum.substring(0, len - 3) + "k";
				}
				
				var question_time = data[0].questionTime.split(" ")[0];
				var question_str = '<div class="answer_head">'+ data[0].questionContent +'</div>'+
				'<div class="answer_bottom">'+
					'<p>'+ replyNum +'回答</p>'+
					'<i>'+ question_time +'</i>'+
				'</div>';
				
				$("#myAnswer").html(question_str);
			}else{
			}
		});
	}else{
		$("#myAnswer").html('<div class="no_data">获取问题详情失败！</div>');
	}
}

//index2_answer.html我要回答 --回复问题
function answerQuestion(questionId, replyContent){
	var params = {};
	params.questionId = questionId;
	params.replyContent = replyContent;
	var path = "guide/reply";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			mnWebMain.getLocalStorage(USERINFO, function(resInfo){
				var res = JSON.parse(resInfo);
				var dataInfo = res.data;
				var gotValue = JSON.parse( dataInfo.gotValue );
				
				var data = gotValue.userObjArr;
				for(var i in data){
					if( !data[i].myReplyQuestions || data[i].myReplyQuestions == null){
						var myReplyQuestions = [];
					}else{
						var myReplyQuestions = JSON.parse( data[i].myReplyQuestions );
					}
					myReplyQuestions.push(parseInt(questionId));
					data[i].myReplyQuestions = JSON.stringify(myReplyQuestions);
				}
				
				var newObj = {};
				newObj.userObjArr = data;
				mnWebMain.setLocalStorage(USERINFO, JSON.stringify(newObj));
				
				var arr = ["确定"];
				mnWebMain.showDialog(0, "提示", "回复成功！", arr, function(){
					var params = {};
					mnWebMain.transferData(JSON.stringify(params));//页面传值
					mnWebMain.closeSelfViewController(0);//关闭当前页面
				});
			});
		}else{
		}
	});
}
//question_detail.html问题详情 --回复问题
function answerQuestion2(questionId, replyContent){
	var params = {};
	params.questionId = questionId;
	params.replyContent = replyContent;
	var path = "guide/reply";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			mnWebMain.getLocalStorage(USERINFO, function(resInfo){
				var res = JSON.parse(resInfo);
				var dataInfo = res.data;
				var gotValue = JSON.parse( dataInfo.gotValue );
				
				var data = gotValue.userObjArr;
				for(var i in data){
					if( !data[i].myReplyQuestions || data[i].myReplyQuestions == null){
						var myReplyQuestions = [];
					}else{
						var myReplyQuestions = JSON.parse( data[i].myReplyQuestions );
					}
					myReplyQuestions.push(parseInt(questionId));
					data[i].myReplyQuestions = JSON.stringify(myReplyQuestions);
				}
				
				var newObj = {};
				newObj.userObjArr = data;
				mnWebMain.setLocalStorage(USERINFO, JSON.stringify(newObj));
				
				var arr = ["确定"];
				mnWebMain.showDialog(0, "提示", "回复成功！", arr, function(){
					$(".answerBox").remove();
					$("#question_answer").empty();
					getQuestionObjWithId(questionId);
				});
			});
		}else{
		}
	});
}

//publish_footprint.html 导游发布足迹
function publishFootprint(content, pics, place, readPermissions){
	var params = {};
	params.content = content;
	params.pics = pics;
	params.place = place;
	params.readPermissions = readPermissions;
	var path = "guide/publishFootMark";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var params = {};
			mnWebMain.transferData(JSON.stringify(params));//页面传值
			mnWebMain.closeSelfViewController(0);//关闭当前页面
		}else{
		}
	});
}


