//我的日历
const ALL_GOING = "all-going";
const LEFT_GOING = "left-going";
const RIGHT_GOING = "right-going";
const MIDDLE_GOING = "middle-going";

const ALL_OVER = "all-over";
const LEFT_OVER = "left-over";
const RIGHT_OVER = "right-over";
const MIDDLE_OVER = "middle-over";

const ALL_FUTURE = "all-future";
const LEFT_FUTURE = "left-future";
const RIGHT_FUTURE = "right-future";
const MIDDLE_FUTURE = "middle-future";

const FONT_BLACK = "font-black";
const FONT_WHITE = "font-white";
const FONT_ORANGE = "font-orange";
var date = new Date(); //当前Date资讯
var date_of_month = date.getDate(); //获取今天是几号
var fullYear = date.getFullYear(); //获取年份
var month = date.getMonth(); //获取当前的月份，返回值是0(一月)到11(十二月)之间的一个整数。

var nowDateMonth = parseInt(month) + 1;
var nowDateString = getGroupDateString(fullYear, nowDateMonth, date_of_month);

var realMont = month; //当前正在显示的月份（比真实月份小1）
var prevMont = month; //前一个月（和真实月份相等）
var realYear = fullYear;

var slideNextStart = function(swiper) {
	if (swiper.previousIndex == 0) {
		//三个页面的初始值
		if (realMont == 0) { //1月
			var m1 = 11;
			var y1 = realYear - 1;
			var m2 = realMont + 1;
			var y2 = realYear;
		} else if (realMont == 11) { //12月
			var m1 = realMont;
			var y1 = realYear;
			var m2 = 0;
			var y2 = realYear + 1;
		} else {
			var m1 = realMont - 1;
			var y1 = realYear;
			var m2 = realMont + 1;
			var y2 = realYear;
		}

		//顶部显示日期
		var now_m = realMont + 1;
		mnWebMain.setViewControllerTitle(fullYear + "年" + now_m + "月");

		//当月团列表(日历下方的团列表)
		getGroupListWithMonth(fullYear, now_m);

		if (realMont == 11) {
			realMont = 0;
//			realYear = realYear + 1;
		} else {
			realMont += 1;
		}
		getHasGroupsDate(date_of_month, y1, m1, "swiperDate3"); //预加载前一个页面的日历
		getHasGroupsDate(date_of_month, fullYear, month, "swiperDate1"); //当前页面的日历
		getHasGroupsDate(date_of_month, y2, m2, "swiperDate2"); //预加载后一个页面的日历
	} else {
		//显示当前页面的日期
		prevMont = realMont;
		var now_m = realMont + 1;

		//提前加载下一个页面的日期
		if (realMont == 11) {
			realMont = 0;
			var next_y = realYear + 1;
		} else if (realMont == 0) {
			realMont += 1;
			realYear += 1;
			var next_y = realYear;
		} else {
			realMont += 1;
			var next_y = realYear;
		}

		mnWebMain.setViewControllerTitle(realYear + "年" + now_m + "月");

		//当月团列表
		getGroupListWithMonth(realYear, now_m);

		if (swiper.activeIndex == 2) {
			var loadPageNum = 3;
		} else {
			var loadPageNum = swiper.activeIndex - 2;
		}
		var slide = "swiperDate" + loadPageNum;
		getHasGroupsDate(date_of_month, next_y, realMont, slide);
	}
}
var slidePrevStart = function(swiper) {
		realMont = prevMont;
		if (prevMont <= 1) {
			var prev_m = 10 + prevMont;
			var prev_y = realYear - 1;
		} else {
			var prev_m = prevMont - 2;
			var prev_y = realYear;
		}

		if (prevMont == 0) {
			var now_m = 12;
			var now_y = realYear - 1;

			prevMont = 11;
			realYear -= 1;
		} else {
			var now_m = prevMont;
			var now_y = realYear;

			prevMont -= 1;
		}

		mnWebMain.setViewControllerTitle(now_y + "年" + now_m + "月");

		//当月团列表
		getGroupListWithMonth(now_y, now_m);

		//提前加载上一个页面的日历
		if (swiper.activeIndex == 2) {
			var loadPageNum = 1;
		} else {
			var loadPageNum = swiper.activeIndex + 2;
		}

		var slide = "swiperDate" + loadPageNum;
		getHasGroupsDate(date_of_month, prev_y, prev_m, slide);
	}
	//获取当前显示的日历的行程的日期
function getGroupDateString(year, now_month, day) {
	//月
	if (now_month < 10) {
		var group_m = "0" + now_month;
	} else {
		var group_m = now_month.toString();
	}
	//天
	if (day < 10) {
		var group_d = "0" + day;
	} else {
		var group_d = day.toString();
	}

	var group_y = year.toString() + group_m + group_d;
	return group_y;
}
//获取当月团列表
function getGroupListWithMonth(fullYear, now_m) {
	if (now_m < 10) {
		var group_m = "0" + now_m;
	} else {
		var group_m = now_m.toString();
	}
	var group_y = fullYear.toString() + group_m;
	getGroupsWithMonth(group_y);
}
//获取所在团的日期
function getHasGroupsDate(today, year, now_month, mySwiper) {
	var now_m = parseInt(now_month) + 1;
	if (now_m < 10) {
		var group_m = "0" + now_m;
	} else {
		var group_m = now_m.toString();
	}
	var group_y = year.toString() + group_m;
	var params = {};
	params.month = group_y;
	var path = "group/getGroupsWithMonth";
	mnWebMain.httpRequest(path, params, function(result) {
		var res = JSON.parse(result);
		var data = res.data;
		var groupsArray = [];
		if (res.error == 0) {
			groupsArray = data.groups;
		}

		getCalendar(today, year, now_month, mySwiper, groupsArray);
	});
}
//打印日历
function getCalendar(today, year, now_month, mySwiper, groupsArray) {
	var first_date = new Date(year, now_month, 1); //获取当前月第一天Date资讯
	var week = first_date.getDay(); //获取当前月第一天是星期几
	var days_of_month = new Array(31, 28 + is_leap(year), 31, 30, 31, 30, 31, 31, 30, 31, 30, 31); //各月份的总天数
	var rows = Math.ceil((days_of_month[now_month] + week) / 7); //表格所需要行数

	var testLogs = [];
	var selectedMonth = parseInt(now_month);
	var alldaysJson = setDayStyle(groupsArray, days_of_month[selectedMonth], selectedMonth, year);
	var tableBody = '<table cellpadding="0" cellspacing="2">';
	for (i = 0; i < rows; i++) { //表格的行
		tableBody += "<tr>";

		for (k = 0; k < 7; k++) {
			var idx = i * 7 + k; //单元格自然序列号
			var date_str = idx - week + 1; //计算日期
			if (date_str <= 0 || date_str > days_of_month[now_month]) {
				date_str = "";
			}

			try {
				var dayStyleJson = alldaysJson[date_str];
			} catch (e) {
				var dayStyleJson = "";
			}
			var tdStyleStr = "";
			var spanStyleStr = "";
			var textTop = "";
			var textBottom = "";
			var groupId = "";
			var startTime = "";
			var endTime = "";
			if (dayStyleJson != undefined) {
				tdStyleStr = dayStyleJson.background;
				spanStyleStr = dayStyleJson.fontColor;
				if (dayStyleJson.textTop) {
					textTop = dayStyleJson.textTop;
				}
				if (dayStyleJson.textBottom) {
					textBottom = dayStyleJson.textBottom;
					if(textBottom && textBottom.length > 3)
					{
						textBottom = textBottom.substring(0, 2);
						textBottom += "..";
					}
//					textBottom = "上海";
				}
				if(dayStyleJson.groupId)
				{
					groupId = dayStyleJson.groupId;
				}
				if(dayStyleJson.startTime)
				{
					startTime = dayStyleJson.startTime;
				}
				if(dayStyleJson.endTime)
				{
					endTime = dayStyleJson.endTime;
				}
			}
			tableBody += '<td class="isgroup '
							+ tdStyleStr + " " + spanStyleStr 
							+ '"data-id="' + groupId 
							+ '" data-stime="' + startTime 
							+ '" data-etime="' + endTime 
							+ '"><div>' + textTop + '</div><span class="' + spanStyleStr + '">' + date_str + '</span><p>' + textBottom + '</p></td>';
		}
		tableBody += "</tr>"; //表格的行结束

	}
	tableBody += "</table>";
	$("." + mySwiper).html(tableBody);
	//点击行程详情
	$(".isgroup").off("tap").on("tap", function() {
		var groupId = $(this).attr("data-id");
		if(!groupId)
		{
			return;
		}
		var startTime = $(this).attr("data-stime");
		var endTime = $(this).attr("data-etime");
		var strokeAllDays = getTotalDays(startTime, endTime); //行程天数
		var time_str1 = startTime.replace(/-/g, "/");
		var startDay = new Date(time_str1).getTime(); //出发日期的时间戳

		var time_str2 = endTime.replace(/-/g, "/");
		var endTimeStamp = new Date(time_str2).getTime();
		var headObj = {};
		headObj.rightImage = "icon_edit";
		var currentTime = new Date().getTime();
		try {
			if (currentTime < endTimeStamp) {
				var notend = 1; //0表示已结束的团。 1表示未结束的团
			} else {
				var notend = 0;
			}
		} catch (e) {
			var notend = 1;
		}
		var page_url = BASE_PATH + "stroke_detail.html?id=" + groupId + "&day=" + strokeAllDays + "&startday=" + startDay + "&notend=" + notend;
		mnWebMain.openWebViewController(page_url, "行程详情", headObj);
	});
}

function setDayStyle(groupsArray, allDaysOfMonth, selectedMonth, selectedYear) {
	//遍历所有团
	var alldaysJson = {};
	//当前年月日的时间戳
	var currentTime = new Date(fullYear, (nowDateMonth - 1), date_of_month).getTime();
	for (var i in groupsArray) {
		var groupId = groupsArray[i].id;
		var startLocation = groupsArray[i].startLocation; //出发地

		var endLocation = "";
		try {
			endLocation = JSON.parse(groupsArray[i].endLocation)[0]; //目的地
		} catch (e) {}
		var startTimeString = groupsArray[i].startTime; //开始时间
		var endTimeString = groupsArray[i].endTime; //结束时间

		var s_date = startTimeString.split(" ")[0];
		var e_date = endTimeString.split(" ")[0];
		var startDay = s_date.split("-")[2]; //行程开始日
		var startDayInt = parseInt(startDay);
		var endDay = e_date.split("-")[2]; //行程结束日
		var endDayInt = parseInt(endDay);
		var startMonth = s_date.split("-")[1]; //行程开始月
		var startMonthInt = parseInt(startMonth);
		var endMonth = e_date.split("-")[1]; //行程结束月
		var endMonthInt = parseInt(endMonth);
		var startYear = s_date.split("-")[0]; //开始年份
		var startYearInt = parseInt(startYear);
		var endYear = e_date.split("-")[0]; //结束年份
		var endYearInt = parseInt(endYear);
		//开始时间的时间戳
		var startTime = new Date(startYear, (startMonth - 1), startDay).getTime();
		//结束时间的时间戳
		var endTime = new Date(endYear, (endMonth - 1), endDay).getTime();
		//一天的团
		if (startTime == endTime) {
			//判断是否是今天,
			if (currentTime == startTime) {
				//当天并且一天时的样式
				var dayJson = getStyleData(groupId, ALL_GOING, FONT_ORANGE, "出发", startLocation, startTimeString, endTimeString);
				alldaysJson[startDay] = dayJson;
			}
			//不是今天
			else {
				//如果在今天之前
				if (currentTime > endTime) {
					var dayJson = getStyleData(groupId, ALL_OVER, FONT_BLACK, "出发", startLocation, startTimeString, endTimeString);
					alldaysJson[startDay] = dayJson;
				}
				//如果在今天之后
				else if (currentTime < startTime) {
					var dayJson = getStyleData(groupId, ALL_FUTURE, FONT_WHITE, "出发", startLocation, startTimeString, endTimeString);
					alldaysJson[startDay] = dayJson;
				}
			}
		}
		//多天的团
		else {
			//选中月份的第一天
			var selectedFirstDayTime = new Date(selectedYear, selectedMonth, 1).getTime();
			//选中月份的最后一天
			var selectedLastDayTime = new Date(selectedYear, selectedMonth, allDaysOfMonth).getTime();
			//进行的团
			if (currentTime >= startTime && currentTime <= endTime) {
				//所选：selectedMonth, selectedYear  allDaysOfMonth
				//当前：fullYear, nowDateMonth, date_of_month
				var fontColor = FONT_BLACK;
				var background = "";
				var textTop = "";
				var textBottom = "";
				//开始时间和结束时间都在当月
				if (startTime >= selectedFirstDayTime && endTime <= selectedLastDayTime) {
					//从开始天到结束天遍历
					for (var i = startDayInt; i <= endDayInt; i++) {

						var thisDayTime = new Date(selectedYear, selectedMonth, i).getTime();
						if (thisDayTime >= currentTime) {
							fontColor = FONT_ORANGE
						} else {
							fontColor = FONT_BLACK;
						}
						//判断是否是第一天
						if (thisDayTime == startTime) {
							background = LEFT_GOING;
							textTop = "出发";
							textBottom = startLocation;
						}
						//判断是否是最后一天
						else if (thisDayTime == endTime) {
							background = RIGHT_GOING;
							textTop = "结束";
							textBottom = endLocation;
						} else {
							background = MIDDLE_GOING;
							textTop = "";
							textBottom = "";
						}
						var dayJson = getStyleData(groupId, background, fontColor, textTop, textBottom, startTimeString, endTimeString);
						alldaysJson[i] = dayJson;
					}
				}
				//开始时间在当月之前，结束时间在当月中
				else if (startTime < selectedFirstDayTime && endTime <= selectedLastDayTime) {
					//从第一天遍历到结束天
					for (var i = 1; i <= endDayInt; i++) {
						var thisDayTime = new Date(selectedYear, selectedMonth, i).getTime();
						if (thisDayTime >= currentTime) {
							fontColor = FONT_ORANGE
						} else {
							fontColor = FONT_BLACK;
						}
						if (thisDayTime == endTime) {
							background = RIGHT_GOING;
							textTop = "结束";
							textBottom = endLocation;
						} else {
							background = MIDDLE_GOING;
							textTop = "";
							textBottom = "";
						}
						var dayJson = getStyleData(groupId, background, fontColor, textTop, textBottom, startTimeString, endTimeString);
						alldaysJson[i] = dayJson;
					}
				}
				//开始时间在当月中，结束时间不在当月中
				else if (startTime >= selectedFirstDayTime && endTime > selectedLastDayTime) {
					//从开始天到最后一天
					for (var i = startDayInt; i <= allDaysOfMonth; i++) {
						var thisDayTime = new Date(selectedYear, selectedMonth, i).getTime();
						if (thisDayTime >= currentTime) {
							fontColor = FONT_ORANGE
						} else {
							fontColor = FONT_BLACK;
						}
						//判断是否是第一天
						if (thisDayTime == startTime) {
							background = LEFT_GOING;
							textTop = "出发";
							textBottom = startLocation;
						} else {
							background = MIDDLE_GOING;
							textTop = "";
							textBottom = "";
						}
						var dayJson = getStyleData(groupId, background, fontColor, textTop, textBottom, startTimeString, endTimeString);
						alldaysJson[i] = dayJson;
					}
				}
				//开始时间和结束时间都不在当月中
				else if (startTime < selectedFirstDayTime && endTime > selectedLastDayTime) {
					//从第一天到最后一天
					for (var i = 1; i <= allDaysOfMonth; i++) {
						var thisDayTime = new Date(selectedYear, selectedMonth, i).getTime();
						if (thisDayTime >= currentTime) {
							fontColor = FONT_ORANGE
						} else {
							fontColor = FONT_BLACK;
						}
						background = MIDDLE_GOING;
						textTop = "";
						textBottom = "";
						var dayJson = getStyleData(groupId, background, fontColor, textTop, textBottom, startTimeString, endTimeString);
						alldaysJson[startDay] = dayJson;
					}
				}

			}
			//结束的团
			else if (currentTime > endTime) {
				var fontColor = FONT_BLACK;
				var background = "";
				var textTop = "";
				var textBottom = "";
				//开始时间和结束时间都在当月
				if (startTime >= selectedFirstDayTime && endTime <= selectedLastDayTime) {
					//从开始天到结束天遍历
					for (var i = startDayInt; i <= endDayInt; i++) {

						var thisDayTime = new Date(selectedYear, selectedMonth, i).getTime();
						//判断是否是第一天
						if (thisDayTime == startTime) {
							background = LEFT_OVER;
							textTop = "出发";
							textBottom = startLocation;
						}
						//判断是否是最后一天
						else if (thisDayTime == endTime) {
							background = RIGHT_OVER;
							textTop = "结束";
							textBottom = endLocation;
						} else {
							background = MIDDLE_OVER;
							textTop = "";
							textBottom = "";
						}
						var dayJson = getStyleData(groupId, background, fontColor, textTop, textBottom, startTimeString, endTimeString);
						alldaysJson[i] = dayJson;
					}
				}
				//开始时间在当月之前，结束时间在当月中
				else if (startTime < selectedFirstDayTime && endTime <= selectedLastDayTime) {
					//从第一天遍历到结束天
					for (var i = 1; i <= endDayInt; i++) {
						var thisDayTime = new Date(selectedYear, selectedMonth, i).getTime();
						if (thisDayTime == endTime) {
							background = RIGHT_OVER;
							textTop = "结束";
							textBottom = endLocation;
						} else {
							background = MIDDLE_OVER;
							textTop = "";
							textBottom = "";
						}
						var dayJson = getStyleData(groupId, background, fontColor, textTop, textBottom, startTimeString, endTimeString);
						alldaysJson[i] = dayJson;
					}
				}
				//开始时间在当月中，结束时间不在当月中
				else if (startTime >= selectedFirstDayTime && endTime > selectedLastDayTime) {
					//从开始天到最后一天
					for (var i = startDayInt; i <= allDaysOfMonth; i++) {
						var thisDayTime = new Date(selectedYear, selectedMonth, i).getTime();
						//判断是否是第一天
						if (thisDayTime == startTime) {
							background = LEFT_OVER;
							textTop = "出发";
							textBottom = startLocation;
						} else {
							background = MIDDLE_OVER;
							textTop = "";
							textBottom = "";
						}
						var dayJson = getStyleData(groupId, background, fontColor, textTop, textBottom, startTimeString, endTimeString);
						alldaysJson[i] = dayJson;
					}
				}
				//开始时间和结束时间都不在当月中
				else if (startTime < selectedFirstDayTime && endTime > selectedLastDayTime) {
					//从第一天到最后一天
					for (var i = 1; i <= allDaysOfMonth; i++) {
						background = MIDDLE_OVER;
						textTop = "";
						textBottom = "";
						var dayJson = getStyleData(groupId, background, fontColor, textTop, textBottom, startTimeString, endTimeString);
						alldaysJson[i] = dayJson;
					}
				}

			}
			//未开始的团
			else if (currentTime < startTime) {
				var fontColor = FONT_WHITE;
				var background = "";
				var textTop = "";
				var textBottom = "";
				//开始时间和结束时间都在当月
				if (startTime >= selectedFirstDayTime && endTime <= selectedLastDayTime) {
					//从开始天到结束天遍历
					for (var i = startDayInt; i <= endDayInt; i++) {

						var thisDayTime = new Date(selectedYear, selectedMonth, i).getTime();
						//判断是否是第一天
						if (thisDayTime == startTime) {
							background = LEFT_FUTURE;
							textTop = "出发";
							textBottom = startLocation;
						}
						//判断是否是最后一天
						else if (thisDayTime == endTime) {
							background = RIGHT_FUTURE;
							textTop = "结束";
							textBottom = endLocation;
						} else {
							background = MIDDLE_FUTURE;
							textTop = "";
							textBottom = "";
						}
						var dayJson = getStyleData(groupId, background, fontColor, textTop, textBottom, startTimeString, endTimeString);
						alldaysJson[i] = dayJson;
					}
				}
				//开始时间在当月之前，结束时间在当月中
				else if (startTime < selectedFirstDayTime && endTime <= selectedLastDayTime) {
					//从第一天遍历到结束天
					for (var i = 1; i <= endDayInt; i++) {
						var thisDayTime = new Date(selectedYear, selectedMonth, i).getTime();
						if (thisDayTime == endTime) {
							background = RIGHT_FUTURE;
							textTop = "结束";
							textBottom = endLocation;
						} else {
							background = MIDDLE_FUTURE;
							textTop = "";
							textBottom = "";
						}
						var dayJson = getStyleData(groupId, background, fontColor, textTop, textBottom, startTimeString, endTimeString);
						alldaysJson[i] = dayJson;
					}
				}
				//开始时间在当月中，结束时间不在当月中
				else if (startTime >= selectedFirstDayTime && endTime > selectedLastDayTime) {
					//从开始天到当月最后一天
					for (var i = startDayInt; i <= allDaysOfMonth; i++) {
						var thisDayTime = new Date(selectedYear, selectedMonth, i).getTime();
						//判断是否是第一天
						if (thisDayTime == startTime) {
							background = LEFT_FUTURE;
							textTop = "出发";
							textBottom = startLocation;
						} else {
							background = MIDDLE_FUTURE;
							textTop = "";
							textBottom = "";
						}
						var dayJson = getStyleData(groupId, background, fontColor, textTop, textBottom, startTimeString, endTimeString);
						alldaysJson[i] = dayJson;
					}
				}
				//开始时间和结束时间都不在当月中
				else if (startTime < selectedFirstDayTime && endTime > selectedLastDayTime) {
					//从第一天到最后一天
					for (var i = 1; i <= allDaysOfMonth; i++) {
						background = MIDDLE_FUTURE;
						textTop = "";
						textBottom = "";
						var dayJson = getStyleData(groupId, background, fontColor, textTop, textBottom, startTimeString, endTimeString);
						alldaysJson[i] = dayJson;
					}
				}
			}
		}
	}
	return alldaysJson;
}

function getStyleData(groupId, background, fontColor, textTop, textBottom, startTime, endTime) {
	var dayJson = {};
	dayJson.groupId = groupId;
	dayJson.background = background;
	dayJson.fontColor = fontColor;
	if (textTop) {
		dayJson.textTop = textTop;
	}
	if (textBottom) {
		dayJson.textBottom = textBottom;
	}
	if(startTime){
		dayJson.startTime = startTime;
	}
	if(endTime){
		dayJson.endTime = endTime;
	}
	return dayJson;
}
//判断是否为闰年:(1)年份能被4整除，但不能被100整除；(2)年份能被400整除。
function is_leap(year) {
	if ((year % 4 == 0 && year % 100 != 0) || (year % 400 == 0)) 
	{
		return 1;
	}
	return 0;
}