/*
 * 公共调用方法（导游&游客）
 * public.js
*/

//判断 是否点赞后 的足迹列表
function getThumbsIcon(startIndex, guideId, refreshType){
	mnWebMain.isLogin(function(result){
		var res = JSON.parse(result);
		var data = res.data;
		var userId = data.userId;
		
		mnWebMain.getLocalStorage(MYPRAISE, function(resultInfo){
			var res = JSON.parse(resultInfo);
			var dataInfo = res.data;
			getFootPrintList(startIndex, guideId, dataInfo, userId, refreshType);
		});
	});
}

//其他回复点赞
function getOtherReplyThumbsIcon(startIndex, questionId, isAccept, refreshType){
	mnWebMain.isLogin(function(result){
		var res = JSON.parse(result);
		var data = res.data;
		var userId = data.userId;
			
		mnWebMain.getLocalStorage(REPLY_PRAISE, function(result){
			var res = JSON.parse(result);
			var data2 = res.data;
			
			getOtherReply(data2, userId, startIndex, questionId, isAccept, refreshType);
		});
	});
}
//最佳回复点赞
function getOptimalReplyThumbsIcon(questionId){
	mnWebMain.isLogin(function(result){
		var res = JSON.parse(result);
		var data = res.data;
		var userId = data.userId;
			
		mnWebMain.getLocalStorage(REPLY_PRAISE, function(result){
			var res = JSON.parse(result);
			var data2 = res.data;
			
			getOptimalReply(questionId, userId, data2);
		});
	});
}

var swiperBanner;
//banner swiper初始化
function indexBannerInit(){
	
	
	if(swiperBanner){
			swiperBanner= undefined;
			swiperBanner = new Swiper('.swiper-banner',{
	 		pagination : '.swiper-pagination',
	 		touchMoveStopPropagation : true,
	 		updateOnImagesReady : true,
	 		loop: true,
	 		heigth: 300,
	 		autoplay: 5000,
		});
	}
	
	else
	{
		swiperBanner = new Swiper('.swiper-banner',{
	 		pagination : '.swiper-pagination',
	 		touchMoveStopPropagation : true,
	 		updateOnImagesReady : true,
	 		loop: true,
	 		heigth: 300,
	 		autoplay: 5000,
		});
	}
 	
}
//获取banner条 和广告条
function getBannerList(userType){
	var params = {};
	var path = "banner/getBanners";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		var num = 0;
		if( res.error == 0 ){
			var dataInfo = res.data;
			var data = dataInfo.banners;
			for(var i in data){
				var bannerIcon = JSON.parse( data[i].bannerIcon );
				var bannerType = data[i].bannerType;
				if( data[i].posType == 0){		//banner
					var bannerList = '<div class="swiper-slide limitW" data-type="'+ bannerType +'"><img src="'+ bannerIcon.url +'" onerror="showOtherPic(this)" /></div>';
					if(num == 0){
						num += 1;
						$("#myBanner").html(bannerList);
					}
					else{
						$("#myBanner").append(bannerList);
					}
					
				}else if( data[i].posType == 1 && userType == "1"){	//广告条
					$("#index_ad").attr("data-type", data[i].bannerType);//跳转类型
					var img = new Image();
					img.src = bannerIcon.url;
					img.onload = function(){
						$("#index_ad").append('<img src="'+ this.src +'" />');
					};
				}
				
				
			}
			
			indexBannerInit();
			
		}else{
		}
	});
}

 function showOtherPic(obj){
    obj.src = "images/index.png";
}

//获取阅读权限列表
function getReadPermissions(){
	var params = {};
	var path = "common/getReadPermissions";
	
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataInfo = res.data;
			var data = dataInfo.permissions;
			if(data.length == 0){
			}else{
				var dataInfo = JSON.stringify(data);
				mnWebMain.setLocalStorage(LS_READ_PERMISSIONS, dataInfo);
			}
		}else{
		}
	});
}

//搜索问答
function searchQuestion(keyword, sortType, startIndex, refreshType){
	var params = {};
	params.keyword = keyword;
	params.sortType = sortType;
	params.startIndex = startIndex;
	params.num = PAGE_NUM;
	var path = "question/searchQuestion";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataInfo = res.data;
			var data = dataInfo.questionObjArr;
			
			if(data.length == 0 && startIndex == 0){
				var none_list = '<div class="search_none">'+
	    			'<p><img src="icon/search_no.png"/></p>'+
	    			'<span>对不起没有找到你想要的哟~</span></div>';
	    		$("#load_gif").hide();
				$("#searchQuestionList").html(none_list);
				if(refreshType == 1 || refreshType == 2){
					mnWebMain.refreshFinish(1);
				}
			}else{
				var list = '';
				for(var i in data){
					list += '<li data-id="'+ data[i].id +'" data-isAccept="'+ data[i].isAccept +'"><p>'+ data[i].questionContent +'</p>'+
						'<div><span>'+ data[i].replyNum +'回答</span><i>'+ data[i].questionTime +'</i></div>'+
		    		'</li>';
	    		}
				$("#load_gif").hide();
				if(refreshType == 1){
					$("#searchQuestionList").html(list);//下拉刷新
					mnWebMain.refreshFinish(0);
				}else if(refreshType == 2){
					$("#searchQuestionList").append(list);//上拉加载
					mnWebMain.refreshFinish(0);
				}else{
					$("#searchQuestionList").html(list);
				}
				
				$("#searchQuestionList li").off("tap").on("tap", function(){
					var qid = $(this).attr("data-id");
					var isAccept = $(this).attr("data-isAccept");
					mnWebMain.isLogin(function(result){
						var res = JSON.parse(result);
						var data = res.data;
						var isLogin = data.isLogin;
						if(isLogin == "1"){
							var page_url = BASE_PATH + "question_detail.html?id=" + qid + "&isAccept=" + isAccept;
							mnWebMain.openWebViewController(page_url, "问题详情");
						}else{
							mnWebMain.openViewController("TOLoginNavigationController");//打开登录页面
						}
					});
				});
			}
		}else{
			if(refreshType == 1 || refreshType == 2){
				mnWebMain.refreshFinish(1);
			}
		}
	});
}

//citrus.html桔树
//获取桔子列表
function getCitrusList(refreshType, startIndex, keyword, gender, grade, tourTime, hasLegally, region, language, sortType, freeStartTime, freeEndTime){
	var params = {};
	params.startIndex = startIndex;
	params.num = PAGE_NUM;
	
	if(!keyword || keyword == undefined){
		params.keyword = "";
	}else{
		params.keyword = keyword;
	}

	if(gender && gender != -1){
		params.gender = gender;
	}
	
	if(grade){
		params.grade = grade;
	}else{
		params.grade = 0;
	}
	
	if(tourTime && tourTime != -1){
		params.tourTime = tourTime;
	}
	
	if(hasLegally && hasLegally != -1){
		params.hasLegally = hasLegally;
	}
	
	if(region){
		params.region = JSON.parse(region)[0];
	}
	
	if(language){
		params.language = language;
	}
	
	if(sortType){
		params.sortType = sortType;
	}else{
		params.sortType = 0;
	}
	if(freeStartTime && freeEndTime)
	{
		params.freeStartTime = freeStartTime;
		params.freeEndTime = freeEndTime;
	}
	else
	{
		params.freeStartTime = '';
		params.freeEndTime = '';
	}
	var path = "client/getGuides";
	
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataInfo = res.data;
			var data = dataInfo.guideArr;
			
			if(data == null || data.length == 0){
				if(refreshType == 0){
					var none_list = '<div class="search_none">'+
		    			'<p><img src="icon/search_no.png"/></p>'+
		    			'<span>对不起没有找到你想要的哟~</span>'+
		    		'</div>';
		    		$("#load_gif").hide();
					$("#citrus_list").html(none_list);
				} else if(refreshType == 1){
					mnWebMain.refreshFinish(1);
					//没有更多数据
					var arr = ['确定'];
					mnWebMain.showDialog(0, '提示', '刷新数据失败！', arr);
				} else if(refreshType == 2){
					mnWebMain.refreshFinish(1);
					//没有更多数据
					var arr = ['确定'];
					mnWebMain.showDialog(0, '提示', '没有更多数据！', arr);
				}
			}else{
				var orange_list = '';
				for(var i in data){
					//头像	
					if(!data[i].icon || data[i].icon == null){
						var orange_icon = 'icon/default.png';
					}else {
						var icon = JSON.parse(data[i].icon);
						var orange_icon = icon.url + IMG_CUT_WH;
					}
					
					//年龄
					var birthdayYear = data[i].birthday.split("-")[0];
					var myDate = new Date();
					var nowYear = myDate.getFullYear();
					var age = parseInt( nowYear ) - parseInt( birthdayYear );
					
					//性别
					if( data[i].gender == "0" ){
						var sex_class = "sex_boy";//男
					}else{
						var sex_class = "sex_girl";//女
					}
					
					//等级
					var iconName = 'a15.png';
					var status = data[i].status;
					var orangerLv = data[i].lv;
					if(orangerLv == 0)
					{
						iconName = 'b1.png';
					}
					if(4 == parseInt(status) && orangerLv != 0)
					{
						iconName = 'a' + orangerLv + '.png';
					}
					else if(orangerLv != 0)
					{
						iconName = 'b' + orangerLv + '.png';
					}
					//地点
					if(data[i].location == "" || data[i].location == null){
						var orange_location = "暂无数据"
					}else{
						var orange_location = data[i].location;
					}
					var eva = data[i].evaluation;
					if(eva && (eva != 0.00 || eva != 0))
					{
						eva = accMul(parseFloat(eva), 20) + "%";
					}
					else
					{
						eva = '暂无';
					}
	        		orange_list += '<li class="ub citrus_orange_item_container" data-id="' + data[i].userId +'">';
	        		//左图片
		        		orange_list += '<div class="ub-f1 citrus_orange_icon_container">';
		        		orange_list += '<img src="' + orange_icon + '" />';
		        		orange_list += '</div>';
	        		//右内容
	        			orange_list += '<div class="ub-f1 ub citrus_orange_contnet_container">';
		        			orange_list += '<div class="ub-f1">';
		        				//第一行
				        		orange_list += '<div class="citrus_orange_rowone_container">';
				        		orange_list += '<span class="citrus_orange_name">' + data[i].nickName + '</span>';
				        		orange_list += '<span class="icon_wh ' + sex_class + '"><i></i></span>';
				        		orange_list += '<img class="citrus_orange_grade" src="icon/level/' + iconName + '" />';
			        			orange_list += '</div>';
		        				//第二行
		        				// orange_list += '<div class="citrus_orange_rowtwo_container"><img src="' + 'icon/level/' + iconName + '" />';
		        				// orange_list += '</div>';
		        				//第三行
		        				orange_list += '<div class="citrus_orange_rowthree_container">' + orange_location + '<span>' + '好评率:' + eva + '</span>';
		        				orange_list += '</div>';
		        			orange_list += '</div>';
		        			//右侧聊天按钮
			        		orange_list += '<div class="ub-f1 citrus_orange_talk citrus_chat" data-index="' + i + '"><img src="icon/icon-chat.png"/>';
		        			orange_list += '</div>';
		        		orange_list += '</div>';
	        		
	        		orange_list += '</li>';
				}

				$("#load_gif").hide();
				if(refreshType == 1){
					$("#citrus_list").html(orange_list);//下拉刷新
					mnWebMain.refreshFinish(0);
				}else if(refreshType == 2){
					$("#citrus_list").append(orange_list);//上拉加载
					mnWebMain.refreshFinish(0);
				}else{
					$("#citrus_list").html(orange_list);
				}
				
				//和桔子聊天
				$(".citrus_chat").off("tap").on("tap", function(e){
					e.stopPropagation();
					var index = $(this).attr("data-index");
					var user_id = data[index].userId;
					var user_name = data[index].nickName;
					
					mnWebMain.isLogin(function(result){
						var res = JSON.parse(result);
						var data = res.data;
						var isLogin = data.isLogin;
						if(isLogin == "1"){
							mnWebMain.chat(1, user_id, user_name);
						}else{
							mnWebMain.openViewController("TOLoginNavigationController");//打开登录页面
						}
					});
				});
				//查看桔子详情
				$("#citrus_list li").off("tap").on("tap", function(){
					var userId = $(this).attr("data-id");
					mnWebMain.isLogin(function(result){
						var res = JSON.parse(result);
						var data = res.data;
						var isLogin = data.isLogin;
						if(isLogin == "1"){
							var page_url = BASE_PATH + "personal_details.html?id=" + userId;
							mnWebMain.openWebViewController(page_url, "个人详情");
						}else{
							mnWebMain.openViewController("TOLoginNavigationController");//打开登录页面
						}
					});
				});
			}
		}else{
			if(refreshType == 1 || refreshType == 2){
				mnWebMain.refreshFinish(1);
			}
		}
	});
}

//footprint.html 足迹列表
function getFootPrintList(startIndex, guideId, dataInfo, userId, refreshType){
	//refreshType  1、下拉刷新、2、上拉加载
	var params = {};
	params.startIndex = startIndex;
	params.num = PAGE_NUM;
	if(guideId)
	{
		params.guideId = guideId;
	}
	else
	{
		params.guideId = "";
	}
	var path = "footMark/getFootMarks";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataFoot = res.data;
			var data = dataFoot.footMarkArr;
			var list = '';
			if(data.length == 0 && startIndex == 0){
				var none_list = '<div class="search_none">';
	    		none_list += '<p><img src="icon/search_no.png"/></p>';
	    		none_list += '<span>对不起没有找到你想要的哟~</span>';
	    		none_list += '</div>';
	    		
	    		$("#load_gif").hide();
				$(".citrus_pug_list").html(none_list);
				if(refreshType == 1 || refreshType == 2){
					mnWebMain.refreshFinish(0);
				}
			}else{
				for(var i in data){
					var thumbsIcon = 'icon/comment_up1.png';
					if(dataInfo.gotValue){
						var allInfo = JSON.parse(dataInfo.gotValue);
						var userData = allInfo[userId];
						var flag = false;
						for(var j in userData){
							if(userData[j] == data[i].id){
								flag = true;
								break;
							}
						}
						if(flag){
							thumbsIcon = 'icon/comment_up2.png';
						}
					}
					
					//头像
					if( !data[i].icon || data[i].icon == null ){
						var orange_icon = 'icon/default.png';
					}else {
						var icon = JSON.parse(data[i].icon);
						var orange_icon = icon.url + IMG_CUT_WH;
					}
					
					//年龄
					if(data[i].birthday){
						var birthdayYear = data[i].birthday.split(".")[0];
						var myDate = new Date();
						var nowYear = myDate.getFullYear();
						var age = parseInt( nowYear ) - parseInt( birthdayYear );
					}else{
						var age = 0;
					}
					
					//性别
					if( data[i].gender == "0" ){
						var sex_class = "sex_boy";//男
					}else{
						var sex_class = "sex_girl";//女
					}
					
					//发表时间
					var publishTime = getDaysBefore(data[i].publishTime);
					
					//点赞数
					var praiseNum = data[i].praiseNum;
					if( praiseNum > 999 ){
						var len = praiseNum.length;
						praiseNum = praiseNum.substring(0, len - 3) + "k";
					}
					//评论数
					var commentNum = data[i].commentNum;
					if( commentNum > 999 ){
						var len = commentNum.length;
						commentNum = commentNum.substring(0, len - 3) + "k";
					}
					
					//地点
					var place = JSON.parse(data[i].place);
					var locationName = place.locationName;
					
					//等级
					var iconName = 'a15.png';
					var status = data[i].status;
					var orangerLv = data[i].lv;
					if(orangerLv == 0)
					{
						iconName = 'b1.png';
					}
					if(4 == parseInt(status) && orangerLv != 0)
					{
						iconName = 'a' + orangerLv + '.png';
					}
					else if(orangerLv != 0)
					{
						iconName = 'b' + orangerLv + '.png';
					}
					
					if(data[i].nickName){
						var nickName = data[i].nickName;
					}else{
						var nickName = "无昵称";
					}
					
					var pictureData = JSON.parse(data[i].pics);
					list += '<li class="ub">'+
		    			'<div class="ub-f1 citrus_pug_left" guide-id="' + data[i].guideId + '" style="background-image:url('+ orange_icon +');"></div>'+
		    			'<div class="ub-f1 citrus_pug_right">'+
		    				'<div class="pug_head">'+
		    					'<p class="pug_head_left">'+ nickName +'</p>'+
		    					'<p class="pug_head_center sex_age '+ sex_class +'"><span>'+ age +'岁</span><i></i></p>'+
		    					'<p class="pug_head_right">'+ publishTime +'</p>'+
		    				'</div>'+
		    				'<div class="pug_lev">'+
		    					'<p><img class="common_level_img" src="' + 'icon/level/' + iconName + '" /></p>'+
		    					'<div></div>'+//3年
		    				'</div>'+
		    				'<div class="pug_text"><div>'+ data[i].content + '</div><p class="footprintImg" data-id="'+ i +'">';
					
					for(var j in pictureData){
						list += '<img src="'+ pictureData[j] + IMG_CUT_WH +'" />';
					}
		    					
					list += '</p></div>';
					
		    		if(locationName){
		    			list += '<p class="pug_address"><img src="icon/icon-locate.png" />'+ locationName +'</p>';
		    		}

					list += '<div class="ub pug_bottom" data-id="'+ data[i].id +'">'+
								'<p class="ub-f1 pug_comment"><img src="icon/comment.png" /><span>'+ commentNum +'</span>评论</p>'+
		    					'<p class="ub-f1 pug_praise"><img src="'+ thumbsIcon +'" /><span>'+ praiseNum +'</span>赞</p>'+
		    				'</div>'+
		    				'<div class="footprint_recomment" data-index="'+ i +'">'+
	//							'<svg class="svg-triangle"><polygon points="7 0, 0 6, 14,6" /></svg>'+
								'<dl class="fr_content footComment'+ i +'"></dl>'+
								'<p class="footLookMore moreFootComment'+ i +'" data-id="'+ data[i].id +'">点击查看更多</p>'+
							'</div>'+
		    			'</div>'+
		    		'</li>';
				}
				$("#load_gif").hide();
				if(refreshType == 1){
					$(".citrus_pug_list").html(list);
					mnWebMain.refreshFinish(0);
				}else if(refreshType == 2){
					$(".citrus_pug_list").append(list);
					mnWebMain.refreshFinish(0);
				}else{
					$(".citrus_pug_list").html(list);
				}
				for(var i in data){
					getFootMarkComments(i, data[i].id, 0);
					if(data[i].commentNum != 0){
						$(".footComment" + i).before('<svg class="svg-triangle"><polygon points="7 0, 0 6, 14,6" /></svg>');
					}
				}
				if(data.length == 0){
					
					return;
				}
				$(".footprintImg img").off("tap").on("tap", function(){
					var id = $(this).parent().attr("data-id");
					var pictureData = JSON.parse(data[id].pics);
					
					var index = $(this).index();
					mnWebMain.browserPics(index, JSON.stringify(pictureData));
				})
				
				//评论
				$(".pug_comment").off("tap").on("tap", function(){
					var data_id =  $(this).parent().attr("data-id");
					var commentDom = $(this);
					mnWebMain.isLogin(function(result){
						var res = JSON.parse(result);
						var data = res.data;
						var isLogin = data.isLogin;
						if(isLogin == "1"){
							//显示键盘
							mnWebMain.showOrDismissBottomInput(0, function(result){
								var res = JSON.parse(result);
								var data = res.data;
								var content = trim(data.content);
								commentFootMark(data_id, content, commentDom);
							});
						}else{
							mnWebMain.openViewController("TOLoginNavigationController");//打开登录页面
						}
					});
				})
				//点赞
				$(".pug_praise").off("tap").on("tap", function(){
					var data_id =  $(this).parent().attr("data-id");
					var praiseDom = $(this);
					mnWebMain.isLogin(function(result){
						var res = JSON.parse(result);
						var data = res.data;
						var isLogin = data.isLogin;
						var myUserId = data.userId;
						if(isLogin == "1"){
							praiseFootMark(data_id, praiseDom, myUserId);
						}else{
							mnWebMain.openViewController("TOLoginNavigationController");//打开登录页面
						}
					});
				});
				//点击头像查看详情
				$(".citrus_pug_left").off("tap").on("tap", function(){
					var guide_id =  $(this).attr("guide-id");
					var userId = SyncManager.syncGetUserId();
					if (userId) {
						var page_url = BASE_PATH + "personal_details.html?id=" + guide_id;
						mnWebMain.openWebViewController(page_url, "个人详情");
					} else {
						mnWebMain.openViewController("TOLoginNavigationController");//打开登录页面
					}
				});
			}
		}else{
			if(refreshType == 1 || refreshType == 2){
				mnWebMain.refreshFinish(1);
			}
		}
	});
}

//获取足迹回复列表
function getFootMarkComments(index, footMarkId, startIndex, refreshType){
	var params = {};
	params.footMarkId = footMarkId;
	params.startIndex = startIndex;
	params.num = PAGE_NUM;
	var path = "footMark/getFootMarkComments";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataInfo = res.data;
			var data = dataInfo.comments;
			var list = '';
			var num = 0;
			for(var i in data){
				num += 1;
				list += '<dd><span>'+ data[i].nickName +'：</span>'+ data[i].commentContent +'</dd>';
			}
			
			if(refreshType == 1){
				$(".footComment" + index).html(list);
			}else{
				$(".footComment" + index).append(list);
			}
			
			$(".moreFootComment" + index).attr("data-num", startIndex);
			
			//加载更多回复
			if(num == PAGE_NUM){
				$(".moreFootComment" + index).show();
				$(".moreFootComment" + index).off("tap").on("tap", function(){
					var dataNum = $(".moreFootComment" + index).attr("data-num");
					var dataId = $(".moreFootComment" + index).attr("data-id");
					dataNum += PAGE_NUM;
					$(".moreFootComment" + index).attr("data-num", dataNum);
					getFootMarkComments(index, dataId, dataNum);
				});
			}else{
				$(".moreFootComment" + index).hide();
			}
		}else{
		}
	});
}

//对足迹点赞
function praiseFootMark(footMarkId, praiseDom, userId){
	mnWebMain.getLocalStorage(MYPRAISE, function(resultInfo){
		var res = JSON.parse(resultInfo);
		var data = res.data;
		if(!data.gotValue){
			var obj = {};
			var arr = [];
			arr.push(footMarkId);
			obj[userId] = arr;
			mnWebMain.setLocalStorage(MYPRAISE, JSON.stringify(obj));
		}else{
			var allInfo = JSON.parse(data.gotValue);
			if(allInfo[userId] == undefined){
				var arr = [];
				arr.push(footMarkId);
				allInfo[userId] = arr;
				mnWebMain.setLocalStorage(MYPRAISE, JSON.stringify(allInfo));
			}else{
				var userData = allInfo[userId];
				var flag = false;
				for(var i in userData){
					if(userData[i] == footMarkId){
						flag = true;
					}
				}
				if(!flag){
					userData.push(footMarkId);
					mnWebMain.setLocalStorage(MYPRAISE, JSON.stringify(allInfo));
				}else{
					$("#fade-in-out").text("已点过赞!");
					$("#fade-in-out").show().addClass("fade_block");
					setTimeout('$("#fade-in-out").removeClass("fade_block").hide();', 1000);
					return;
				}
			}
		}

		$("#fade-in-out").html("<span>+1</span>");
		$("#fade-in-out").show().addClass("fade_block");
		setTimeout('$("#fade-in-out").removeClass("fade_block").hide();', 1000);
		
		var num = praiseDom.children("span").text();
		var totalNum = parseInt(num) + 1;
		praiseDom.children("span").text(totalNum);
		praiseDom.children("img").attr("src", "icon/comment_up2.png");
		footPrintpraise(footMarkId);//点赞
	});
}

//对足迹点赞
function footPrintpraise(footMarkId){
	var params = {};
	params.footMarkId = footMarkId;
	var path = "footMark/praise";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			
		}else{
		}
	});
}

//对足迹评论
function commentFootMark(footMarkId, commentContent, commentDom){
	var params = {};
	params.footMarkId = footMarkId;
	params.commentContent = commentContent;
	var path = "footMark/commentFootMark";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			$("#fade-in-out").text("评论成功!");
			$("#fade-in-out").show().addClass("fade_block");
			setTimeout('$("#fade-in-out").removeClass("fade_block").hide();', 1000);
			
			var num = commentDom.children("span").text();
			var totalNum = parseInt(num) + 1;
			commentDom.children("span").text(totalNum);
			
			var commentList = commentDom.parent().next();
			var index = commentList.attr("data-index");
			getFootMarkComments(index, footMarkId, 0, 1);
		}else{
		}
	});
}

// 获取个人足迹列表
function getPersonalFootprintList(startIndex, guideId, refreshType){
	var params = {};
	params.startIndex = startIndex;
	params.num = PAGE_NUM;
	params.guideId = guideId;
	var path = "footMark/getFootMarks";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataInfo = res.data;
			var data = dataInfo.footMarkArr;
			var list = '';
			if(data.length == 0 && startIndex == 0){
				var none_list = '<div class="search_none">'+
	    			'<p><img src="icon/search_no.png"/></p>'+
	    			'<span>对不起没有找到你想要的哟~</span>'+
	    		'</div>';
	    		$("#load_gif").hide();
				$("#citrus_pug_list").html(none_list);
				if(refreshType == 1 || refreshType == 2){
					mnWebMain.refreshFinish(1);
				}
			}else{
				for(var i in data){
					//头像
					if( !data[i].icon || data[i].icon == null ){
						var orange_icon = 'icon/default.png';
					}else {
						var icon = JSON.parse(data[i].icon);
						var orange_icon = icon.url + IMG_CUT_WH;
					}
					
					//年龄
					if(data[i].birthday){
						var birthdayYear = data[i].birthday.split(".")[0];
						var myDate = new Date();
						var nowYear = myDate.getFullYear();
						var age = parseInt( nowYear ) - parseInt( birthdayYear );
					}else{
						var age = 0;
					}
					
					//性别
					if( data[i].gender == "0" ){
						var sex_class = "sex_boy";//男
					}else{
						var sex_class = "sex_girl";//女
					}
					
					//发表时间
					var publishTime = getDaysBefore(data[i].publishTime);
					
					//点赞数
					var praiseNum = data[i].praiseNum;
					if( praiseNum > 999 ){
						var len = praiseNum.length;
						praiseNum = praiseNum.substring(0, len - 3) + "k";
					}
					//评论数
					var commentNum = data[i].commentNum;
					if( commentNum > 999 ){
						var len = commentNum.length;
						commentNum = commentNum.substring(0, len - 3) + "k";
					}
					
					//地点
					var place = JSON.parse(data[i].place);
					var locationName = place.locationName;
					
					//等级
					var iconName = 'a15.png';
					var status = data[i].status;
					var orangerLv = data[i].lv;
					if(orangerLv == 0)
					{
						iconName = 'b1.png';
					}
					if(4 == parseInt(status) && orangerLv != 0)
					{
						iconName = 'a' + orangerLv + '.png';
					}
					else if(orangerLv != 0)
					{
						iconName = 'b' + orangerLv + '.png';
					}
					if(data[i].nickName){
						var nickName = data[i].nickName;
					}else{
						var nickName = "无昵称";
					}
					
					var pictureData = JSON.parse(data[i].pics);
					
					list += '<li class="ub">'+
		    			'<div class="ub-f1 citrus_orange_left"><img src="'+ orange_icon +'" /></div>'+
		    			'<div class="ub-f1 citrus_pug_right">'+
		    				'<div class="pug_head">'+
		    					'<p class="pug_head_left">'+ nickName +'</p>'+
		    					'<p class="pug_head_center sex_age '+ sex_class +'"><i></i><span>'+ age +'</span></p>'+
		    					'<p class="pug_head_right">'+ publishTime +'</p>'+
		    				'</div>'+
		    				'<div class="pug_lev">'+
		    					'<p><img class="common_level_img" src="' + 'icon/level/' + iconName + '" /></p>'+
		    					'<div>3年</div>'+
		    				'</div>'+
		    				'<div class="pug_text">'+ data[i].content + '<p class="footprintImg" data-id="'+ i +'">';
					
					for(var j in pictureData){
						list += '<img src="'+ pictureData[j] +'" />';
					}
		    					
					list += '</p></div>';
					
		    		if(locationName){
		    			list += '<p class="pug_address"><img src="icon/icon-locate.png" />'+ locationName +'</p>';
		    		}
							
					list += '<div class="ub pug_bottom" data-id="'+ data[i].id +'">'+
								'<p class="ub-f1 pug_comment"><img src="icon/comment.png" /><span>'+ commentNum +'</span>评论</p>'+
		    					'<p class="ub-f1 pug_praise"><img src="icon/comment_up1.png" /><span>'+ praiseNum +'</span>赞</p>'+
		    				'</div>'+
		    				'<div class="footprint_recomment" data-index="'+ i +'">'+
								//'<svg class="svg-triangle"><polygon points="7 0, 0 6, 14,6" /></svg>'+
								'<dl class="fr_content footComment'+ i +'"></dl>'+
								'<p class="footLookMore moreFootComment'+ i +'" data-id="'+ data[i].id +'">点击查看更多</p>'+
							'</div>'+
		    			'</div>'+
		    		'</li>';
				}
				
				$("#load_gif").hide();
				if(refreshType == 1){
					$(".citrus_pug_list").html(list);
					mnWebMain.refreshFinish(0);
				}else if(refreshType == 2){
					$(".citrus_pug_list").append(list);
					mnWebMain.refreshFinish(0);
				}else{
					$(".citrus_pug_list").html(list);
				}
				
				for(var i in data){
					getFootMarkComments(i, data[i].id, 0);
					if(data[i].commentNum != 0){
						$(".footComment" + i).before('<svg class="svg-triangle"><polygon points="7 0, 0 6, 14,6" /></svg>');
					}
				}
				
				$(".footprintImg img").off("tap").on("tap", function(){
					var id = $(this).parent().attr("data-id");
					var pictureData = JSON.parse(data[id].pics);
					
					var index = $(this).index();
					mnWebMain.browserPics(index, JSON.stringify(pictureData));
				})
				
				//评论
				$(".pug_comment").off("tap").on("tap", function(){
					var data_id =  $(this).parent().attr("data-id");
					var commentDom = $(this);
					mnWebMain.isLogin(function(result){
						var res = JSON.parse(result);
						var data = res.data;
						var isLogin = data.isLogin;
						if(isLogin == "1"){
							//显示键盘
							mnWebMain.showOrDismissBottomInput(0, function(result){
								var res = JSON.parse(result);
								var data = res.data;
								commentFootMark(data_id, data.content, commentDom);
							});
						}else{
							mnWebMain.openViewController("TOLoginNavigationController");//打开登录页面
						}
					});
				})
				//点赞
				$(".pug_praise").off("tap").on("tap", function(){
					var data_id =  $(this).parent().attr("data-id");
					var praiseDom = $(this);
					mnWebMain.isLogin(function(result){
						var res = JSON.parse(result);
						var data = res.data;
						var isLogin = data.isLogin;
						if(isLogin == "1"){
							praiseFootMark(data_id, praiseDom);
						}else{
							mnWebMain.openViewController("TOLoginNavigationController");//打开登录页面
						}
					});
				})
			}
		}else{
			if(refreshType == 1 || refreshType == 2){
				mnWebMain.refreshFinish(1);
			}
		}
	});
}

//put_question.html 我要提问 
//获取提问标签
function getQuestionLabel(){
	var params = {};
	var path = "question/getAllLabel";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataInfo = res.data;
			var data = dataInfo.questionLabels;
			var tags_str = '';
			for(var i in data){
				tags_str += '<span class="bgcolor1">'+ data[i].labelName +'</span>';
			}
			
			$("#tags").html(tags_str);
			$("#tags span").off("tap").on("tap", function(){
				$(this).toggleClass("bgcolor2 bgcolor1");
			});
		}else{
		}
	});
}

//personal_details.html 获取个人信息
function getPersonalInfo(userId){
	var idArray = [];
	idArray.push(parseInt(userId));

	var params = {};
	params.userIds = JSON.stringify(idArray);
	var path = "client/getUserObjWithUserIds";
	
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataInfo = res.data;
			var userObjArr = dataInfo.userObjArr;
			var data = userObjArr[userId];
			//头像
			if( !data.icon || data.icon == null ){
				var orange_icon = 'icon/default.png';
			}else {
				var icon = JSON.parse(data.icon);
				var orange_icon = icon.url + IMG_CUT_WH;
			}
			//性别
			if( data.gender == "0" ){
				var sex_class = "icon_boy";//男
			}else{
				var sex_class = "icon_girl";//女
			}
			//等级
			var iconName = 'a15.png';
			var status = data.status;
			var orangerLv = data.lv;
			if(orangerLv == 0)
			{
				iconName = 'b1.png';
			}
			if(4 == parseInt(status) && orangerLv != 0)
			{
				iconName = 'a' + orangerLv + '.png';
			}
			else if(orangerLv != 0)
			{
				iconName = 'b' + orangerLv + '.png';
			}
			//我的标签
			var lableStr = '';
			if(data.selfEvaluation){
				var selfEvaluation = data.selfEvaluation.split("、");
				for(var m = 0; m < selfEvaluation.length; m++){
					lableStr += '<span>'+ selfEvaluation[m] +'</span>';
				}
			}
			
			$("#personal_left").attr("style", "background-image: url('" + orange_icon + "')");
			$("#personal_dj").html('<img class="orange_detail_level" src="' + 'icon/level/' + iconName +'" />');
			$("#per_name").html('<span>'+ data.nickName +'</span><i class="'+sex_class+'"></i>');
			$("#per_lable").html(lableStr);
			var eva = data.evaluation;
			if (eva && (eva != 0.00 || eva != 0)) {
				eva = "好评率：" + accMul(parseFloat(eva), 20) + "%";
			} else {
				eva = '暂无';
			}
			$("#evaluationValue").html(eva);
			//评价列表
			$("#personalEvaluation").off("tap").on("tap", function(e)
			{
				//跳转到评价列表
				mnWebMain.openWebViewController(BASE_PATH + "guide_evaluation_list.html?guideId=" + userId, "TA的评价");
			});
			//发消息
			$("#personal_send").off("tap").on("tap", function(e){
				mnWebMain.chat(1, userId, data.nickName);
			});
			
			//个人足迹
			getFootprintImages(data.footMarks, userId);
			
			//个性签名
			if(data.lifeMotto == "" || data.lifeMotto == undefined){
				var lifeMotto = "无"
			}else{
				var lifeMotto = data.lifeMotto;
			}
			$("#lifeMotto").text(lifeMotto);
			
			//擅长语言
			if(data.legallyLanguages){
				var languageArr = JSON.parse(data.legallyLanguages);
			}else{
				var languageArr = [];
			}
			getExpertLanguage(languageArr);
			
			//熟悉地区
			if(data.familiarPlace){
				$("#familiarPlace").text(data.familiarPlace);
			}else{
				$("#familiarPlace").text("无");
			}
		}else{
		}
	});
}

//获取个人足迹图片
function getFootprintImages(footMarks, userId){
	var params = {};
	params.ids = footMarks;
	var path = "footMark/getFootMarkWithIds";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataInfo = res.data;
			var data = dataInfo.footMarkObjArr;
			
			var list = '';
			var flag = 0;
			for(var i in data){
				if(data[i].pics == "" || data[i].pics == undefined){
					var pictureArr = [];
				}else{
					var pictureArr = JSON.parse(data[i].pics);
				}
				for(var j in pictureArr){
					if(flag < 4){
						flag += 1;
						list += '<p class="personal_img"><img src="'+ pictureArr[j] + IMG_CUT_WH +'" /></p>';
					}else{
						break;
					}
				}
			}
			$("#footprintImg").html(list);
		}else{
		}
	});
}

//获取擅长语言
function getExpertLanguage(ids){
	var params = {};
	params.ids = ids;
	var path = "language/getLanguageWithIds";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataInfo = res.data;
			var data = dataInfo.languages;
			var languageStr = "";
			for(var i in data){
				languageStr += data[i].languageName + "、";
			}
			
			if(languageStr == ""){
				$("#legallyLanguages").text("无");
			}else{
				$("#legallyLanguages").text(languageStr);
			}
		}else{
			$("#legallyLanguages").text("无");
		}
	});
}

//获取全部语种
function getAllLanguage(){
	var params = {};
	var path = "language/getAllLanguage";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataInfo = res.data;
			var data = dataInfo.languages;
			var list = '<span class="bgcolor2" data-id="0" id="any">不限</span>';
			for(var i in data){
				list += '<span class="bgcolor1" data-id="'+ data[i].id +'">'+ data[i].languageName +'</span>';
			}
			
			$("#languages").html(list);
			$("#languages span").off("tap").on("tap", function(){
				var id = $(this).attr("id");
				if(id == "any"){
					$(this).addClass("bgcolor2").removeClass("bgcolor1")
						.siblings().removeClass("bgcolor2").addClass("bgcolor1");
				}else{
					if( $(this).hasClass("bgcolor2") ){
						$(this).addClass("bgcolor1").removeClass("bgcolor2");
					}else{
						$(this).addClass("bgcolor2").removeClass("bgcolor1");
					}
					$("#any").removeClass("bgcolor2").addClass("bgcolor1");
				}
			});
		}else{
		}
	});
}

//获取导游带团时间
function getTourTime(){
	var params = {};
	var path = "common/getTourTime";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataInfo = res.data;
			var data = dataInfo.tourTime;
			var list = '';
			for(var i in data){
				list += '<div class="filter_radio">'+
					'<label>'+ data[i].tourTime +'</label>'+
					'<input class="radio_not" name="radio3" type="radio" value="'+ data[i].id +'">'+
				'</div>';
			}
			$("#tourTime").append(list);
			filterRadio();
		}else{
		}
	});
}

//获取全部等级
function getGrade(){
	var params = {};
	var path = "common/getGrade";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataInfo = res.data;
			var data = dataInfo.grades;
			var list = '';
			for(var i in data){
				list += '<div class="filter_radio">'+
					'<input class="radio_not" name="radio2" type="radio" value="'+ data[i].id +'">'+
					'<label>'+ data[i].name +'</label>'+
				'</div>';
			}
			$("#allGrade").append(list);
			filterRadio();
		}else{
		}
	});
}

//question_detail.html获取问题详情
function getQuestionDetail(questionId, userId){
	mnWebMain.dismissProgressDialog();
	var arr = [];
	arr.push(questionId);
	var params = {};
	params.questionIds = JSON.stringify(arr);
	var path = "question/getQuestionObjWithIds";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataInfo = res.data;
			var data = dataInfo.questionObjArr;
			var publishUserId = data[0].publishUserId;
			var isAccept = data[0].isAccept;
			var questionSupplement = data[0].questionSupplement;
			try{
				questionSupplement = JSON.parse(questionSupplement)[0];
			}catch(e){
				questionSupplement = '';
			}
			var replyNum = data[0].replyNum;
			if( replyNum > 999 ){
				var len = replyNum.length;
				replyNum = replyNum.substring(0, len - 3) + "k";
			}
			
			//头像
			if( !data[0].icon || data[0].icon == null ){
				var orange_icon = 'icon/default.png';
			}else {
				var icon = JSON.parse(data[0].icon);
				var orange_icon = icon.url + IMG_CUT_WH;
			}
			//如果有补充提问，则显示补充提问内容，去掉补充提问按钮
			if(questionSupplement)
			{
				var question_str = '<li class="ub"><div class="ub-f1 citrus_pug_left"><img src="'+ orange_icon +'" /></div>'+
					'<div class="ub-f1 citrus_pug_right2">'+
						'<div class="pug_head"><p class="pug_head_left2">'+ data[0].nickName +'</p></div>'+
						'<div class="question_detail_time">'+ data[0].questionTime +'</div>'+
						'<div class="pug_text">'+ data[0].questionContent +'</div>'+ 
						'<div class="pug_text_supply">补充提问：' + questionSupplement + '</div>' +
						'<p class="aw_comment"><img src="icon/comment.png" />'+ replyNum +'回答</p>'+
					'</div></li>';
			}
			else
			{
				if(publishUserId && userId && publishUserId == userId)
				{
					var question_str = '<li class="ub"><div class="ub-f1 citrus_pug_left"><img src="'+ orange_icon +'" /></div>'+
						'<div class="ub-f1 citrus_pug_right2">'+
							'<div class="pug_head"><p class="pug_head_left2">'+ data[0].nickName +'</p></div>'+
							'<div class="question_detail_time">'+ data[0].questionTime +'</div>'+
							'<div class="pug_text">'+ data[0].questionContent +'</div>'+
							'<div class="ub">' +
							'<div class="ub-f1"><p class="aw_comment"><img src="icon/comment.png" />' + replyNum + '回答</p></div>' + 
							'<div class="ub-f1 ask_supply">补充提问</div>' + 
							'</div>' +
						'</div></li>';
					
				}
				else
				{
					var question_str = '<li class="ub"><div class="ub-f1 citrus_pug_left"><img src="'+ orange_icon +'" /></div>'+
						'<div class="ub-f1 citrus_pug_right2">'+
							'<div class="pug_head"><p class="pug_head_left2">'+ data[0].nickName +'</p></div>'+
							'<div class="question_detail_time">'+ data[0].questionTime +'</div>'+
							'<div class="pug_text">'+ data[0].questionContent +'</div>'+
							'<p class="aw_comment"><img src="icon/comment.png" />'+ replyNum +'回答</p>'+
						'</div></li>';
				}
			}
			//var question_time = data[0].questionTime.split(" ")[0];
			
			$(".question_detail").html(question_str);
			$(".ask_supply").off("tap").on("tap", function()
			{
				var dialogArr = ['取消', '确定'];
				mnWebMain.showDialog(1, '补充提问', '', dialogArr, function(result)
				{
					var resultJob = JSON.parse(result);
					if(resultJob.error == 0)
					{
						var dataJob = resultJob.data;
						if(dataJob.index == 1)
						{
							//补充提问,通过id添加补充提问内容
							var inputContent = dataJob.inputContent;
							var supplyParams = {};
							supplyParams.questionId = questionId;
							supplyParams.questionSupplement = inputContent;
							var supplyPath = "question/questionSupplement";
							mnWebMain.showProgressDialog();
							mnWebMain.httpRequest(supplyPath, supplyParams, function(result)
							{
								getQuestionDetail(questionId, userId);
							});
						}
					}
				});
			});
			if(isAccept != 0){
				getOptimalReplyThumbsIcon(questionId);//最佳
			}
			
			//判断是否已对问题评论过
			hasReplyedQuestion(questionId, isAccept, replyNum, publishUserId);
		}else{
		}
	});
}

//判断是否已对问题评论过
function hasReplyedQuestion(questionId, isAccept, replyNum, publishUserId){
	mnWebMain.getLocalStorage(USERINFO, function(resInfo){
		var res = JSON.parse(resInfo);
		var dataInfo = res.data;
		var gotValue = JSON.parse( dataInfo.gotValue );
		var data = gotValue.userObjArr;
		for(var i in data){
			if(parseInt(data[i].userId) < 1000000){
				getOtherReplyThumbsIcon(0, questionId, isAccept);//其他
				return;
			}
			if(data[i].userId == publishUserId){
				getOtherReplyThumbsIcon(0, questionId, isAccept);//其他
			}else if(replyNum == 0){
				var answer_list = '<div class="answerBox"><div class="answer_input">'+
					'<textarea rows="5" id="answerContent" placeholder="请输入您的回答..."></textarea>'+
				'</div><div id="answer_submit">提交</div></div>';
				
				$("#detailGap").after(answer_list);
				//提交
				$("#answer_submit").off("tap").on("tap", function(){
					var answerContent = trim( $("#answerContent").val() );
					if(answerContent == ""){
						var arr = ["确定"];
						mnWebMain.showDialog(0, "提示", "请输入您的回答！", arr);
					}else{
						answerQuestion2(questionId, answerContent);
					}
				});
			}else{
				getOtherReplyThumbsIcon(0, questionId, isAccept);//其他
				
				if(!data[i].myReplyQuestions || data[i].myReplyQuestions == null){
					var myReplyQuestions = [];
				}else{
					var myReplyQuestions = JSON.parse( data[i].myReplyQuestions );
				}
				
				var canAnswer = array_has_value(myReplyQuestions, questionId);
				if(!canAnswer || myReplyQuestions.length == 0){
					$("#question_answer").after('<div id="answerBtn"><p>我要回答</p></div>');
					$("#answerBtn").off("tap").on("tap", function(){
						var page_url = BASE_PATH + "index2_answer.html?id=" + questionId;
						mnWebMain.openWebViewControllerWithDataTransfer(page_url, "我要回答", "", function(result){
							$("#answerBtn").remove();
							$("#question_answer").empty();
							getQuestionDetail(questionId);
						});
					})
				}
			}
		}
	});
}

//question_detail.html 获取最佳回复
function getOptimalReply(questionId, userId, dataInfo){
	var params = {};
	params.questionId = questionId;
	var path = "reply/getBestReply";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var resData = res.data;
			var data = resData.replyObj;
			if(data){
				var thumbsIcon = 'icon/comment_up1.png';
				var thumbsIcon2 = 'icon/comment_down1.png';
				if(dataInfo.gotValue){
					var allInfo = JSON.parse(dataInfo.gotValue);
					var userData = allInfo[userId];
					for(var j in userData){
						if(j == data.id){
							if(userData[j] == 1){
								thumbsIcon = 'icon/comment_up2.png';
							}else if(userData[j]== 2){
								thumbsIcon2 = 'icon/comment_down2.png';
							}
							break;
						}
					}
				}
				
				//赞
				var praiseNum = data.praiseNum;
				if( praiseNum > 999 ){
					var len = praiseNum.length;
					praiseNum = praiseNum.substring(0, len - 3) + "k";
				}
				
				//踩
				var criticismNum = data.criticismNum;
				if( criticismNum > 999 ){
					var len = criticismNum.length;
					criticismNum = criticismNum.substring(0, len - 3) + "k";
				}
				
				//头像
				if( !data.icon || data.icon == null ){
					var orange_icon = 'icon/default.png';
				}else {
					var icon = JSON.parse(data.icon);
					var orange_icon = icon.url + IMG_CUT_WH;
				}
				
				//等级
				var orange_lv = getGradeIcon2(data.lv);
				if(data.lv){
					var myGrade = data.lv;
				}else{
					var myGrade = 0;
				}
				//补充回答
				var replySupplement = data.replySupplement;
				try{
					replySupplement = JSON.parse(replySupplement)[0];
				}catch(e){
					replySupplement = '';
				}
				//如果有补充回答
				if(replySupplement)
				{
					var question_str = '<div id="best_answer" class="optimal_answer">最佳回答<img src="icon/icon-good.png" /></div>'+
					'<ul class="citrus_pug_list">'+
						'<li class="ub">'+
							'<div class="ub-f1 citrus_pug_left"><img src="'+ orange_icon +'" /></div>'+
							'<div class="ub-f1 citrus_pug_right2">'+
								'<div class="pug_head">'+
									'<p class="pug_head_left">'+ data.nickName +'</p>'+
									'<p class="pug_head_center grade '+ orange_lv +'"><i></i><span>Lv'+ myGrade +'</span></p>'+
								'</div>'+
								'<div class="question_detail_time">'+ data.replyTime +'</div>'+
								'<div class="pug_text">'+ data.replyContent +'<span>已采纳</span></div>'+
								'<div class="pug_text">'+ "补充回答：" + replySupplement +'</div>'+
								'<div class="aw_zc" data-id="'+ data.id +'">'+
									'<p class="replyPraise"><img class="aw-btm" src="'+ thumbsIcon +'" /><span>'+ praiseNum +'</span>赞</p>'+
									'<p class="replyCriticism"><img src="'+ thumbsIcon2 +'" /><span>'+ criticismNum +'</span>踩</p>'+
								'</div>'+
							'</div>'+
						'</li>'+
					'</ul>';
				}
				//没有补充回答
				else
				{
					var question_str = '<div id="best_answer" class="optimal_answer">最佳回答<img src="icon/icon-good.png" /></div>'+
					'<ul class="citrus_pug_list">'+
						'<li class="ub">'+
							'<div class="ub-f1 citrus_pug_left"><img src="'+ orange_icon +'" /></div>'+
							'<div class="ub-f1 citrus_pug_right2">'+
								'<div class="pug_head">'+
									'<p class="pug_head_left">'+ data.nickName +'</p>'+
									'<p class="pug_head_center grade '+ orange_lv +'"><i></i><span>Lv'+ myGrade +'</span></p>'+
								'</div>'+
								'<div class="question_detail_time">'+ data.replyTime +'</div>'+
								'<div class="pug_text">'+ data.replyContent +'<span>已采纳</span></div>'+
								'<div class="aw_zc" data-id="'+ data.id +'">'+
									'<p class="replyPraise"><img class="aw-btm" src="'+ thumbsIcon +'" /><span>'+ praiseNum +'</span>赞</p>'+
									'<p class="replyCriticism"><img src="'+ thumbsIcon2 +'" /><span>'+ criticismNum +'</span>踩</p>'+
								'</div>'+
							'</div>'+
						'</li>'+
					'</ul>';
				}
				//var question_time = data[0].questionTime.split(" ")[0];
				
				//如果之前已经加载过最佳回复，先删掉，再将最新的添加上
				$("#best_answer").remove();
				$("#question_answer").before(question_str);
				//赞
				$(".replyPraise").off("tap").on("tap", function(){
					var nowDom = $(this);
					var replyId = $(this).parent().attr("data-id");
					praiseOrCriticism(1, replyId, nowDom);
				});
				//踩
				$(".replyCriticism").off("tap").on("tap", function(){
					var nowDom = $(this);
					var replyId = $(this).parent().attr("data-id");
					praiseOrCriticism(2, replyId, nowDom);
				});
			}
		}else{
		}
	});
}

//question_detail.html获取其他回复
function getOtherReply(dataInfo, userId, startIndex, questionId, isAccept, refreshType){
	var params = {};
	params.startIndex = startIndex;
	params.num = PAGE_NUM;
	params.questionId = questionId;
	var path = "reply/getOtherReplies";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var resData = res.data;
			var data = resData.replies;
			if(startIndex == 0)
			{
				$("#question_answer").empty();
			}
			if(data){
				if(data.length != 0){
					var question_str = '<div class="optimal_answer">其他回答<img src="icon/icon-other.png" /></div>';
					for(var i in data){
						var thumbsIcon = 'icon/comment_up1.png';
						var thumbsIcon2 = 'icon/comment_down1.png';
						if(dataInfo.gotValue){
							var allInfo = JSON.parse(dataInfo.gotValue);
							var userData = allInfo[userId];
							for(var j in userData){
								if(j == data[i].id){
									if(userData[j] == 1){
										thumbsIcon = 'icon/comment_up2.png';
									}else if(userData[j]== 2){
										thumbsIcon2 = 'icon/comment_down2.png';
									}
									break;
								}
							}
						}
						//赞
						var praiseNum = data[i].praiseNum;
						if( praiseNum > 999 ){
							var len = praiseNum.length;
							praiseNum = praiseNum.substring(0, len - 3) + "k";
						}
						//踩
						var criticismNum = data[i].criticismNum;
						if( criticismNum > 999 ){
							var len = criticismNum.length;
							criticismNum = criticismNum.substring(0, len - 3) + "k";
						}
						//头像
						if( !data[i].icon || data[i].icon == null ){
							var orange_icon = 'icon/default.png';
						}else {
							var icon = JSON.parse(data[i].icon);
							var orange_icon = icon.url + IMG_CUT_WH;
						}
						
						//等级
						var orange_lv = getGradeIcon2(data[i].lv);
						if(data[i].lv){
							var myGrade = data[i].lv;
						}else{
							var myGrade = 0;
						}
		
						//var question_time = data[0].questionTime.split(" ")[0];
						var replyNum = data[i].replyNum;
						if( replyNum > 999 ){
							var len = replyNum.length;
							replyNum = replyNum.substring(0, len - 3) + "k";
						}
						var acceptLable = '';
						var supplyLable = '';
						//补充回复
						var replySupplement = data[i].replySupplement;
						try{
							replySupplement = JSON.parse(replySupplement)[0]
						}catch(e){
							replySupplement = '';
						}
						if(replySupplement)
						{
							supplyLable = '<p>补充回答:' + replySupplement + '</p>';
							if(isAccept == 0 && userId == data[i].publishUserId){
								acceptLable = '<span class="isAccept">采纳</span>';
							}
						}
						else
						{
							//回复人id
							var replyUserId = data[i].replyUserId;
							//如果是我的回复，
							if(userId == replyUserId)
							{
								acceptLable = '<span class="isSupply">补充</span>';
							}
							//不是我的回复
							else
							{
								if(isAccept == 0 && userId == data[i].publishUserId){
									acceptLable = '<span class="isAccept">采纳</span>';
								}
							}
						}
						question_str += '<ul class="citrus_pug_list">'+
							'<li class="ub">'+
								'<div class="ub-f1 citrus_pug_left"><img src="'+ orange_icon +'" /></div>'+
								'<div class="ub-f1 citrus_pug_right2">'+
									'<div class="pug_head">'+
										'<p class="pug_head_left">'+ data[i].nickName +'</p>'+
										'<p class="pug_head_center grade '+ orange_lv +'"><i></i><span>Lv'+ myGrade +'</span></p>'+
									'</div>'+
									'<div class="question_detail_time">'+ data[i].replyTime +'</div>'+
									'<div class="pug_text" data-id="'+ data[i].id +'">'+ data[i].replyContent + acceptLable + supplyLable + '</div>'+
									'<div class="aw_zc">'+
										'<p class="replyPraise"><img class="aw-btm" src="'+ thumbsIcon +'" /><span>'+ praiseNum +'</span>赞</p>'+
										'<p class="replyCriticism"><img src="'+ thumbsIcon2 +'" /><span>'+ criticismNum +'</span>踩</p>'+
									'</div>'+
								'</div>'+
							'</li>'+
						'</ul>';
					}
					$("#question_answer").append(question_str);
					
					//赞
					$(".replyPraise").off("tap").on("tap", function(){
						var nowDom = $(this);
						var replyId = $(this).parent().prev().attr("data-id");
						praiseOrCriticism(1, replyId, nowDom);
					});
					//踩
					$(".replyCriticism").off("tap").on("tap", function(){
						var nowDom = $(this);
						var replyId = $(this).parent().prev().attr("data-id");
						praiseOrCriticism(2, replyId, nowDom);
					});
					
					//采纳回复
					$(".isAccept").off("tap").on("tap", function(){
						
						var replyId = $(this).parent().attr("data-id");
						var arr = ["取消", "确定"];
						mnWebMain.showDialog(0, "提示", "您确定采纳该回复吗?", arr, function(result){
							var res = JSON.parse(result);
							var data = res.data;
							if(data.index == 1){
								acceptReply(replyId, questionId);
							}
						});
					});
					//补充回答
					$(".isSupply").off("tap").on("tap", function()
					{
						var replyId = $(this).parent().attr("data-id");
						var dialogArr = ['取消', '确定'];
						mnWebMain.showDialog(1, '补充回答', '', dialogArr, function(result)
						{
							var resultJob = JSON.parse(result);
							if(resultJob.error == 0)
							{
								var dataJob = resultJob.data;
								if(dataJob.index == 1)
								{
									//补充提问,通过id添加补充提问内容
									var inputContent = dataJob.inputContent;
									var supplyParams = {};
									supplyParams.replyId = replyId;
									supplyParams.replySupplement = inputContent;
									var supplyPath = "reply/replySupplement";
									mnWebMain.showProgressDialog();
									mnWebMain.httpRequest(supplyPath, supplyParams, function(result)
									{
//										mnWebMain.dismissProgressDialog();
										//重新加载数据
										getQuestionDetail(questionId, userId);
									});
								}
							}
						});
						
						
					});
				}else if(startIndex == 0 && data.length == 0){
					$("#question_answer").html('<div class="noAnswer">还没有人回答！</div>');
				}
			}else if(startIndex == 0 && isAccept == 0){
				$("#question_answer").html('<div class="noAnswer">还没有人回答！</div>');
			}
			
			if(refreshType == 2){
				mnWebMain.refreshFinish(0);
			}
		}else{
			if(refreshType == 2){
				mnWebMain.refreshFinish(1);
			}
		}
	});
}

//my_question.html
//获取我的提问列表
function getQuestionList(type, startIndex){
	var params = {};
	params.type = type;
	params.startIndex = startIndex;
	params.num = PAGE_NUM;
	
	var path = "question/getQuestionsWithType";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataInfo = res.data;
			var data = dataInfo.questionObjArr;
			
			var question_str = '';
			if(data.length == 0){
				question_str = '<p id="no_question">没有更多数据！</p>';
			}else{
				for(var i in data){
					var time = data[i].questionTime.split(" ")[0];
					var questionLabels = JSON.parse(data[i].questionLabels);
					
					question_str += '<li data-id="'+ data[i].id +'" data-isAccept="'+ data[i].isAccept +'">';
					question_str += '<p>'+ data[i].questionContent +'</p>';
					
					if(questionLabels.length != 0){
						question_str += '<label class="lableText">';
						for(var j = 0; j < questionLabels.length; j++){
							question_str += '<span>'+ questionLabels[j] +'</span>';
						}
						question_str += '</label>';
					}
					
					question_str += '<div><span>'+ data[i].replyNum +'回答</span>';
					
					if( data[i].isAccept == "1"){
						question_str += '<b>已采纳</b>';
					}
							
					question_str += '<i>'+ time +'</i></div></li>';
				}
			}
			
			if(type == "0"){	//全部
				$("#load_gif0").hide();
				$("#myQuestion0").append(question_str);
			}else if(type == "1"){	//未回复
				$("#myQuestion2").append(question_str);
			}else if(type == "2"){	//已回复
				$("#myQuestion1").append(question_str);
			}
			
			$(".ul_list li").off("tap").on("tap", function(){
				var qid = $(this).attr("data-id");
				var isAccept = $(this).attr("data-isAccept");
				var page_url = BASE_PATH + "question_detail.html?id=" + qid + "&isAccept=" + isAccept;
				mnWebMain.openWebViewController(page_url, "问题详情");
			});
		}else{
		}
	});
}

/*----------------选择地区-------------*/
//获取国内省份
function getProvinceList(countryId, is_filter, provinceData){
//	var params = {};
//	params.countryId = countryId;
//	var path = "common/getProvince";
//	mnWebMain.httpRequest(path, params, function(result){
	mnWebMain.getProvinces(countryId, function(result)
	{
		var res = JSON.parse(result);
		if( res.error == 0 )
		{
			var dataInfo = res.data;
			var data = dataInfo.provinces;
			provinceData(data)
			addProvinceDataToUL(data, is_filter, "domestic");
		}else{
		}
	});
}
/*
 	国内的省份列表
 * 	data:json数据
 * 	is_filter filter时表示查看省下面的市列表
 * 
 * 
 * */
function addProvinceDataToUL(data, is_filter, ul_name)
{
	var list = '';
	for(var i in data)
	{
		list = '<li data-pid="'+ data[i].id +'" data-name="'+ data[i].name +'"><span>'+ data[i].name +'</span><b></b></li>';
		$("#"+ ul_name).append(list);		
	}
	//选择地区
	$("#" + ul_name + " li").off("tap").on("tap", function()
	{
		var pid = $(this).attr("data-pid");
		if(is_filter == "filter"){
			var name = $(this).attr("data-name");
			var pageUrl = BASE_PATH + "filter_city.html?pid=" + pid + "&name=" + encodeURI(name);
			var headObj = {};
			headObj.pageId = RESORTS_6;
    		mnWebMain.openWebViewController(pageUrl, "选择城市", headObj);
		}else{
			var pageUrl = BASE_PATH + "group_select_area.html?pid=" + pid + "&type=" + is_filter;
			var headObj = {};
			headObj.pageId = RESORTS_3;
			headObj.rightTitle = "手动输入";
    		mnWebMain.openWebViewController(pageUrl, "选择地区", headObj);
		}
	});
}

//获取国内城市
function selectCityList(provinceId, type){
//	var params = {};
//	params.provinceId = provinceId;
//	var path = "common/getCity";
//	mnWebMain.httpRequest(path, params, function(result){
	mnWebMain.getCitys(provinceId, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataInfo = res.data;
			var data = dataInfo.cities;
			var list = '';
			if(data.length == 0){
				list += '<li class="area_bg" data-sid="0">空<i></i></li>';
				$("#wrapper1 ul").html(list);
				selectSightList(0, "", type);//默认城市景点
			}else{
				for(var i in data){
					if(i == 0){
						list += '<li class="area_bg" data-sid="'+ data[i].id +'">'+ data[i].name +'<i></i></li>';
					}else{
						list += '<li data-sid="'+ data[i].id +'">'+ data[i].name +'<i></i></li>';
					}
				}
				
				$("#wrapper1 ul").html(list);
				selectSightList(data[0].id, data[0].name, type, provinceId);//默认城市景点
			}
			
			//选择城市
			$("#wrapper1 li").off("tap").on("tap", function(){
				if( !$(this).hasClass("area_bg") ){
					$(this).addClass("area_bg").siblings().removeClass("area_bg");
				}
				var data_sid = $(this).attr("data-sid");
				var cityName = $(this).text();
				selectSightList(data_sid, cityName, type, provinceId);
			});
		}else{
		}
	});
}
//获取国内景点
function selectSightList(cityId, cityName, type, provinceId){
//	var params = {};
//	params.cityId = cityId;
//	var path = "common/getSights";
//	mnWebMain.httpRequest(path, params, function(result){
	mnWebMain.getSights(cityId, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataInfo = res.data;
			var data = dataInfo.sights;
			var list = '';
			if(data.length == 0){
				list += '<li class="area_bg2" data-cid="'+ cityId +'"><p>'+ cityName +'</p></li>';
				$("#wrapper2 ul").html(list);
			}else{
				list += '<li class="area_bg2" data-mid="'+ cityId +'"><p>'+ cityName +'</p></li>';
				for(var i in data){
					list += '<li data-mid="'+ data[i].id +'"><p>'+ data[i].name +'</p></li>';
				}
				$("#wrapper2 ul").html(list);
			}
			
			//选择二级
			$("#wrapper2 li").off("tap").on("tap", function(){
				if( !$(this).hasClass("area_bg2") ){
					$(this).addClass("area_bg2").siblings().removeClass("area_bg2");
				}
				
				var sightName = $(this).children("p").text();
				var sightId = $(this).attr("data-mid");
//				var newCityId = $(this).attr("data-cid");
				
				mnWebMain.getLocalStorage(SIGHTNAME, function(result){
					var res = JSON.parse(result);
					var data = res.data;
					if(!data.gotValue){
						var sightObj = {};
					}else{
						var sightObj = JSON.parse( data.gotValue );
					}

					var s_obj = {};
					s_obj.address = sightName;
					s_obj.addressId = sightId;
					s_obj.cityId = cityId;
					if(provinceId)
					{
						switch(provinceId)
						{
							case HONGKONG://香港，
							case MEKAO://澳门
								s_obj.goodsType = GOOD_HM;
								break;
							case TAIWAN://台湾
								s_obj.goodsType = GOOD_TAIWAN;
								break;
							default:
								s_obj.goodsType = GOOD_CHINA;
						}
					}
					
					sightObj[type] = s_obj;
					
					mnWebMain.setLocalStorage(SIGHTNAME, JSON.stringify(sightObj));
					
					if(type == "stroke"){
						var arr = [RESORTS_3, RESORTS_2, RESORTS_7];
					}else{
						var arr = [RESORTS_3, RESORTS_2, RESORTS_1];
					}
					mnWebMain.closeMoreViewController(arr);
				});
			});
			
			loaded();//iscoll重新加载
		}else{
		}
	});
}

/*************国外*************/
//获取其他国家
function getCountryList(is_filter, countryData){
//	var params = {};
//	var path = "common/getCountry";
//	mnWebMain.httpRequest(path, params, function(result){
	mnWebMain.getCountrys(function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataInfo = res.data;
			var data = dataInfo.countries;
			countryData(data);
			addCountryDataToUL(data, is_filter, "foreign");
		}else{
		}
	});
}
function addCountryDataToUL(data, is_filter, ul_name)
{
	var list = '';
	for(var i in data){
//		if(i == 0){
//			continue;
//		}
		var id = data[i].id;
		if(ID_CHINA == id)
		{
			continue;
		}
		
		list += '<li data-cid="'+ data[i].id +'" data-name="'+ data[i].name +'"><span>'+ data[i].name +'</span><b></b></li>';
	}
	$("#" + ul_name).html(list);
	
	//选择地区
	$("#" + ul_name + " li").off("tap").on("tap", function(){
		var cid = $(this).attr("data-cid");
		if(is_filter == "filter"){
			var name = $(this).attr("data-name");
			var pageUrl = BASE_PATH + "filter_city.html?cid=" + cid + "&name=" + encodeURI(name);
			var headObj = {};
			headObj.pageId = RESORTS_6;
    		mnWebMain.openWebViewController(pageUrl, "选择城市", headObj);
		}else{
			var pageUrl = BASE_PATH + "group_select_area.html?cid=" + cid + "&type=" + is_filter;
			var headObj = {};
			headObj.pageId = RESORTS_3;
    		mnWebMain.openWebViewController(pageUrl, "选择地区", headObj);
		}
	});
}
//获取国外省id
function getForeignProvinceId(countryId, is_filter){
//	var params = {};
//	params.countryId = countryId;
//	var path = "common/getProvince";
//	mnWebMain.httpRequest(path, params, function(result){
	mnWebMain.getProvinces(countryId, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataInfo = res.data;
			var data = dataInfo.provinces;
			
			var	name = data[0].name;
			var len = name.length;
			var p_name = name.substring(0, len-2);
			
			if(is_filter == "filter"){
				selectCityList2(data[0].id, p_name);
			}else{
				var list = '<li class="area_bg" data-sid="'+ data[0].id +'">'+ p_name +'<i></i></li>';
				
				$("#wrapper1 ul").html(list);
				
				selectCityList1(data[0].id, p_name, is_filter, countryId);
			}
		}else{
		}
	});
}

//获取国外城市
function selectCityList1(provinceId, cityName, type, countryId){
//	var params = {};
//	params.provinceId = provinceId;
//	var path = "common/getCity";
//	mnWebMain.httpRequest(path, params, function(result){
	mnWebMain.getCitys(provinceId, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataInfo = res.data;
			var data = dataInfo.cities;
			var list = '<li class="area_bg2" data-cid="'+ countryId +'"><p>'+ cityName +'</p></li>';
			if(data.length != 0){
				for(var i in data){
					list += '<li data-mid="'+ data[i].id +'"><p>'+ data[i].name +'</p></li>';
				}
			}
			$("#wrapper2 ul").html(list);
			
			//选择二级
			$("#wrapper2 li").off("tap").on("tap", function(){
				if( !$(this).hasClass("area_bg2") ){
					$(this).addClass("area_bg2").siblings().removeClass("area_bg2");
				}
				
				var sightName = $(this).children("p").text();
				var sightId = $(this).attr("data-mid");
				var newCountryId = $(this).attr("data-cid");
				
				mnWebMain.getLocalStorage(SIGHTNAME, function(result){
					var res = JSON.parse(result);
					var data = res.data;
					if(!data.gotValue){
						var sightObj = {};
					}else{
						var sightObj = JSON.parse( data.gotValue );
					}

					var s_obj = {};
					s_obj.address = sightName;
					s_obj.addressId = sightId;
					s_obj.cityId = sightId;
					s_obj.countryId = newCountryId;
					s_obj.goodsType = GOOD_FOREIN;
					sightObj[type] = s_obj;
					
					mnWebMain.setLocalStorage(SIGHTNAME, JSON.stringify(sightObj));
					
					if(type == "stroke"){
						var arr = [RESORTS_3, RESORTS_2, RESORTS_7];
					}else{
						var arr = [RESORTS_3, RESORTS_2, RESORTS_1];
					}
					mnWebMain.closeMoreViewController(arr);
				});
			});
		}else{
		}
	});
}

//筛选获取城市
function selectCityList2(provinceId, name){
//	var params = {};
//	params.provinceId = provinceId;
//	var path = "common/getCity";
//	mnWebMain.httpRequest(path, params, function(result){
	mnWebMain.getCitys(provinceId, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var dataInfo = res.data;
			var data = dataInfo.cities;
			var list = '';
			if(data.length == 0){
				list += '<p>没有更多城市！</p>';
			}else{
				if(name){
					list += '<li class="ub" data-id="'+ provinceId +'" data-name="'+ name +'"><div class="ub-f1">' + name + '</div>'+
					'<div class="ub-f1 approve_language_right">'+
					'<input class="radio_not" name="place_radio" type="radio"></div></li>';
				}
				for(var i in data){
					list += '<li class="ub" data-id="'+ data[i].id +'" data-name="'+ data[i].name +'"><div class="ub-f1">'+ data[i].name +'</div>'+
						'<div class="ub-f1 approve_language_right">'+
						'<input class="radio_not" name="place_radio" type="radio"></div></li>';
				}
			}
			$("#approve_language").html(list);
			
			//选择城市
			$("#approve_language li").off('tap').on('tap', function(){
				var obj = {};
				obj.name = $(this).attr("data-name");
				obj.id = $(this).attr("data-id");
				
				var my_radio = $(this).find("input");
				var radioSiblings = $(this).siblings().find("input");
				var isChecked = my_radio.attr("checked");
				if(!isChecked){
					radioSiblings.addClass("radio_not").removeClass("radio_ok");
					my_radio.removeClass("radio_not").addClass("radio_ok");
					
					my_radio.attr("checked", true);
					radioSiblings.removeAttr("checked");
				}
				
				mnWebMain.setLocalStorage(FILTER_CITY, JSON.stringify(obj));
				var arr = [RESORTS_6, RESORTS_5, RESORTS_4];
				mnWebMain.closeMoreViewController(arr);
				//setTimeout('mnWebMain.closeMoreViewController('+ arr +');', 200);
			});
		}else{
		}
	});
}

/*----------------我的---------------*/
//mine.html 获取游客登录后的信息
function getMineVisitorInfo(userId){
	//通过本地存储获取数据不能动态显示
//	mnWebMain.getLocalStorage(USERINFO, function(resInfo){
//		var res = JSON.parse(resInfo);
//		var dataInfo = res.data;
//		var gotValue = JSON.parse( dataInfo.gotValue );
//		
//		var userObjArr = gotValue.userObjArr;
//		var data = userObjArr[userId];
		var idArray = [];
		idArray.push(parseInt(userId));
	
		var params = {};
		params.userIds = JSON.stringify(idArray);
		var path = "client/getUserObjWithUserIds";
		mnWebMain.httpRequest(path, params, function(result){
			var res = JSON.parse(result);
			if( res.error == 0 )
			{
				var dataInfo = res.data;
				var userObjArr = dataInfo.userObjArr;
				var data = userObjArr[userId];
				if(!data.integral){
					integral = 0;
				}
				else
				{
					integral = data.integral;
				}
				var list = '<div id="islogin">'+
					'<p class="modifyName" data-name="'+ data.nickName +'"><span>'+ data.nickName +'</span><img src="icon/icon-editor.png" /></p>'+
					'<div class="visitor_jf"><img src="icon/icon-jf.png" />'+ integral +'</div>'+
				'</div>';
				
				if(data.icon){
					var mytx = JSON.parse(data.icon).url + IMG_CUT_WH;
					$("#minePhoto").attr("src", mytx);
				}
				
				$("#loginState").html(list);
				$("#mineRightIcon").attr("src", "icon/icon-red-right.png");
				
				$(".modifyName").off("tap").on("tap", function(){
					var nickname = $(this).attr("data-name");
					var headObj = {};
					headObj.rightTitle = "保存";
					var page_url = BASE_PATH + "mine_modify.html?name=" + encodeURI(nickname);
					mnWebMain.openWebViewController(page_url, "修改用户信息", headObj);
				});
			}
	});
}

//mine.html获取导游登录后的信息
function getMineOrangeInfo(userId){
//	mnWebMain.getLocalStorage(USERINFO, function(resInfo){
//		var res = JSON.parse(resInfo);
//		var dataInfo = res.data;
//		var gotValue = JSON.parse( dataInfo.gotValue );
//		
//		var userObjArr = gotValue.userObjArr;
//		var data = userObjArr[userId];
		var idArray = [];
		idArray.push(parseInt(userId));
		var params = {};
		params.userIds = JSON.stringify(idArray);
		var path = "client/getUserObjWithUserIds";
		mnWebMain.httpRequest(path, params, function(result){
			var res = JSON.parse(result);
			if( res.error == 0 )
			{
				var dataInfo = res.data;
				var userObjArr = dataInfo.userObjArr;
				var data = userObjArr[userId];
				//等级
				var iconName = 'a15.png';
				var status = data.status;
				var orangerLv = data.lv;
				if(orangerLv == 0)
				{
					iconName = 'b1.png';
				}
				if(4 == parseInt(status) && orangerLv != 0)
				{
					iconName = 'a' + orangerLv + '.png';
				}
				else if(orangerLv != 0)
				{
					iconName = 'b' + orangerLv + '.png';
				}
				//已认证
				if(4 == parseInt(data.status)){
					var approve = '<div class="guide_dj"><img src="'+ 'icon/level/' + iconName +'" />' +
					'<i>'+ data.integral +'积分</i></div>';
				}
				//认证中
				else if(2 == parseInt(data.status))
				{
					var approve = '<div class="guide_dj"><img src="'+ 'icon/level/' + iconName +'" />' +
					'<span id="goApprove">马上去认证</span></div>';
				}
				//认证失败
				else if(3 == parseInt(data.status))
				{
					//3表示未认证或者认证失败，不显示等级
					var approve = '<div class="guide_dj"><img class="guide_dj_img_defeat" src="icon/orange.png" />认证失败<span id="goApprove">马上去认证</span></div>';
				}
				//1未认证
				else
				{
					//1表示未认证
					var approve = '<div class="guide_dj"><img class="guide_dj_img_defeat" src="icon/orange.png" />未认证<span id="goApprove">马上去认证</span></div>';
				}
				var list = '<div id="islogin">'+
					'<p class="modifyName" data-name="'+ data.nickName +'"><span class="nick_name">'+ data.nickName +'</span><img src="icon/icon-editor.png" /></p>'+ approve +'</div>';
				
				if(data.icon){
					var mytx = JSON.parse( data.icon ).url;
					$("#minePhoto").attr("src", mytx);
				}
				
				$("#loginState").html(list);
//				$("#mineRightIcon").attr("src", "icon/icon-red-right.png");
				
				$("#goApprove").off("tap").on("tap", function(){
					if(2 == parseInt(data.status))
					{
						//正在认证中，提示用户耐心等待
						var arr = ['确定'];
						mnWebMain.showDialog(0, '提示', '您已提交了认证，正在审核中，请耐心等待....', arr);
					}
					else
					{
						var headObj = {};
						headObj.pageId = RESORTS_4;
						var page_url = BASE_PATH + "approve.html";
			    		mnWebMain.openWebViewController(page_url, "导游认证", headObj);
					}
				});
				
				$(".modifyName").off("tap").on("tap", function(){
					var nickname = $(this).attr("data-name");
					var headObj = {};
					headObj.rightTitle = "保存";
					var page_url = BASE_PATH + "mine_modify.html?name=" + encodeURI(nickname);
					mnWebMain.openWebViewController(page_url, "修改用户信息", headObj);
				});
			}
	});
}

//修改个人信息
function modifyPersonalInfo(userId, modData){
	var params = {};
	params.userId = userId;
	params.modData = modData;
	if(parseInt(userId) >= 1000000){
		var path = "guide/modGuideObj";
	}else{
		var path = "visitor/modVisitorObj";
	}
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var arr = ["确定"];
			mnWebMain.showDialog(0, "提示", "修改成功！", arr, function(result){
				//mnWebMain.closeSelfViewController(0);
				var index = JSON.parse(result).data.index;
				if(index == 1 || index == 0)
				{
//					mnWebMain.closeSelfViewController(0);
				}
			});
		}else{
		}
	});
}

//修改个人信息
function modifyPersonalInfoNickName(userId, modData){
	var params = {};
	params.userId = userId;
	params.modData = modData;
	if(parseInt(userId) >= 1000000){
		var path = "guide/modGuideObj";
	}else{
		var path = "visitor/modVisitorObj";
	}
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var arr = ["确定"];
			mnWebMain.showDialog(0, "提示", "修改成功！", arr, function(result){
				//mnWebMain.closeSelfViewController(0);
				var index = JSON.parse(result).data.index;
				if(index == 1 || index == 0)
				{
					mnWebMain.closeSelfViewController(0);
				}
			});
		}else{
		}
	});
}

//修改服务器和本地存储数据
function modifyAllInfo(field, info)
{
	mnWebMain.getLocalStorage(USERINFO, function(resInfo){
		var res = JSON.parse(resInfo);
		var dataInfo = res.data;
		var gotValue = JSON.parse( dataInfo.gotValue );
		var data = gotValue.userObjArr;
		for(var i in data){
			data[i][field] = info;
			//修改本地存储
			var newObj = {};
			newObj.userObjArr = data;
			mnWebMain.setLocalStorage(USERINFO, JSON.stringify(newObj));
			
			//修改服务器端
			var modifyObj = {};
			modifyObj[field] = info;
			if("nickName" == field)
			{
				modifyPersonalInfoNickName(data[i].userId, JSON.stringify(modifyObj));
			}
			else
			{
				modifyPersonalInfo(data[i].userId, JSON.stringify(modifyObj));
			}
		}
	});
}
//采纳回复
function acceptReply(replyId, questionId){
	var params = {};
	params.replyId = replyId;
	var path = "reply/acceptReply";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			var arr = ["确定"];
			mnWebMain.showDialog(0, "提示", "采纳成功！", arr, function()
			{
				$("#question_answer").empty();
				getQuestionDetail(questionId);
			});
		}else{
		}
	});
}

//赞和踩某个回复
function praiseOrCriticism(OPType, replyId, nowDom){
	mnWebMain.getLocalStorage(USERINFO, function(resInfo){
		var res = JSON.parse(resInfo);
		var dataInfo = res.data;
		var gotValue = JSON.parse( dataInfo.gotValue );
		var dataUserInfo = gotValue.userObjArr;
		for(var i in dataUserInfo){
			var userId = dataUserInfo[i].userId;
			mnWebMain.getLocalStorage(REPLY_PRAISE, function(result){
				var res = JSON.parse(result);
				var data2 = res.data;
				
				if(!data2.gotValue){
					var obj = {};
					var obj2 = {};
					obj2[replyId] = OPType;
					obj[userId] = obj2;
					mnWebMain.setLocalStorage(REPLY_PRAISE, JSON.stringify(obj));
				}else{
					var allInfo = JSON.parse(data2.gotValue);
					if(allInfo[userId] != undefined){
						var userData = allInfo[userId];
						var flag = false;
						for(var i in userData){
							if(i == replyId){
								flag = true;
							}
						}
						if(!flag){
							userData[replyId] = OPType;
							mnWebMain.setLocalStorage(REPLY_PRAISE, JSON.stringify(allInfo));
						}else{
							$("#fade-in-out").text("操作重复!");
							$("#fade-in-out").show().addClass("fade_block");
							setTimeout('$("#fade-in-out").removeClass("fade_block").hide();', 1000);
							return;
						}
					}else{
						var obj2 = {};
						obj2[replyId] = OPType;
						allInfo[userId] = obj2;
						mnWebMain.setLocalStorage(REPLY_PRAISE, JSON.stringify(allInfo));
					}
				}
				
				$("#fade-in-out").html("<span>+1</span>");
				$("#fade-in-out").show().addClass("fade_block");
				setTimeout('$("#fade-in-out").removeClass("fade_block").hide();', 1000);
				
				var num = nowDom.children("span").text();
				var totalNum = parseInt(num) + 1;
				nowDom.children("span").text(totalNum);
				
				if(OPType == 1){
					var replyIcon = 'icon/comment_up2.png';
				}else{
					var replyIcon = 'icon/comment_down2.png';
				}
				nowDom.children("img").attr("src", replyIcon);
				
				replyPraiseOrCriticism(OPType, replyId);
			});
		}
	});
}

//赞和踩某个回复
function replyPraiseOrCriticism(OPType, replyId){
	var params = {};
	params.OPType = OPType;
	params.replyId = replyId;
	var path = "reply/praiseOrCriticism";
	mnWebMain.httpRequest(path, params, function(result){
		var res = JSON.parse(result);
		if( res.error == 0 ){
			
		}else{
		}
	});
}

